(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports) :
  typeof define === 'function' && define.amd ? define(['exports'], factory) :
  (factory((global.BEdita = {})));
}(this, (function (exports) { 'use strict';

  function _typeof(obj) {
    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof = function (obj) {
        return typeof obj;
      };
    } else {
      _typeof = function (obj) {
        return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
      };
    }

    return _typeof(obj);
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  function _createClass(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties(Constructor, staticProps);
    return Constructor;
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }

    subClass.prototype = Object.create(superClass && superClass.prototype, {
      constructor: {
        value: subClass,
        writable: true,
        configurable: true
      }
    });
    if (superClass) _setPrototypeOf(subClass, superClass);
  }

  function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _getPrototypeOf(o);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;
      return o;
    };

    return _setPrototypeOf(o, p);
  }

  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }

    return self;
  }

  function _possibleConstructorReturn(self, call) {
    if (call && (typeof call === "object" || typeof call === "function")) {
      return call;
    }

    return _assertThisInitialized(self);
  }

  function _superPropBase(object, property) {
    while (!Object.prototype.hasOwnProperty.call(object, property)) {
      object = _getPrototypeOf(object);
      if (object === null) break;
    }

    return object;
  }

  function _get(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
      _get = Reflect.get;
    } else {
      _get = function _get(target, property, receiver) {
        var base = _superPropBase(target, property);

        if (!base) return;
        var desc = Object.getOwnPropertyDescriptor(base, property);

        if (desc.get) {
          return desc.get.call(receiver);
        }

        return desc.value;
      };
    }

    return _get(target, property, receiver || target);
  }

  function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread();
  }

  function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) {
      for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) arr2[i] = arr[i];

      return arr2;
    }
  }

  function _iterableToArray(iter) {
    if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter);
  }

  function _nonIterableSpread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance");
  }

  const support = typeof Symbol === 'function';
  /**
   * Polyfill registry for symbols.
   * @private
   * @type {Array}
   */

  const registry = [];
  /**
   * Polyfill for Symbol.
   * @class SymbolPolyfill
   * @private
   *
   * @param {string} property The Symbol name.
   */

  class SymbolPolyfill {
    constructor(property) {
      let sym = this.SYM = `__${property}_${registry.length}`;
      registry.push(sym);
      Object.defineProperty(Object.prototype, sym, {
        configurable: true,
        enumerable: false,

        set(x) {
          Object.defineProperty(this, sym, {
            configurable: true,
            enumerable: false,
            writable: true,
            value: x
          });
        }

      });
    }

    toString() {
      return this.SYM;
    }

  }
  /**
   * Create a symbolic key for objects's properties.
   *
   * @param {string} property The Symbol name.
   * @return {Symbol|Symbolic}
   */


  function Symbolic(property) {
    if (support) {
      // native Symbol support.
      let sym = Symbol(property);
      registry.push(sym);
      return sym;
    }

    return new SymbolPolyfill(property);
  }
  /**
   * Check if an instance is a Symbol.
   * @param {Symbol|Symbolic} sym The symbol to check.
   * @return {Boolean}
   */

  Symbolic.isSymbolic = function (sym) {
    if (sym instanceof SymbolPolyfill) {
      return true;
    }

    return sym && support && registry.indexOf(sym) !== -1;
  };

  const MIXINS_SYM = Symbolic('mixins');
  /**
   * Mix a class with a mixin.
   * Inspired by Justin Fagnani (https://github.com/justinfagnani).
   *
   * @method mix
   * @param {Function} SuperClass The class to extend.
   * @return {MixinScope} A MixinScope instance.
   * @module mix
   */

  function mix(SuperClass) {
    return new MixinScope(SuperClass);
  }
  /**
   * A Mixin helper class.
   * @class MixinScope
   * @memberof mix
   */

  class MixinScope {
    /**
     * Create a mixable class.
     * @private
     * @param {Function} superClass The class to extend.
     */
    constructor(superClass) {
      this.superClass = superClass || class {};
    }
    /**
     * Mix the super class with a list of mixins.
     * @memberof mix.MixinScope
     *
     * @param {...Function} mixins *N* mixin functions.
     * @return {Function} The extended class.
     */


    with(...mixins) {
      let Class = this.superClass;
      mixins.forEach(mixin => {
        if (!this.has(mixin)) {
          Class = mixin(Class);
        }
      });
      Class[MIXINS_SYM] = Class.hasOwnProperty(MIXINS_SYM) ? Class[MIXINS_SYM] : [];
      Class[MIXINS_SYM].push(...mixins);
      return Class;
    }
    /**
     * Check if the SuperClass has been already mixed with a mixin function.
     * @memberof mix.MixinScope
     *
     * @param {Function} mixin The mixin function.
     * @return {Boolean}
     */


    has(mixin) {
      let Class = this.superClass;

      while (Class && Class !== Object) {
        let attached = Class[MIXINS_SYM] || [];

        if (attached.indexOf(mixin) !== -1) {
          return true;
        }

        Class = Object.getPrototypeOf(Class);
      }

      return false;
    }

  }

  /**
   * This is a retro-compatibility file.
   * Use `@chialab/proteins` mix function instead.
   */

  const INTERNAL_SYM = Symbolic('internal');
  function internal(object) {
    object[INTERNAL_SYM] = object[INTERNAL_SYM] || {};
    return object[INTERNAL_SYM];
  }

  internal.destroy = function (object) {
    delete object[INTERNAL_SYM];
  };

  /**
   * Check if a value is a function.
   *
   * @param {*} obj The value to check.
   * @return {Boolean}
   */
  function isFunction(obj) {
    return typeof obj === 'function';
  }
  /**
   * Check if a value is a string.
   *
   * @param {*} obj The value to check.
   * @return {Boolean}
   */

  function isString(obj) {
    return typeof obj === 'string';
  }
  /**
   * Check if a value is a number.
   *
   * @param {*} obj The value to check.
   * @return {Boolean}
   */

  function isNumber(obj) {
    return typeof obj === 'number' && !isNaN(obj);
  }
  /**
   * Check if a value is a date.
   *
   * @param {*} obj The value to check.
   * @return {Boolean}
   */

  function isDate(obj) {
    return obj instanceof Date;
  }
  /**
   * Check if a value is an object.
   *
   * @param {*} obj The value to check.
   * @return {Boolean}
   */

  function isObject(obj) {
    return Object.prototype.toString.call(obj) === '[object Object]';
  }
  /**
   * Check if a value is undefined.
   *
   * @param {*} obj The value to check.
   * @return {Boolean}
   */

  function isUndefined(obj) {
    return typeof obj === 'undefined';
  }
  /**
   * Check if a value is an array.
   *
   * @param {*} obj The value to check.
   * @return {Boolean}
   */

  function isArray(obj) {
    return Array.isArray(obj);
  }
  /**
   * Check if falsy value.
   *
   * @param {*} obj The value to check.
   * @return {Boolean}
   */

  function isFalsy(obj) {
    return isUndefined(obj) || obj === null || obj === false || typeof obj === 'number' && isNaN(obj);
  }

  const SYM = Symbolic('listeners');
  /**
   * Add a callback for the specified trigger.
   *
   * @param {Object} scope The event scope
   * @param {String} name The event name
   * @param {Function} callback The callback function
   * @return {Function} Destroy created listener with this function
   */

  function on(scope, name, callback) {
    if (!isFunction(callback)) {
      throw new TypeError('callback is not a function');
    }

    scope[SYM] = scope[SYM] || {};
    let callbacks = scope[SYM];
    let evtCallbacks = callbacks[name] = callbacks[name] || [];
    evtCallbacks.push(callback);
    return off.bind(null, scope, name, callback);
  }
  /**
   * Remove one or multiple listeners.
   *
   * @param {Object} scope The event scope
   * @param {String} [name] Optional event name to reset
   * @param {Function} [callback] Callback to remove (empty, removes all listeners).
   */

  function off(scope, name, callback) {
    if (callback) {
      let callbacks = scope[SYM];

      if (callbacks) {
        let evtCallbacks = callbacks[name] = callbacks[name] || [];
        let io = evtCallbacks.indexOf(callback);

        if (io !== -1) {
          evtCallbacks.splice(io, 1);
        }
      }
    } else if (name) {
      let callbacks = scope[SYM];

      if (callbacks) {
        delete callbacks[name];
      }
    } else {
      scope[SYM] = {};
    }
  }
  /**
   * Queue event callbacks.
   * @private
   *
   * @param {Array<Function>} registered A list of registered callbacks.
   * @param {Array<Function>} callbacks A list of callbacks to exec.
   * @param {integer} index The callbacks iterator.
   * @param {*} res The previous callback response.
   * @param {*} context The callback context.
   * @param {*} args A list of arguments for the callback.
   */

  function flush(registered, callbacks, index, res, context, ...args) {
    if (index === callbacks.length) {
      return res instanceof Promise ? res : Promise.resolve(res);
    }

    let callback = callbacks[index];

    if (registered.indexOf(callback) !== -1) {
      res = callback.call(context, ...args);
    }

    if (res instanceof Promise) {
      return res.then(() => flush(registered, callbacks, index + 1, res, context, ...args));
    }

    return flush(registered, callbacks, index + 1, res, context, ...args);
  }
  /**
   * Trigger a callback.
   *
   * @param {Object} scope The event scope
   * @param {String} name Event name
   * @param {...*} [args] Arguments to pass to callbacks
   * @return {Promise} The final Promise of the callbacks chain
   */


  function trigger(scope, name, ...args) {
    if (scope.hasOwnProperty(SYM) && scope[SYM].hasOwnProperty(name)) {
      return flush(scope[SYM][name], scope[SYM][name].slice(0), 0, null, scope, ...args);
    }
  }

  const LISTENERS_SYM = Symbolic('listeners');
  const CallbackMixin = SuperClass => class extends SuperClass {
    constructor(...args) {
      super(...args);

      if (!this[LISTENERS_SYM]) {
        this[LISTENERS_SYM] = [];
      }
    }

    on(name, callback) {
      return on(this, name, callback);
    }

    off(name, callback) {
      return off(this, name, callback);
    }

    trigger(name, ...args) {
      let res = trigger(this, name, ...args);

      if (!(res instanceof Promise)) {
        res = Promise.resolve(res);
      }

      return res;
    }

    listen(obj, name, callback) {
      let destroyer = on(obj, name, callback);
      this[LISTENERS_SYM].push(destroyer);
      return destroyer;
    }

    unlisten(obj, name, callback) {
      if (obj) {
        off(obj, name, callback);
      } else {
        this[LISTENERS_SYM].forEach(offListener => offListener());
        this[LISTENERS_SYM] = [];
      }
    }

    destroy() {
      this.off();
      this.unlisten();
      return super.destroy ? super.destroy() : Promise.resolve();
    }

  };

  const BaseMixin = SuperClass => class extends SuperClass {
    constructor(...args) {
      super(...args);
      internal(this).readyPromises = [];
    }

    initialize() {
      internal(this).initialized = true;
      return Promise.resolve();
    }

    initialized() {
      return !!internal(this).initialized;
    }

    initializing() {
      let promises = internal(this).readyPromises;

      if (promises) {
        return !!promises.length;
      }

      return false;
    }

    ready() {
      let promises = internal(this).readyPromises;

      if (!promises) {
        return Promise.resolve();
      }

      return Promise.all(promises).then(() => Promise.all(promises).then(res => {
        internal(this).readyPromises = null;
        return Promise.resolve(res);
      }));
    }

    addReadyPromise(promise) {
      internal(this).readyPromises.push(promise);
      return promise;
    }

    isDestroyed() {
      return this.destroyed;
    }

    destroy() {
      const destroyPromise = Promise.resolve().then(() => super.destroy ? super.destroy() : true);
      return destroyPromise.then(() => {
        internal.destroy(this);
        this.destroyed = true;
        return Promise.resolve();
      });
    }

    setContext(ctx) {
      internal(this).ctx = ctx;
    }

    getContext() {
      return internal(this).ctx || this;
    }

    initClass(Class, ...args) {
      let obj = new Class(...args);
      obj.setContext(this.getContext());

      if (!obj.initializing() && !obj.initialized()) {
        obj.addReadyPromise(obj.initialize(...args));
      }

      return obj.ready().then(() => Promise.resolve(obj));
    }

  };

  class Factory extends mix(class {}).with(CallbackMixin, BaseMixin) {
    factory(name) {
      let injected = this.getContext().getInjected();
      return injected && injected[name];
    }

  }

  const InjectableMixin = SuperClass => class extends SuperClass {
    constructor(...args) {
      super(...args);
      internal(this).injected = {};
    }

    initialize(config = {}) {
      return super.initialize(config).then(() => this.beforeInjectsInitialization(config).then(injectors => this.injectMultiple(injectors)).then(() => this.afterInjectsInitialization()));
    }

    getContextInjected() {
      return internal(this.getContext()).injected;
    }

    getInjected() {
      return internal(this).injected;
    }

    beforeInjectsInitialization(config) {
      let fromCfg = config.injectors || {};
      let fromCtr = this.constructor.injectors || {};
      return Promise.resolve([fromCfg, fromCtr]);
    }

    afterInjectsInitialization() {
      return Promise.resolve();
    }

    onInjectReady(inject, fn) {
      internal(this).injected[inject] = fn;
      return Promise.resolve();
    }

    injectMultiple(injectors) {
      let promise = Promise.resolve();

      if (Array.isArray(injectors)) {
        injectors.forEach(injs => {
          promise = promise.then(() => this.injectMultiple(injs));
        });
      } else {
        for (let name in injectors) {
          if (injectors[name]) {
            promise = promise.then(() => this.inject(name, injectors[name]));
          }
        }
      }

      return promise;
    }

    inject(inject, Fn) {
      let injs = this.getContextInjected();

      if (injs.hasOwnProperty(inject)) {
        return Promise.resolve(injs[inject]);
      }

      let args = [];

      if (Array.isArray(Fn)) {
        args = Fn.slice(1);
        Fn = Fn[0];
      }

      let resolve = Promise.resolve(Fn);

      if (typeof Fn === 'function') {
        resolve = this.initClass(Fn, ...args);
      }

      return resolve.then(fn => {
        injs[inject] = fn;
        return fn.ready().then(() => this.onInjectReady(inject, fn));
      });
    }

  };

  var commonjsGlobal = typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

  function createCommonjsModule(fn, module) {
  	return module = { exports: {} }, fn(module, module.exports), module.exports;
  }

  var tv4 = createCommonjsModule(function (module) {
  /*
  Author: Geraint Luff and others
  Year: 2013

  This code is released into the "public domain" by its author(s).  Anybody may use, alter and distribute the code without restriction.  The author makes no guarantees, and takes no liability of any kind for use of this code.

  If you find a bug or make an improvement, it would be courteous to let the author know, but it is not compulsory.
  */
  (function (global, factory) {
    if (module.exports){
      // CommonJS. Define export.
      module.exports = factory();
    } else {
      // Browser globals
      global.tv4 = factory();
    }
  }(commonjsGlobal, function () {

  // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/keys?redirectlocale=en-US&redirectslug=JavaScript%2FReference%2FGlobal_Objects%2FObject%2Fkeys
  if (!Object.keys) {
  	Object.keys = (function () {
  		var hasOwnProperty = Object.prototype.hasOwnProperty,
  			hasDontEnumBug = !({toString: null}).propertyIsEnumerable('toString'),
  			dontEnums = [
  				'toString',
  				'toLocaleString',
  				'valueOf',
  				'hasOwnProperty',
  				'isPrototypeOf',
  				'propertyIsEnumerable',
  				'constructor'
  			],
  			dontEnumsLength = dontEnums.length;

  		return function (obj) {
  			if (typeof obj !== 'object' && typeof obj !== 'function' || obj === null) {
  				throw new TypeError('Object.keys called on non-object');
  			}

  			var result = [];

  			for (var prop in obj) {
  				if (hasOwnProperty.call(obj, prop)) {
  					result.push(prop);
  				}
  			}

  			if (hasDontEnumBug) {
  				for (var i=0; i < dontEnumsLength; i++) {
  					if (hasOwnProperty.call(obj, dontEnums[i])) {
  						result.push(dontEnums[i]);
  					}
  				}
  			}
  			return result;
  		};
  	})();
  }
  // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/create
  if (!Object.create) {
  	Object.create = (function(){
  		function F(){}

  		return function(o){
  			if (arguments.length !== 1) {
  				throw new Error('Object.create implementation only accepts one parameter.');
  			}
  			F.prototype = o;
  			return new F();
  		};
  	})();
  }
  // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/isArray?redirectlocale=en-US&redirectslug=JavaScript%2FReference%2FGlobal_Objects%2FArray%2FisArray
  if(!Array.isArray) {
  	Array.isArray = function (vArg) {
  		return Object.prototype.toString.call(vArg) === "[object Array]";
  	};
  }
  // https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/indexOf?redirectlocale=en-US&redirectslug=JavaScript%2FReference%2FGlobal_Objects%2FArray%2FindexOf
  if (!Array.prototype.indexOf) {
  	Array.prototype.indexOf = function (searchElement /*, fromIndex */ ) {
  		if (this === null) {
  			throw new TypeError();
  		}
  		var t = Object(this);
  		var len = t.length >>> 0;

  		if (len === 0) {
  			return -1;
  		}
  		var n = 0;
  		if (arguments.length > 1) {
  			n = Number(arguments[1]);
  			if (n !== n) { // shortcut for verifying if it's NaN
  				n = 0;
  			} else if (n !== 0 && n !== Infinity && n !== -Infinity) {
  				n = (n > 0 || -1) * Math.floor(Math.abs(n));
  			}
  		}
  		if (n >= len) {
  			return -1;
  		}
  		var k = n >= 0 ? n : Math.max(len - Math.abs(n), 0);
  		for (; k < len; k++) {
  			if (k in t && t[k] === searchElement) {
  				return k;
  			}
  		}
  		return -1;
  	};
  }

  // Grungey Object.isFrozen hack
  if (!Object.isFrozen) {
  	Object.isFrozen = function (obj) {
  		var key = "tv4_test_frozen_key";
  		while (obj.hasOwnProperty(key)) {
  			key += Math.random();
  		}
  		try {
  			obj[key] = true;
  			delete obj[key];
  			return false;
  		} catch (e) {
  			return true;
  		}
  	};
  }
  // Based on: https://github.com/geraintluff/uri-templates, but with all the de-substitution stuff removed

  var uriTemplateGlobalModifiers = {
  	"+": true,
  	"#": true,
  	".": true,
  	"/": true,
  	";": true,
  	"?": true,
  	"&": true
  };
  var uriTemplateSuffices = {
  	"*": true
  };

  function notReallyPercentEncode(string) {
  	return encodeURI(string).replace(/%25[0-9][0-9]/g, function (doubleEncoded) {
  		return "%" + doubleEncoded.substring(3);
  	});
  }

  function uriTemplateSubstitution(spec) {
  	var modifier = "";
  	if (uriTemplateGlobalModifiers[spec.charAt(0)]) {
  		modifier = spec.charAt(0);
  		spec = spec.substring(1);
  	}
  	var separator = "";
  	var prefix = "";
  	var shouldEscape = true;
  	var showVariables = false;
  	var trimEmptyString = false;
  	if (modifier === '+') {
  		shouldEscape = false;
  	} else if (modifier === ".") {
  		prefix = ".";
  		separator = ".";
  	} else if (modifier === "/") {
  		prefix = "/";
  		separator = "/";
  	} else if (modifier === '#') {
  		prefix = "#";
  		shouldEscape = false;
  	} else if (modifier === ';') {
  		prefix = ";";
  		separator = ";";
  		showVariables = true;
  		trimEmptyString = true;
  	} else if (modifier === '?') {
  		prefix = "?";
  		separator = "&";
  		showVariables = true;
  	} else if (modifier === '&') {
  		prefix = "&";
  		separator = "&";
  		showVariables = true;
  	}

  	var varNames = [];
  	var varList = spec.split(",");
  	var varSpecs = [];
  	for (var i = 0; i < varList.length; i++) {
  		var varName = varList[i];
  		var truncate = null;
  		if (varName.indexOf(":") !== -1) {
  			var parts = varName.split(":");
  			varName = parts[0];
  			truncate = parseInt(parts[1], 10);
  		}
  		var suffices = {};
  		while (uriTemplateSuffices[varName.charAt(varName.length - 1)]) {
  			suffices[varName.charAt(varName.length - 1)] = true;
  			varName = varName.substring(0, varName.length - 1);
  		}
  		var varSpec = {
  			truncate: truncate,
  			name: varName,
  			suffices: suffices
  		};
  		varSpecs.push(varSpec);
  		varNames.push(varName);
  	}
  	var subFunction = function (valueFunction) {
  		var result = "";
  		var startIndex = 0;
  		for (var i = 0; i < varSpecs.length; i++) {
  			var varSpec = varSpecs[i];
  			var value = valueFunction(varSpec.name);
  			if (value === null || value === undefined || (Array.isArray(value) && value.length === 0) || (typeof value === 'object' && Object.keys(value).length === 0)) {
  				startIndex++;
  				continue;
  			}
  			if (i === startIndex) {
  				result += prefix;
  			} else {
  				result += (separator || ",");
  			}
  			if (Array.isArray(value)) {
  				if (showVariables) {
  					result += varSpec.name + "=";
  				}
  				for (var j = 0; j < value.length; j++) {
  					if (j > 0) {
  						result += varSpec.suffices['*'] ? (separator || ",") : ",";
  						if (varSpec.suffices['*'] && showVariables) {
  							result += varSpec.name + "=";
  						}
  					}
  					result += shouldEscape ? encodeURIComponent(value[j]).replace(/!/g, "%21") : notReallyPercentEncode(value[j]);
  				}
  			} else if (typeof value === "object") {
  				if (showVariables && !varSpec.suffices['*']) {
  					result += varSpec.name + "=";
  				}
  				var first = true;
  				for (var key in value) {
  					if (!first) {
  						result += varSpec.suffices['*'] ? (separator || ",") : ",";
  					}
  					first = false;
  					result += shouldEscape ? encodeURIComponent(key).replace(/!/g, "%21") : notReallyPercentEncode(key);
  					result += varSpec.suffices['*'] ? '=' : ",";
  					result += shouldEscape ? encodeURIComponent(value[key]).replace(/!/g, "%21") : notReallyPercentEncode(value[key]);
  				}
  			} else {
  				if (showVariables) {
  					result += varSpec.name;
  					if (!trimEmptyString || value !== "") {
  						result += "=";
  					}
  				}
  				if (varSpec.truncate != null) {
  					value = value.substring(0, varSpec.truncate);
  				}
  				result += shouldEscape ? encodeURIComponent(value).replace(/!/g, "%21"): notReallyPercentEncode(value);
  			}
  		}
  		return result;
  	};
  	subFunction.varNames = varNames;
  	return {
  		prefix: prefix,
  		substitution: subFunction
  	};
  }

  function UriTemplate(template) {
  	if (!(this instanceof UriTemplate)) {
  		return new UriTemplate(template);
  	}
  	var parts = template.split("{");
  	var textParts = [parts.shift()];
  	var substitutions = [];
  	var varNames = [];
  	while (parts.length > 0) {
  		var part = parts.shift();
  		var spec = part.split("}")[0];
  		var remainder = part.substring(spec.length + 1);
  		var funcs = uriTemplateSubstitution(spec);
  		substitutions.push(funcs.substitution);
  		textParts.push(remainder);
  		varNames = varNames.concat(funcs.substitution.varNames);
  	}
  	this.fill = function (valueFunction) {
  		var result = textParts[0];
  		for (var i = 0; i < substitutions.length; i++) {
  			var substitution = substitutions[i];
  			result += substitution(valueFunction);
  			result += textParts[i + 1];
  		}
  		return result;
  	};
  	this.varNames = varNames;
  	this.template = template;
  }
  UriTemplate.prototype = {
  	toString: function () {
  		return this.template;
  	},
  	fillFromObject: function (obj) {
  		return this.fill(function (varName) {
  			return obj[varName];
  		});
  	}
  };
  var ValidatorContext = function ValidatorContext(parent, collectMultiple, errorReporter, checkRecursive, trackUnknownProperties) {
  	this.missing = [];
  	this.missingMap = {};
  	this.formatValidators = parent ? Object.create(parent.formatValidators) : {};
  	this.schemas = parent ? Object.create(parent.schemas) : {};
  	this.collectMultiple = collectMultiple;
  	this.errors = [];
  	this.handleError = collectMultiple ? this.collectError : this.returnError;
  	if (checkRecursive) {
  		this.checkRecursive = true;
  		this.scanned = [];
  		this.scannedFrozen = [];
  		this.scannedFrozenSchemas = [];
  		this.scannedFrozenValidationErrors = [];
  		this.validatedSchemasKey = 'tv4_validation_id';
  		this.validationErrorsKey = 'tv4_validation_errors_id';
  	}
  	if (trackUnknownProperties) {
  		this.trackUnknownProperties = true;
  		this.knownPropertyPaths = {};
  		this.unknownPropertyPaths = {};
  	}
  	this.errorReporter = errorReporter || defaultErrorReporter('en');
  	if (typeof this.errorReporter === 'string') {
  		throw new Error('debug');
  	}
  	this.definedKeywords = {};
  	if (parent) {
  		for (var key in parent.definedKeywords) {
  			this.definedKeywords[key] = parent.definedKeywords[key].slice(0);
  		}
  	}
  };
  ValidatorContext.prototype.defineKeyword = function (keyword, keywordFunction) {
  	this.definedKeywords[keyword] = this.definedKeywords[keyword] || [];
  	this.definedKeywords[keyword].push(keywordFunction);
  };
  ValidatorContext.prototype.createError = function (code, messageParams, dataPath, schemaPath, subErrors, data, schema) {
  	var error = new ValidationError(code, messageParams, dataPath, schemaPath, subErrors);
  	error.message = this.errorReporter(error, data, schema);
  	return error;
  };
  ValidatorContext.prototype.returnError = function (error) {
  	return error;
  };
  ValidatorContext.prototype.collectError = function (error) {
  	if (error) {
  		this.errors.push(error);
  	}
  	return null;
  };
  ValidatorContext.prototype.prefixErrors = function (startIndex, dataPath, schemaPath) {
  	for (var i = startIndex; i < this.errors.length; i++) {
  		this.errors[i] = this.errors[i].prefixWith(dataPath, schemaPath);
  	}
  	return this;
  };
  ValidatorContext.prototype.banUnknownProperties = function (data, schema) {
  	for (var unknownPath in this.unknownPropertyPaths) {
  		var error = this.createError(ErrorCodes.UNKNOWN_PROPERTY, {path: unknownPath}, unknownPath, "", null, data, schema);
  		var result = this.handleError(error);
  		if (result) {
  			return result;
  		}
  	}
  	return null;
  };

  ValidatorContext.prototype.addFormat = function (format, validator) {
  	if (typeof format === 'object') {
  		for (var key in format) {
  			this.addFormat(key, format[key]);
  		}
  		return this;
  	}
  	this.formatValidators[format] = validator;
  };
  ValidatorContext.prototype.resolveRefs = function (schema, urlHistory) {
  	if (schema['$ref'] !== undefined) {
  		urlHistory = urlHistory || {};
  		if (urlHistory[schema['$ref']]) {
  			return this.createError(ErrorCodes.CIRCULAR_REFERENCE, {urls: Object.keys(urlHistory).join(', ')}, '', '', null, undefined, schema);
  		}
  		urlHistory[schema['$ref']] = true;
  		schema = this.getSchema(schema['$ref'], urlHistory);
  	}
  	return schema;
  };
  ValidatorContext.prototype.getSchema = function (url, urlHistory) {
  	var schema;
  	if (this.schemas[url] !== undefined) {
  		schema = this.schemas[url];
  		return this.resolveRefs(schema, urlHistory);
  	}
  	var baseUrl = url;
  	var fragment = "";
  	if (url.indexOf('#') !== -1) {
  		fragment = url.substring(url.indexOf("#") + 1);
  		baseUrl = url.substring(0, url.indexOf("#"));
  	}
  	if (typeof this.schemas[baseUrl] === 'object') {
  		schema = this.schemas[baseUrl];
  		var pointerPath = decodeURIComponent(fragment);
  		if (pointerPath === "") {
  			return this.resolveRefs(schema, urlHistory);
  		} else if (pointerPath.charAt(0) !== "/") {
  			return undefined;
  		}
  		var parts = pointerPath.split("/").slice(1);
  		for (var i = 0; i < parts.length; i++) {
  			var component = parts[i].replace(/~1/g, "/").replace(/~0/g, "~");
  			if (schema[component] === undefined) {
  				schema = undefined;
  				break;
  			}
  			schema = schema[component];
  		}
  		if (schema !== undefined) {
  			return this.resolveRefs(schema, urlHistory);
  		}
  	}
  	if (this.missing[baseUrl] === undefined) {
  		this.missing.push(baseUrl);
  		this.missing[baseUrl] = baseUrl;
  		this.missingMap[baseUrl] = baseUrl;
  	}
  };
  ValidatorContext.prototype.searchSchemas = function (schema, url) {
  	if (Array.isArray(schema)) {
  		for (var i = 0; i < schema.length; i++) {
  			this.searchSchemas(schema[i], url);
  		}
  	} else if (schema && typeof schema === "object") {
  		if (typeof schema.id === "string") {
  			if (isTrustedUrl(url, schema.id)) {
  				if (this.schemas[schema.id] === undefined) {
  					this.schemas[schema.id] = schema;
  				}
  			}
  		}
  		for (var key in schema) {
  			if (key !== "enum") {
  				if (typeof schema[key] === "object") {
  					this.searchSchemas(schema[key], url);
  				} else if (key === "$ref") {
  					var uri = getDocumentUri(schema[key]);
  					if (uri && this.schemas[uri] === undefined && this.missingMap[uri] === undefined) {
  						this.missingMap[uri] = uri;
  					}
  				}
  			}
  		}
  	}
  };
  ValidatorContext.prototype.addSchema = function (url, schema) {
  	//overload
  	if (typeof url !== 'string' || typeof schema === 'undefined') {
  		if (typeof url === 'object' && typeof url.id === 'string') {
  			schema = url;
  			url = schema.id;
  		}
  		else {
  			return;
  		}
  	}
  	if (url === getDocumentUri(url) + "#") {
  		// Remove empty fragment
  		url = getDocumentUri(url);
  	}
  	this.schemas[url] = schema;
  	delete this.missingMap[url];
  	normSchema(schema, url);
  	this.searchSchemas(schema, url);
  };

  ValidatorContext.prototype.getSchemaMap = function () {
  	var map = {};
  	for (var key in this.schemas) {
  		map[key] = this.schemas[key];
  	}
  	return map;
  };

  ValidatorContext.prototype.getSchemaUris = function (filterRegExp) {
  	var list = [];
  	for (var key in this.schemas) {
  		if (!filterRegExp || filterRegExp.test(key)) {
  			list.push(key);
  		}
  	}
  	return list;
  };

  ValidatorContext.prototype.getMissingUris = function (filterRegExp) {
  	var list = [];
  	for (var key in this.missingMap) {
  		if (!filterRegExp || filterRegExp.test(key)) {
  			list.push(key);
  		}
  	}
  	return list;
  };

  ValidatorContext.prototype.dropSchemas = function () {
  	this.schemas = {};
  	this.reset();
  };
  ValidatorContext.prototype.reset = function () {
  	this.missing = [];
  	this.missingMap = {};
  	this.errors = [];
  };

  ValidatorContext.prototype.validateAll = function (data, schema, dataPathParts, schemaPathParts, dataPointerPath) {
  	var topLevel;
  	schema = this.resolveRefs(schema);
  	if (!schema) {
  		return null;
  	} else if (schema instanceof ValidationError) {
  		this.errors.push(schema);
  		return schema;
  	}

  	var startErrorCount = this.errors.length;
  	var frozenIndex, scannedFrozenSchemaIndex = null, scannedSchemasIndex = null;
  	if (this.checkRecursive && data && typeof data === 'object') {
  		topLevel = !this.scanned.length;
  		if (data[this.validatedSchemasKey]) {
  			var schemaIndex = data[this.validatedSchemasKey].indexOf(schema);
  			if (schemaIndex !== -1) {
  				this.errors = this.errors.concat(data[this.validationErrorsKey][schemaIndex]);
  				return null;
  			}
  		}
  		if (Object.isFrozen(data)) {
  			frozenIndex = this.scannedFrozen.indexOf(data);
  			if (frozenIndex !== -1) {
  				var frozenSchemaIndex = this.scannedFrozenSchemas[frozenIndex].indexOf(schema);
  				if (frozenSchemaIndex !== -1) {
  					this.errors = this.errors.concat(this.scannedFrozenValidationErrors[frozenIndex][frozenSchemaIndex]);
  					return null;
  				}
  			}
  		}
  		this.scanned.push(data);
  		if (Object.isFrozen(data)) {
  			if (frozenIndex === -1) {
  				frozenIndex = this.scannedFrozen.length;
  				this.scannedFrozen.push(data);
  				this.scannedFrozenSchemas.push([]);
  			}
  			scannedFrozenSchemaIndex = this.scannedFrozenSchemas[frozenIndex].length;
  			this.scannedFrozenSchemas[frozenIndex][scannedFrozenSchemaIndex] = schema;
  			this.scannedFrozenValidationErrors[frozenIndex][scannedFrozenSchemaIndex] = [];
  		} else {
  			if (!data[this.validatedSchemasKey]) {
  				try {
  					Object.defineProperty(data, this.validatedSchemasKey, {
  						value: [],
  						configurable: true
  					});
  					Object.defineProperty(data, this.validationErrorsKey, {
  						value: [],
  						configurable: true
  					});
  				} catch (e) {
  					//IE 7/8 workaround
  					data[this.validatedSchemasKey] = [];
  					data[this.validationErrorsKey] = [];
  				}
  			}
  			scannedSchemasIndex = data[this.validatedSchemasKey].length;
  			data[this.validatedSchemasKey][scannedSchemasIndex] = schema;
  			data[this.validationErrorsKey][scannedSchemasIndex] = [];
  		}
  	}

  	var errorCount = this.errors.length;
  	var error = this.validateBasic(data, schema, dataPointerPath)
  		|| this.validateNumeric(data, schema, dataPointerPath)
  		|| this.validateString(data, schema, dataPointerPath)
  		|| this.validateArray(data, schema, dataPointerPath)
  		|| this.validateObject(data, schema, dataPointerPath)
  		|| this.validateCombinations(data, schema, dataPointerPath)
  		|| this.validateHypermedia(data, schema, dataPointerPath)
  		|| this.validateFormat(data, schema, dataPointerPath)
  		|| this.validateDefinedKeywords(data, schema, dataPointerPath)
  		|| null;

  	if (topLevel) {
  		while (this.scanned.length) {
  			var item = this.scanned.pop();
  			delete item[this.validatedSchemasKey];
  		}
  		this.scannedFrozen = [];
  		this.scannedFrozenSchemas = [];
  	}

  	if (error || errorCount !== this.errors.length) {
  		while ((dataPathParts && dataPathParts.length) || (schemaPathParts && schemaPathParts.length)) {
  			var dataPart = (dataPathParts && dataPathParts.length) ? "" + dataPathParts.pop() : null;
  			var schemaPart = (schemaPathParts && schemaPathParts.length) ? "" + schemaPathParts.pop() : null;
  			if (error) {
  				error = error.prefixWith(dataPart, schemaPart);
  			}
  			this.prefixErrors(errorCount, dataPart, schemaPart);
  		}
  	}

  	if (scannedFrozenSchemaIndex !== null) {
  		this.scannedFrozenValidationErrors[frozenIndex][scannedFrozenSchemaIndex] = this.errors.slice(startErrorCount);
  	} else if (scannedSchemasIndex !== null) {
  		data[this.validationErrorsKey][scannedSchemasIndex] = this.errors.slice(startErrorCount);
  	}

  	return this.handleError(error);
  };
  ValidatorContext.prototype.validateFormat = function (data, schema) {
  	if (typeof schema.format !== 'string' || !this.formatValidators[schema.format]) {
  		return null;
  	}
  	var errorMessage = this.formatValidators[schema.format].call(null, data, schema);
  	if (typeof errorMessage === 'string' || typeof errorMessage === 'number') {
  		return this.createError(ErrorCodes.FORMAT_CUSTOM, {message: errorMessage}, '', '/format', null, data, schema);
  	} else if (errorMessage && typeof errorMessage === 'object') {
  		return this.createError(ErrorCodes.FORMAT_CUSTOM, {message: errorMessage.message || "?"}, errorMessage.dataPath || '', errorMessage.schemaPath || "/format", null, data, schema);
  	}
  	return null;
  };
  ValidatorContext.prototype.validateDefinedKeywords = function (data, schema, dataPointerPath) {
  	for (var key in this.definedKeywords) {
  		if (typeof schema[key] === 'undefined') {
  			continue;
  		}
  		var validationFunctions = this.definedKeywords[key];
  		for (var i = 0; i < validationFunctions.length; i++) {
  			var func = validationFunctions[i];
  			var result = func(data, schema[key], schema, dataPointerPath);
  			if (typeof result === 'string' || typeof result === 'number') {
  				return this.createError(ErrorCodes.KEYWORD_CUSTOM, {key: key, message: result}, '', '', null, data, schema).prefixWith(null, key);
  			} else if (result && typeof result === 'object') {
  				var code = result.code;
  				if (typeof code === 'string') {
  					if (!ErrorCodes[code]) {
  						throw new Error('Undefined error code (use defineError): ' + code);
  					}
  					code = ErrorCodes[code];
  				} else if (typeof code !== 'number') {
  					code = ErrorCodes.KEYWORD_CUSTOM;
  				}
  				var messageParams = (typeof result.message === 'object') ? result.message : {key: key, message: result.message || "?"};
  				var schemaPath = result.schemaPath || ("/" + key.replace(/~/g, '~0').replace(/\//g, '~1'));
  				return this.createError(code, messageParams, result.dataPath || null, schemaPath, null, data, schema);
  			}
  		}
  	}
  	return null;
  };

  function recursiveCompare(A, B) {
  	if (A === B) {
  		return true;
  	}
  	if (A && B && typeof A === "object" && typeof B === "object") {
  		if (Array.isArray(A) !== Array.isArray(B)) {
  			return false;
  		} else if (Array.isArray(A)) {
  			if (A.length !== B.length) {
  				return false;
  			}
  			for (var i = 0; i < A.length; i++) {
  				if (!recursiveCompare(A[i], B[i])) {
  					return false;
  				}
  			}
  		} else {
  			var key;
  			for (key in A) {
  				if (B[key] === undefined && A[key] !== undefined) {
  					return false;
  				}
  			}
  			for (key in B) {
  				if (A[key] === undefined && B[key] !== undefined) {
  					return false;
  				}
  			}
  			for (key in A) {
  				if (!recursiveCompare(A[key], B[key])) {
  					return false;
  				}
  			}
  		}
  		return true;
  	}
  	return false;
  }

  ValidatorContext.prototype.validateBasic = function validateBasic(data, schema, dataPointerPath) {
  	var error;
  	if (error = this.validateType(data, schema, dataPointerPath)) {
  		return error.prefixWith(null, "type");
  	}
  	if (error = this.validateEnum(data, schema, dataPointerPath)) {
  		return error.prefixWith(null, "type");
  	}
  	return null;
  };

  ValidatorContext.prototype.validateType = function validateType(data, schema) {
  	if (schema.type === undefined) {
  		return null;
  	}
  	var dataType = typeof data;
  	if (data === null) {
  		dataType = "null";
  	} else if (Array.isArray(data)) {
  		dataType = "array";
  	}
  	var allowedTypes = schema.type;
  	if (!Array.isArray(allowedTypes)) {
  		allowedTypes = [allowedTypes];
  	}

  	for (var i = 0; i < allowedTypes.length; i++) {
  		var type = allowedTypes[i];
  		if (type === dataType || (type === "integer" && dataType === "number" && (data % 1 === 0))) {
  			return null;
  		}
  	}
  	return this.createError(ErrorCodes.INVALID_TYPE, {type: dataType, expected: allowedTypes.join("/")}, '', '', null, data, schema);
  };

  ValidatorContext.prototype.validateEnum = function validateEnum(data, schema) {
  	if (schema["enum"] === undefined) {
  		return null;
  	}
  	for (var i = 0; i < schema["enum"].length; i++) {
  		var enumVal = schema["enum"][i];
  		if (recursiveCompare(data, enumVal)) {
  			return null;
  		}
  	}
  	return this.createError(ErrorCodes.ENUM_MISMATCH, {value: (typeof JSON !== 'undefined') ? JSON.stringify(data) : data}, '', '', null, data, schema);
  };

  ValidatorContext.prototype.validateNumeric = function validateNumeric(data, schema, dataPointerPath) {
  	return this.validateMultipleOf(data, schema, dataPointerPath)
  		|| this.validateMinMax(data, schema, dataPointerPath)
  		|| this.validateNaN(data, schema, dataPointerPath)
  		|| null;
  };

  var CLOSE_ENOUGH_LOW = Math.pow(2, -51);
  var CLOSE_ENOUGH_HIGH = 1 - CLOSE_ENOUGH_LOW;
  ValidatorContext.prototype.validateMultipleOf = function validateMultipleOf(data, schema) {
  	var multipleOf = schema.multipleOf || schema.divisibleBy;
  	if (multipleOf === undefined) {
  		return null;
  	}
  	if (typeof data === "number") {
  		var remainder = (data/multipleOf)%1;
  		if (remainder >= CLOSE_ENOUGH_LOW && remainder < CLOSE_ENOUGH_HIGH) {
  			return this.createError(ErrorCodes.NUMBER_MULTIPLE_OF, {value: data, multipleOf: multipleOf}, '', '', null, data, schema);
  		}
  	}
  	return null;
  };

  ValidatorContext.prototype.validateMinMax = function validateMinMax(data, schema) {
  	if (typeof data !== "number") {
  		return null;
  	}
  	if (schema.minimum !== undefined) {
  		if (data < schema.minimum) {
  			return this.createError(ErrorCodes.NUMBER_MINIMUM, {value: data, minimum: schema.minimum}, '', '/minimum', null, data, schema);
  		}
  		if (schema.exclusiveMinimum && data === schema.minimum) {
  			return this.createError(ErrorCodes.NUMBER_MINIMUM_EXCLUSIVE, {value: data, minimum: schema.minimum}, '', '/exclusiveMinimum', null, data, schema);
  		}
  	}
  	if (schema.maximum !== undefined) {
  		if (data > schema.maximum) {
  			return this.createError(ErrorCodes.NUMBER_MAXIMUM, {value: data, maximum: schema.maximum}, '', '/maximum', null, data, schema);
  		}
  		if (schema.exclusiveMaximum && data === schema.maximum) {
  			return this.createError(ErrorCodes.NUMBER_MAXIMUM_EXCLUSIVE, {value: data, maximum: schema.maximum}, '', '/exclusiveMaximum', null, data, schema);
  		}
  	}
  	return null;
  };

  ValidatorContext.prototype.validateNaN = function validateNaN(data, schema) {
  	if (typeof data !== "number") {
  		return null;
  	}
  	if (isNaN(data) === true || data === Infinity || data === -Infinity) {
  		return this.createError(ErrorCodes.NUMBER_NOT_A_NUMBER, {value: data}, '', '/type', null, data, schema);
  	}
  	return null;
  };

  ValidatorContext.prototype.validateString = function validateString(data, schema, dataPointerPath) {
  	return this.validateStringLength(data, schema, dataPointerPath)
  		|| this.validateStringPattern(data, schema, dataPointerPath)
  		|| null;
  };

  ValidatorContext.prototype.validateStringLength = function validateStringLength(data, schema) {
  	if (typeof data !== "string") {
  		return null;
  	}
  	if (schema.minLength !== undefined) {
  		if (data.length < schema.minLength) {
  			return this.createError(ErrorCodes.STRING_LENGTH_SHORT, {length: data.length, minimum: schema.minLength}, '', '/minLength', null, data, schema);
  		}
  	}
  	if (schema.maxLength !== undefined) {
  		if (data.length > schema.maxLength) {
  			return this.createError(ErrorCodes.STRING_LENGTH_LONG, {length: data.length, maximum: schema.maxLength}, '', '/maxLength', null, data, schema);
  		}
  	}
  	return null;
  };

  ValidatorContext.prototype.validateStringPattern = function validateStringPattern(data, schema) {
  	if (typeof data !== "string" || (typeof schema.pattern !== "string" && !(schema.pattern instanceof RegExp))) {
  		return null;
  	}
  	var regexp;
  	if (schema.pattern instanceof RegExp) {
  	  regexp = schema.pattern;
  	}
  	else {
  	  var body, flags = '';
  	  // Check for regular expression literals
  	  // @see http://www.ecma-international.org/ecma-262/5.1/#sec-7.8.5
  	  var literal = schema.pattern.match(/^\/(.+)\/([img]*)$/);
  	  if (literal) {
  	    body = literal[1];
  	    flags = literal[2];
  	  }
  	  else {
  	    body = schema.pattern;
  	  }
  	  regexp = new RegExp(body, flags);
  	}
  	if (!regexp.test(data)) {
  		return this.createError(ErrorCodes.STRING_PATTERN, {pattern: schema.pattern}, '', '/pattern', null, data, schema);
  	}
  	return null;
  };

  ValidatorContext.prototype.validateArray = function validateArray(data, schema, dataPointerPath) {
  	if (!Array.isArray(data)) {
  		return null;
  	}
  	return this.validateArrayLength(data, schema, dataPointerPath)
  		|| this.validateArrayUniqueItems(data, schema, dataPointerPath)
  		|| this.validateArrayItems(data, schema, dataPointerPath)
  		|| null;
  };

  ValidatorContext.prototype.validateArrayLength = function validateArrayLength(data, schema) {
  	var error;
  	if (schema.minItems !== undefined) {
  		if (data.length < schema.minItems) {
  			error = this.createError(ErrorCodes.ARRAY_LENGTH_SHORT, {length: data.length, minimum: schema.minItems}, '', '/minItems', null, data, schema);
  			if (this.handleError(error)) {
  				return error;
  			}
  		}
  	}
  	if (schema.maxItems !== undefined) {
  		if (data.length > schema.maxItems) {
  			error = this.createError(ErrorCodes.ARRAY_LENGTH_LONG, {length: data.length, maximum: schema.maxItems}, '', '/maxItems', null, data, schema);
  			if (this.handleError(error)) {
  				return error;
  			}
  		}
  	}
  	return null;
  };

  ValidatorContext.prototype.validateArrayUniqueItems = function validateArrayUniqueItems(data, schema) {
  	if (schema.uniqueItems) {
  		for (var i = 0; i < data.length; i++) {
  			for (var j = i + 1; j < data.length; j++) {
  				if (recursiveCompare(data[i], data[j])) {
  					var error = this.createError(ErrorCodes.ARRAY_UNIQUE, {match1: i, match2: j}, '', '/uniqueItems', null, data, schema);
  					if (this.handleError(error)) {
  						return error;
  					}
  				}
  			}
  		}
  	}
  	return null;
  };

  ValidatorContext.prototype.validateArrayItems = function validateArrayItems(data, schema, dataPointerPath) {
  	if (schema.items === undefined) {
  		return null;
  	}
  	var error, i;
  	if (Array.isArray(schema.items)) {
  		for (i = 0; i < data.length; i++) {
  			if (i < schema.items.length) {
  				if (error = this.validateAll(data[i], schema.items[i], [i], ["items", i], dataPointerPath + "/" + i)) {
  					return error;
  				}
  			} else if (schema.additionalItems !== undefined) {
  				if (typeof schema.additionalItems === "boolean") {
  					if (!schema.additionalItems) {
  						error = (this.createError(ErrorCodes.ARRAY_ADDITIONAL_ITEMS, {}, '/' + i, '/additionalItems', null, data, schema));
  						if (this.handleError(error)) {
  							return error;
  						}
  					}
  				} else if (error = this.validateAll(data[i], schema.additionalItems, [i], ["additionalItems"], dataPointerPath + "/" + i)) {
  					return error;
  				}
  			}
  		}
  	} else {
  		for (i = 0; i < data.length; i++) {
  			if (error = this.validateAll(data[i], schema.items, [i], ["items"], dataPointerPath + "/" + i)) {
  				return error;
  			}
  		}
  	}
  	return null;
  };

  ValidatorContext.prototype.validateObject = function validateObject(data, schema, dataPointerPath) {
  	if (typeof data !== "object" || data === null || Array.isArray(data)) {
  		return null;
  	}
  	return this.validateObjectMinMaxProperties(data, schema, dataPointerPath)
  		|| this.validateObjectRequiredProperties(data, schema, dataPointerPath)
  		|| this.validateObjectProperties(data, schema, dataPointerPath)
  		|| this.validateObjectDependencies(data, schema, dataPointerPath)
  		|| null;
  };

  ValidatorContext.prototype.validateObjectMinMaxProperties = function validateObjectMinMaxProperties(data, schema) {
  	var keys = Object.keys(data);
  	var error;
  	if (schema.minProperties !== undefined) {
  		if (keys.length < schema.minProperties) {
  			error = this.createError(ErrorCodes.OBJECT_PROPERTIES_MINIMUM, {propertyCount: keys.length, minimum: schema.minProperties}, '', '/minProperties', null, data, schema);
  			if (this.handleError(error)) {
  				return error;
  			}
  		}
  	}
  	if (schema.maxProperties !== undefined) {
  		if (keys.length > schema.maxProperties) {
  			error = this.createError(ErrorCodes.OBJECT_PROPERTIES_MAXIMUM, {propertyCount: keys.length, maximum: schema.maxProperties}, '', '/maxProperties', null, data, schema);
  			if (this.handleError(error)) {
  				return error;
  			}
  		}
  	}
  	return null;
  };

  ValidatorContext.prototype.validateObjectRequiredProperties = function validateObjectRequiredProperties(data, schema) {
  	if (schema.required !== undefined) {
  		for (var i = 0; i < schema.required.length; i++) {
  			var key = schema.required[i];
  			if (data[key] === undefined) {
  				var error = this.createError(ErrorCodes.OBJECT_REQUIRED, {key: key}, '', '/required/' + i, null, data, schema);
  				if (this.handleError(error)) {
  					return error;
  				}
  			}
  		}
  	}
  	return null;
  };

  ValidatorContext.prototype.validateObjectProperties = function validateObjectProperties(data, schema, dataPointerPath) {
  	var error;
  	for (var key in data) {
  		var keyPointerPath = dataPointerPath + "/" + key.replace(/~/g, '~0').replace(/\//g, '~1');
  		var foundMatch = false;
  		if (schema.properties !== undefined && schema.properties[key] !== undefined) {
  			foundMatch = true;
  			if (error = this.validateAll(data[key], schema.properties[key], [key], ["properties", key], keyPointerPath)) {
  				return error;
  			}
  		}
  		if (schema.patternProperties !== undefined) {
  			for (var patternKey in schema.patternProperties) {
  				var regexp = new RegExp(patternKey);
  				if (regexp.test(key)) {
  					foundMatch = true;
  					if (error = this.validateAll(data[key], schema.patternProperties[patternKey], [key], ["patternProperties", patternKey], keyPointerPath)) {
  						return error;
  					}
  				}
  			}
  		}
  		if (!foundMatch) {
  			if (schema.additionalProperties !== undefined) {
  				if (this.trackUnknownProperties) {
  					this.knownPropertyPaths[keyPointerPath] = true;
  					delete this.unknownPropertyPaths[keyPointerPath];
  				}
  				if (typeof schema.additionalProperties === "boolean") {
  					if (!schema.additionalProperties) {
  						error = this.createError(ErrorCodes.OBJECT_ADDITIONAL_PROPERTIES, {key: key}, '', '/additionalProperties', null, data, schema).prefixWith(key, null);
  						if (this.handleError(error)) {
  							return error;
  						}
  					}
  				} else {
  					if (error = this.validateAll(data[key], schema.additionalProperties, [key], ["additionalProperties"], keyPointerPath)) {
  						return error;
  					}
  				}
  			} else if (this.trackUnknownProperties && !this.knownPropertyPaths[keyPointerPath]) {
  				this.unknownPropertyPaths[keyPointerPath] = true;
  			}
  		} else if (this.trackUnknownProperties) {
  			this.knownPropertyPaths[keyPointerPath] = true;
  			delete this.unknownPropertyPaths[keyPointerPath];
  		}
  	}
  	return null;
  };

  ValidatorContext.prototype.validateObjectDependencies = function validateObjectDependencies(data, schema, dataPointerPath) {
  	var error;
  	if (schema.dependencies !== undefined) {
  		for (var depKey in schema.dependencies) {
  			if (data[depKey] !== undefined) {
  				var dep = schema.dependencies[depKey];
  				if (typeof dep === "string") {
  					if (data[dep] === undefined) {
  						error = this.createError(ErrorCodes.OBJECT_DEPENDENCY_KEY, {key: depKey, missing: dep}, '', '', null, data, schema).prefixWith(null, depKey).prefixWith(null, "dependencies");
  						if (this.handleError(error)) {
  							return error;
  						}
  					}
  				} else if (Array.isArray(dep)) {
  					for (var i = 0; i < dep.length; i++) {
  						var requiredKey = dep[i];
  						if (data[requiredKey] === undefined) {
  							error = this.createError(ErrorCodes.OBJECT_DEPENDENCY_KEY, {key: depKey, missing: requiredKey}, '', '/' + i, null, data, schema).prefixWith(null, depKey).prefixWith(null, "dependencies");
  							if (this.handleError(error)) {
  								return error;
  							}
  						}
  					}
  				} else {
  					if (error = this.validateAll(data, dep, [], ["dependencies", depKey], dataPointerPath)) {
  						return error;
  					}
  				}
  			}
  		}
  	}
  	return null;
  };

  ValidatorContext.prototype.validateCombinations = function validateCombinations(data, schema, dataPointerPath) {
  	return this.validateAllOf(data, schema, dataPointerPath)
  		|| this.validateAnyOf(data, schema, dataPointerPath)
  		|| this.validateOneOf(data, schema, dataPointerPath)
  		|| this.validateNot(data, schema, dataPointerPath)
  		|| null;
  };

  ValidatorContext.prototype.validateAllOf = function validateAllOf(data, schema, dataPointerPath) {
  	if (schema.allOf === undefined) {
  		return null;
  	}
  	var error;
  	for (var i = 0; i < schema.allOf.length; i++) {
  		var subSchema = schema.allOf[i];
  		if (error = this.validateAll(data, subSchema, [], ["allOf", i], dataPointerPath)) {
  			return error;
  		}
  	}
  	return null;
  };

  ValidatorContext.prototype.validateAnyOf = function validateAnyOf(data, schema, dataPointerPath) {
  	if (schema.anyOf === undefined) {
  		return null;
  	}
  	var errors = [];
  	var startErrorCount = this.errors.length;
  	var oldUnknownPropertyPaths, oldKnownPropertyPaths;
  	if (this.trackUnknownProperties) {
  		oldUnknownPropertyPaths = this.unknownPropertyPaths;
  		oldKnownPropertyPaths = this.knownPropertyPaths;
  	}
  	var errorAtEnd = true;
  	for (var i = 0; i < schema.anyOf.length; i++) {
  		if (this.trackUnknownProperties) {
  			this.unknownPropertyPaths = {};
  			this.knownPropertyPaths = {};
  		}
  		var subSchema = schema.anyOf[i];

  		var errorCount = this.errors.length;
  		var error = this.validateAll(data, subSchema, [], ["anyOf", i], dataPointerPath);

  		if (error === null && errorCount === this.errors.length) {
  			this.errors = this.errors.slice(0, startErrorCount);

  			if (this.trackUnknownProperties) {
  				for (var knownKey in this.knownPropertyPaths) {
  					oldKnownPropertyPaths[knownKey] = true;
  					delete oldUnknownPropertyPaths[knownKey];
  				}
  				for (var unknownKey in this.unknownPropertyPaths) {
  					if (!oldKnownPropertyPaths[unknownKey]) {
  						oldUnknownPropertyPaths[unknownKey] = true;
  					}
  				}
  				// We need to continue looping so we catch all the property definitions, but we don't want to return an error
  				errorAtEnd = false;
  				continue;
  			}

  			return null;
  		}
  		if (error) {
  			errors.push(error.prefixWith(null, "" + i).prefixWith(null, "anyOf"));
  		}
  	}
  	if (this.trackUnknownProperties) {
  		this.unknownPropertyPaths = oldUnknownPropertyPaths;
  		this.knownPropertyPaths = oldKnownPropertyPaths;
  	}
  	if (errorAtEnd) {
  		errors = errors.concat(this.errors.slice(startErrorCount));
  		this.errors = this.errors.slice(0, startErrorCount);
  		return this.createError(ErrorCodes.ANY_OF_MISSING, {}, "", "/anyOf", errors, data, schema);
  	}
  };

  ValidatorContext.prototype.validateOneOf = function validateOneOf(data, schema, dataPointerPath) {
  	if (schema.oneOf === undefined) {
  		return null;
  	}
  	var validIndex = null;
  	var errors = [];
  	var startErrorCount = this.errors.length;
  	var oldUnknownPropertyPaths, oldKnownPropertyPaths;
  	if (this.trackUnknownProperties) {
  		oldUnknownPropertyPaths = this.unknownPropertyPaths;
  		oldKnownPropertyPaths = this.knownPropertyPaths;
  	}
  	for (var i = 0; i < schema.oneOf.length; i++) {
  		if (this.trackUnknownProperties) {
  			this.unknownPropertyPaths = {};
  			this.knownPropertyPaths = {};
  		}
  		var subSchema = schema.oneOf[i];

  		var errorCount = this.errors.length;
  		var error = this.validateAll(data, subSchema, [], ["oneOf", i], dataPointerPath);

  		if (error === null && errorCount === this.errors.length) {
  			if (validIndex === null) {
  				validIndex = i;
  			} else {
  				this.errors = this.errors.slice(0, startErrorCount);
  				return this.createError(ErrorCodes.ONE_OF_MULTIPLE, {index1: validIndex, index2: i}, "", "/oneOf", null, data, schema);
  			}
  			if (this.trackUnknownProperties) {
  				for (var knownKey in this.knownPropertyPaths) {
  					oldKnownPropertyPaths[knownKey] = true;
  					delete oldUnknownPropertyPaths[knownKey];
  				}
  				for (var unknownKey in this.unknownPropertyPaths) {
  					if (!oldKnownPropertyPaths[unknownKey]) {
  						oldUnknownPropertyPaths[unknownKey] = true;
  					}
  				}
  			}
  		} else if (error) {
  			errors.push(error);
  		}
  	}
  	if (this.trackUnknownProperties) {
  		this.unknownPropertyPaths = oldUnknownPropertyPaths;
  		this.knownPropertyPaths = oldKnownPropertyPaths;
  	}
  	if (validIndex === null) {
  		errors = errors.concat(this.errors.slice(startErrorCount));
  		this.errors = this.errors.slice(0, startErrorCount);
  		return this.createError(ErrorCodes.ONE_OF_MISSING, {}, "", "/oneOf", errors, data, schema);
  	} else {
  		this.errors = this.errors.slice(0, startErrorCount);
  	}
  	return null;
  };

  ValidatorContext.prototype.validateNot = function validateNot(data, schema, dataPointerPath) {
  	if (schema.not === undefined) {
  		return null;
  	}
  	var oldErrorCount = this.errors.length;
  	var oldUnknownPropertyPaths, oldKnownPropertyPaths;
  	if (this.trackUnknownProperties) {
  		oldUnknownPropertyPaths = this.unknownPropertyPaths;
  		oldKnownPropertyPaths = this.knownPropertyPaths;
  		this.unknownPropertyPaths = {};
  		this.knownPropertyPaths = {};
  	}
  	var error = this.validateAll(data, schema.not, null, null, dataPointerPath);
  	var notErrors = this.errors.slice(oldErrorCount);
  	this.errors = this.errors.slice(0, oldErrorCount);
  	if (this.trackUnknownProperties) {
  		this.unknownPropertyPaths = oldUnknownPropertyPaths;
  		this.knownPropertyPaths = oldKnownPropertyPaths;
  	}
  	if (error === null && notErrors.length === 0) {
  		return this.createError(ErrorCodes.NOT_PASSED, {}, "", "/not", null, data, schema);
  	}
  	return null;
  };

  ValidatorContext.prototype.validateHypermedia = function validateCombinations(data, schema, dataPointerPath) {
  	if (!schema.links) {
  		return null;
  	}
  	var error;
  	for (var i = 0; i < schema.links.length; i++) {
  		var ldo = schema.links[i];
  		if (ldo.rel === "describedby") {
  			var template = new UriTemplate(ldo.href);
  			var allPresent = true;
  			for (var j = 0; j < template.varNames.length; j++) {
  				if (!(template.varNames[j] in data)) {
  					allPresent = false;
  					break;
  				}
  			}
  			if (allPresent) {
  				var schemaUrl = template.fillFromObject(data);
  				var subSchema = {"$ref": schemaUrl};
  				if (error = this.validateAll(data, subSchema, [], ["links", i], dataPointerPath)) {
  					return error;
  				}
  			}
  		}
  	}
  };

  // parseURI() and resolveUrl() are from https://gist.github.com/1088850
  //   -  released as public domain by author ("Yaffle") - see comments on gist

  function parseURI(url) {
  	var m = String(url).replace(/^\s+|\s+$/g, '').match(/^([^:\/?#]+:)?(\/\/(?:[^:@]*(?::[^:@]*)?@)?(([^:\/?#]*)(?::(\d*))?))?([^?#]*)(\?[^#]*)?(#[\s\S]*)?/);
  	// authority = '//' + user + ':' + pass '@' + hostname + ':' port
  	return (m ? {
  		href     : m[0] || '',
  		protocol : m[1] || '',
  		authority: m[2] || '',
  		host     : m[3] || '',
  		hostname : m[4] || '',
  		port     : m[5] || '',
  		pathname : m[6] || '',
  		search   : m[7] || '',
  		hash     : m[8] || ''
  	} : null);
  }

  function resolveUrl(base, href) {// RFC 3986

  	function removeDotSegments(input) {
  		var output = [];
  		input.replace(/^(\.\.?(\/|$))+/, '')
  			.replace(/\/(\.(\/|$))+/g, '/')
  			.replace(/\/\.\.$/, '/../')
  			.replace(/\/?[^\/]*/g, function (p) {
  				if (p === '/..') {
  					output.pop();
  				} else {
  					output.push(p);
  				}
  		});
  		return output.join('').replace(/^\//, input.charAt(0) === '/' ? '/' : '');
  	}

  	href = parseURI(href || '');
  	base = parseURI(base || '');

  	return !href || !base ? null : (href.protocol || base.protocol) +
  		(href.protocol || href.authority ? href.authority : base.authority) +
  		removeDotSegments(href.protocol || href.authority || href.pathname.charAt(0) === '/' ? href.pathname : (href.pathname ? ((base.authority && !base.pathname ? '/' : '') + base.pathname.slice(0, base.pathname.lastIndexOf('/') + 1) + href.pathname) : base.pathname)) +
  		(href.protocol || href.authority || href.pathname ? href.search : (href.search || base.search)) +
  		href.hash;
  }

  function getDocumentUri(uri) {
  	return uri.split('#')[0];
  }
  function normSchema(schema, baseUri) {
  	if (schema && typeof schema === "object") {
  		if (baseUri === undefined) {
  			baseUri = schema.id;
  		} else if (typeof schema.id === "string") {
  			baseUri = resolveUrl(baseUri, schema.id);
  			schema.id = baseUri;
  		}
  		if (Array.isArray(schema)) {
  			for (var i = 0; i < schema.length; i++) {
  				normSchema(schema[i], baseUri);
  			}
  		} else {
  			if (typeof schema['$ref'] === "string") {
  				schema['$ref'] = resolveUrl(baseUri, schema['$ref']);
  			}
  			for (var key in schema) {
  				if (key !== "enum") {
  					normSchema(schema[key], baseUri);
  				}
  			}
  		}
  	}
  }

  function defaultErrorReporter(language) {
  	language = language || 'en';

  	var errorMessages = languages[language];

  	return function (error) {
  		var messageTemplate = errorMessages[error.code] || ErrorMessagesDefault[error.code];
  		if (typeof messageTemplate !== 'string') {
  			return "Unknown error code " + error.code + ": " + JSON.stringify(error.messageParams);
  		}
  		var messageParams = error.params;
  		// Adapted from Crockford's supplant()
  		return messageTemplate.replace(/\{([^{}]*)\}/g, function (whole, varName) {
  			var subValue = messageParams[varName];
  			return typeof subValue === 'string' || typeof subValue === 'number' ? subValue : whole;
  		});
  	};
  }

  var ErrorCodes = {
  	INVALID_TYPE: 0,
  	ENUM_MISMATCH: 1,
  	ANY_OF_MISSING: 10,
  	ONE_OF_MISSING: 11,
  	ONE_OF_MULTIPLE: 12,
  	NOT_PASSED: 13,
  	// Numeric errors
  	NUMBER_MULTIPLE_OF: 100,
  	NUMBER_MINIMUM: 101,
  	NUMBER_MINIMUM_EXCLUSIVE: 102,
  	NUMBER_MAXIMUM: 103,
  	NUMBER_MAXIMUM_EXCLUSIVE: 104,
  	NUMBER_NOT_A_NUMBER: 105,
  	// String errors
  	STRING_LENGTH_SHORT: 200,
  	STRING_LENGTH_LONG: 201,
  	STRING_PATTERN: 202,
  	// Object errors
  	OBJECT_PROPERTIES_MINIMUM: 300,
  	OBJECT_PROPERTIES_MAXIMUM: 301,
  	OBJECT_REQUIRED: 302,
  	OBJECT_ADDITIONAL_PROPERTIES: 303,
  	OBJECT_DEPENDENCY_KEY: 304,
  	// Array errors
  	ARRAY_LENGTH_SHORT: 400,
  	ARRAY_LENGTH_LONG: 401,
  	ARRAY_UNIQUE: 402,
  	ARRAY_ADDITIONAL_ITEMS: 403,
  	// Custom/user-defined errors
  	FORMAT_CUSTOM: 500,
  	KEYWORD_CUSTOM: 501,
  	// Schema structure
  	CIRCULAR_REFERENCE: 600,
  	// Non-standard validation options
  	UNKNOWN_PROPERTY: 1000
  };
  var ErrorCodeLookup = {};
  for (var key in ErrorCodes) {
  	ErrorCodeLookup[ErrorCodes[key]] = key;
  }
  var ErrorMessagesDefault = {
  	INVALID_TYPE: "Invalid type: {type} (expected {expected})",
  	ENUM_MISMATCH: "No enum match for: {value}",
  	ANY_OF_MISSING: "Data does not match any schemas from \"anyOf\"",
  	ONE_OF_MISSING: "Data does not match any schemas from \"oneOf\"",
  	ONE_OF_MULTIPLE: "Data is valid against more than one schema from \"oneOf\": indices {index1} and {index2}",
  	NOT_PASSED: "Data matches schema from \"not\"",
  	// Numeric errors
  	NUMBER_MULTIPLE_OF: "Value {value} is not a multiple of {multipleOf}",
  	NUMBER_MINIMUM: "Value {value} is less than minimum {minimum}",
  	NUMBER_MINIMUM_EXCLUSIVE: "Value {value} is equal to exclusive minimum {minimum}",
  	NUMBER_MAXIMUM: "Value {value} is greater than maximum {maximum}",
  	NUMBER_MAXIMUM_EXCLUSIVE: "Value {value} is equal to exclusive maximum {maximum}",
  	NUMBER_NOT_A_NUMBER: "Value {value} is not a valid number",
  	// String errors
  	STRING_LENGTH_SHORT: "String is too short ({length} chars), minimum {minimum}",
  	STRING_LENGTH_LONG: "String is too long ({length} chars), maximum {maximum}",
  	STRING_PATTERN: "String does not match pattern: {pattern}",
  	// Object errors
  	OBJECT_PROPERTIES_MINIMUM: "Too few properties defined ({propertyCount}), minimum {minimum}",
  	OBJECT_PROPERTIES_MAXIMUM: "Too many properties defined ({propertyCount}), maximum {maximum}",
  	OBJECT_REQUIRED: "Missing required property: {key}",
  	OBJECT_ADDITIONAL_PROPERTIES: "Additional properties not allowed",
  	OBJECT_DEPENDENCY_KEY: "Dependency failed - key must exist: {missing} (due to key: {key})",
  	// Array errors
  	ARRAY_LENGTH_SHORT: "Array is too short ({length}), minimum {minimum}",
  	ARRAY_LENGTH_LONG: "Array is too long ({length}), maximum {maximum}",
  	ARRAY_UNIQUE: "Array items are not unique (indices {match1} and {match2})",
  	ARRAY_ADDITIONAL_ITEMS: "Additional items not allowed",
  	// Format errors
  	FORMAT_CUSTOM: "Format validation failed ({message})",
  	KEYWORD_CUSTOM: "Keyword failed: {key} ({message})",
  	// Schema structure
  	CIRCULAR_REFERENCE: "Circular $refs: {urls}",
  	// Non-standard validation options
  	UNKNOWN_PROPERTY: "Unknown property (not in schema)"
  };

  function ValidationError(code, params, dataPath, schemaPath, subErrors) {
  	Error.call(this);
  	if (code === undefined) {
  		throw new Error ("No error code supplied: " + schemaPath);
  	}
  	this.message = '';
  	this.params = params;
  	this.code = code;
  	this.dataPath = dataPath || "";
  	this.schemaPath = schemaPath || "";
  	this.subErrors = subErrors || null;

  	var err = new Error(this.message);
  	this.stack = err.stack || err.stacktrace;
  	if (!this.stack) {
  		try {
  			throw err;
  		}
  		catch(err) {
  			this.stack = err.stack || err.stacktrace;
  		}
  	}
  }
  ValidationError.prototype = Object.create(Error.prototype);
  ValidationError.prototype.constructor = ValidationError;
  ValidationError.prototype.name = 'ValidationError';

  ValidationError.prototype.prefixWith = function (dataPrefix, schemaPrefix) {
  	if (dataPrefix !== null) {
  		dataPrefix = dataPrefix.replace(/~/g, "~0").replace(/\//g, "~1");
  		this.dataPath = "/" + dataPrefix + this.dataPath;
  	}
  	if (schemaPrefix !== null) {
  		schemaPrefix = schemaPrefix.replace(/~/g, "~0").replace(/\//g, "~1");
  		this.schemaPath = "/" + schemaPrefix + this.schemaPath;
  	}
  	if (this.subErrors !== null) {
  		for (var i = 0; i < this.subErrors.length; i++) {
  			this.subErrors[i].prefixWith(dataPrefix, schemaPrefix);
  		}
  	}
  	return this;
  };

  function isTrustedUrl(baseUrl, testUrl) {
  	if(testUrl.substring(0, baseUrl.length) === baseUrl){
  		var remainder = testUrl.substring(baseUrl.length);
  		if ((testUrl.length > 0 && testUrl.charAt(baseUrl.length - 1) === "/")
  			|| remainder.charAt(0) === "#"
  			|| remainder.charAt(0) === "?") {
  			return true;
  		}
  	}
  	return false;
  }

  var languages = {};
  function createApi(language) {
  	var globalContext = new ValidatorContext();
  	var currentLanguage;
  	var customErrorReporter;
  	var api = {
  		setErrorReporter: function (reporter) {
  			if (typeof reporter === 'string') {
  				return this.language(reporter);
  			}
  			customErrorReporter = reporter;
  			return true;
  		},
  		addFormat: function () {
  			globalContext.addFormat.apply(globalContext, arguments);
  		},
  		language: function (code) {
  			if (!code) {
  				return currentLanguage;
  			}
  			if (!languages[code]) {
  				code = code.split('-')[0]; // fall back to base language
  			}
  			if (languages[code]) {
  				currentLanguage = code;
  				return code; // so you can tell if fall-back has happened
  			}
  			return false;
  		},
  		addLanguage: function (code, messageMap) {
  			var key;
  			for (key in ErrorCodes) {
  				if (messageMap[key] && !messageMap[ErrorCodes[key]]) {
  					messageMap[ErrorCodes[key]] = messageMap[key];
  				}
  			}
  			var rootCode = code.split('-')[0];
  			if (!languages[rootCode]) { // use for base language if not yet defined
  				languages[code] = messageMap;
  				languages[rootCode] = messageMap;
  			} else {
  				languages[code] = Object.create(languages[rootCode]);
  				for (key in messageMap) {
  					if (typeof languages[rootCode][key] === 'undefined') {
  						languages[rootCode][key] = messageMap[key];
  					}
  					languages[code][key] = messageMap[key];
  				}
  			}
  			return this;
  		},
  		freshApi: function (language) {
  			var result = createApi();
  			if (language) {
  				result.language(language);
  			}
  			return result;
  		},
  		validate: function (data, schema, checkRecursive, banUnknownProperties) {
  			var def = defaultErrorReporter(currentLanguage);
  			var errorReporter = customErrorReporter ? function (error, data, schema) {
  				return customErrorReporter(error, data, schema) || def(error, data, schema);
  			} : def;
  			var context = new ValidatorContext(globalContext, false, errorReporter, checkRecursive, banUnknownProperties);
  			if (typeof schema === "string") {
  				schema = {"$ref": schema};
  			}
  			context.addSchema("", schema);
  			var error = context.validateAll(data, schema, null, null, "");
  			if (!error && banUnknownProperties) {
  				error = context.banUnknownProperties(data, schema);
  			}
  			this.error = error;
  			this.missing = context.missing;
  			this.valid = (error === null);
  			return this.valid;
  		},
  		validateResult: function () {
  			var result = {toString: function () {
  				return this.valid ? 'valid' : this.error.message;
  			}};
  			this.validate.apply(result, arguments);
  			return result;
  		},
  		validateMultiple: function (data, schema, checkRecursive, banUnknownProperties) {
  			var def = defaultErrorReporter(currentLanguage);
  			var errorReporter = customErrorReporter ? function (error, data, schema) {
  				return customErrorReporter(error, data, schema) || def(error, data, schema);
  			} : def;
  			var context = new ValidatorContext(globalContext, true, errorReporter, checkRecursive, banUnknownProperties);
  			if (typeof schema === "string") {
  				schema = {"$ref": schema};
  			}
  			context.addSchema("", schema);
  			context.validateAll(data, schema, null, null, "");
  			if (banUnknownProperties) {
  				context.banUnknownProperties(data, schema);
  			}
  			var result = {toString: function () {
  				return this.valid ? 'valid' : this.error.message;
  			}};
  			result.errors = context.errors;
  			result.missing = context.missing;
  			result.valid = (result.errors.length === 0);
  			return result;
  		},
  		addSchema: function () {
  			return globalContext.addSchema.apply(globalContext, arguments);
  		},
  		getSchema: function () {
  			return globalContext.getSchema.apply(globalContext, arguments);
  		},
  		getSchemaMap: function () {
  			return globalContext.getSchemaMap.apply(globalContext, arguments);
  		},
  		getSchemaUris: function () {
  			return globalContext.getSchemaUris.apply(globalContext, arguments);
  		},
  		getMissingUris: function () {
  			return globalContext.getMissingUris.apply(globalContext, arguments);
  		},
  		dropSchemas: function () {
  			globalContext.dropSchemas.apply(globalContext, arguments);
  		},
  		defineKeyword: function () {
  			globalContext.defineKeyword.apply(globalContext, arguments);
  		},
  		defineError: function (codeName, codeNumber, defaultMessage) {
  			if (typeof codeName !== 'string' || !/^[A-Z]+(_[A-Z]+)*$/.test(codeName)) {
  				throw new Error('Code name must be a string in UPPER_CASE_WITH_UNDERSCORES');
  			}
  			if (typeof codeNumber !== 'number' || codeNumber%1 !== 0 || codeNumber < 10000) {
  				throw new Error('Code number must be an integer > 10000');
  			}
  			if (typeof ErrorCodes[codeName] !== 'undefined') {
  				throw new Error('Error already defined: ' + codeName + ' as ' + ErrorCodes[codeName]);
  			}
  			if (typeof ErrorCodeLookup[codeNumber] !== 'undefined') {
  				throw new Error('Error code already used: ' + ErrorCodeLookup[codeNumber] + ' as ' + codeNumber);
  			}
  			ErrorCodes[codeName] = codeNumber;
  			ErrorCodeLookup[codeNumber] = codeName;
  			ErrorMessagesDefault[codeName] = ErrorMessagesDefault[codeNumber] = defaultMessage;
  			for (var langCode in languages) {
  				var language = languages[langCode];
  				if (language[codeName]) {
  					language[codeNumber] = language[codeNumber] || language[codeName];
  				}
  			}
  		},
  		reset: function () {
  			globalContext.reset();
  			this.error = null;
  			this.missing = [];
  			this.valid = true;
  		},
  		missing: [],
  		error: null,
  		valid: true,
  		normSchema: normSchema,
  		resolveUrl: resolveUrl,
  		getDocumentUri: getDocumentUri,
  		errorCodes: ErrorCodes
  	};
  	api.language(language || 'en');
  	return api;
  }

  var tv4 = createApi();
  tv4.addLanguage('en-gb', ErrorMessagesDefault);

  //legacy property
  tv4.tv4 = tv4;

  return tv4; // used by _header.js to globalise.

  }));
  });

  tv4.addFormat('date-time', data => {
    if (typeof data === 'string') {
      data = new Date(data);
    }

    if (data instanceof Date && !isNaN(data.getTime())) {
      return null;
    }

    return 'Invalid date';
  });

  function isObject$1(val) {
    return val !== null && val !== undefined && typeof val === 'object';
  }
  /**
   * Clone javascript objects.
   * @private
   *
   * @param {Object|Array} obj The object to clone.
   * @param {Function} callback An optional function which runs before inserting a property.
   * @return {Object|Array} The clone of the object.
   */


  function clone(obj, callback) {
    callback = callback || function (scope, key, prop) {
      return prop;
    };

    if (Array.isArray(obj)) {
      return obj.map((entry, index) => {
        entry = callback(obj, index, entry);

        if (isObject$1(entry)) {
          return clone(entry, callback);
        }

        return entry;
      });
    } else if (obj instanceof Date) {
      return new Date(obj);
    }

    let res = {};
    Object.keys(obj).forEach(k => {
      let val = callback(obj, k, obj[k]);

      if (isObject$1(val)) {
        res[k] = clone(val, callback);
      } else {
        res[k] = val;
      }
    });
    return res;
  }
  /**
   * Merge two objects in a new one.
   * @private
   *
   * @param {Object} obj1 The initial object.
   * @param {Object} obj2 The object to merge.
   * @return {Object} The merged object.
   */


  function merge(obj1, obj2) {
    let res = clone(obj1);
    Object.keys(obj2).forEach(key => {
      if (isObject$1(obj2[key])) {
        if (isObject$1(res[key])) {
          res[key] = merge(res[key], obj2[key]);
        } else {
          res[key] = obj2[key];
        }
      } else {
        res[key] = obj2[key];
      }
    });
    return res;
  }
  /**
   * Get data from an object.
   * @private
   *
   * @param {Object} scope The object to use.
   * @param {String} k The data key.
   * @param {Boolean} internal Should get value has private property.
   * @return {any} The value of the object for the given key.
   */


  function get(scope, k, internal) {
    if (internal) {
      k = getSymbol(k);
    }

    return scope[k];
  }
  /**
   * Merge data to another object.
   * @private
   *
   * @param {Object} scope The object to update.
   * @param {Object} data The object to merge.
   * @param {Boolean} internal Should set value has private property.
   */


  function set$1(scope, data, internal) {
    Object.keys(data).forEach(k => {
      let ok = k;

      if (internal) {
        k = getSymbol(k);
      }

      if (scope[k] !== data[ok]) {
        scope[k] = data[ok];
      }
    });
  }
  /**
   * Create a private symbol.
   * @private
   *
   * @param {String} name The name of the property to privatize.
   * @return {Symbol|String}
   */


  function getSymbol(name) {
    if (!getSymbol.cache[name]) {
      if (typeof Symbol !== 'undefined') {
        getSymbol.cache[name] = Symbol(name);
      } else {
        getSymbol.cache[name] = `__${name}`;
      }
    }

    return getSymbol.cache[name];
  }

  getSymbol.cache = {};
  /**
   * Get all root properties merging definition.
   * @private
   *
   * @param {Object} schema The schema to analyze.
   * @param {Object} validator The validator instance.
   * @return {Object} A list of properties.
   */

  function getProperties(schema, validator) {
    let root = !validator;

    if (root) {
      validator = tv4.freshApi();
      validator.addSchema('', schema);
    }

    if (schema.definitions) {
      for (let k in schema.definitions) {
        validator.addSchema(`#/definitions/${k}`, schema.definitions[k]);
      }
    }

    if (schema.$ref) {
      schema = validator.getSchema(schema.$ref);
    }

    if (schema.properties) {
      return clone(schema.properties);
    } else {
      let res = {};
      let defs = schema['anyOf'] || schema['allOf'] || root && schema['oneOf'];

      if (defs) {
        defs.forEach(def => {
          res = merge(res, getProperties(def, validator));
        });
      }

      return res;
    }

    return {};
  }

  const DEFAULT_OPTIONS = {
    validate: true,
    internal: false
  };
  class SchemaModel {
    /**
     * Merge two objects in a new one.
     *
     * @param {Object} obj1 The initial object.
     * @param {Object} obj2 The object to merge.
     * @return {Object} The merged object.
     */
    static merge(...args) {
      return merge(...args);
    }
    /**
     * Clone javascript objects.
     *
     * @param {Object|Array} obj The object to clone.
     * @param {Function} callback An optional function which runs before inserting a property.
     * @return {Object|Array} The clone of the object.
     */


    static clone(...args) {
      return clone(...args);
    }
    /**
     * Create a new schema class extending SchemaModel.
     *
     * @param {Object} schema The schema to use for the new model class.
     * @return {class} An extended SchemaModel.
     */


    static create(schema) {
      return class extends SchemaModel {
        static get schema() {
          return schema;
        }

      };
    }
    /**
     * The schema of the model.
     * @type {Object}
     * @memberof SchemaModel
     */


    static get schema() {
      throw new Error('Missing schema');
    }
    /**
     * The schema merged properties.
     * @type {Object}
     * @memberof SchemaModel
     */


    static get schemaProperties() {
      return getProperties(this.schema);
    }
    /**
     * Generate Model classes based on JSON Schema definition.
     * @class
     *
     * @param {Object} data The (optional) initial data to set.
     * @param {Object} options Optional options for data setting.
     */


    constructor(data, options) {
      if (data) {
        this.set(data, options);
      }
    }
    /**
     * Get a property value.
     *
     * @param {String} name The property name to retrieve.
     * @param {Object} options Optional options for data getting.
     * @return {any} The property value.
     */


    get(name, options) {
      options = merge(DEFAULT_OPTIONS, options || {});
      return get(this, name, options.internal);
    }
    /**
     * Set a bunch of properties.
     *
     * @param {Object} data The data to set.
     * @param {Object} options Optional options for data setting.
     */


    set(data, value, options) {
      if (typeof data === 'string') {
        return this.set({
          [data]: value
        }, options);
      }

      data = data || {};
      options = merge(DEFAULT_OPTIONS, value || {});

      if (!options.internal && options.validate) {
        let dataToValidate = merge(this.toJSON(true), data);
        let res = this.validate(dataToValidate, options);
        /* istanbul ignore if */

        if (!res.valid) {
          if (res.error && res.error.message) {
            throw new Error(res.error.message);
          } else if (res.missing.length) {
            throw new Error(`Missing $ref schemas: ${res.missing.join(', ')}`);
          }

          throw new Error('Validation failed');
        }
      }

      set$1(this, data, options.internal);
    }
    /**
     * Validate a bunch of data or the model instance.
     *
     * @param {Object} data Optional data to validate (if empty, use model's data).
     * @return {Object} A validation result.
     */


    validate(data) {
      data = data || this.toJSON(true);
      let schema = this.constructor.schema;
      let res = tv4.validateResult(data, schema);
      /* istanbul ignore if  */

      if (res.valid && res.missing.length) {
        res.valid = false;
      }

      return res;
    }
    /**
     * Convert the model to a plain javascript object.
     *
     * @param {Boolean} stripUndefined Strip undefined values from model.
     * @return {Object} A representation of the model as plain object.
     */


    toJSON(stripUndefined) {
      let keys = Object.keys(this.constructor.schemaProperties);
      let res = {};
      keys.forEach(key => {
        let val = this.get(key);

        if (!stripUndefined || val !== undefined) {
          res[key] = val;
        }
      });
      res = clone(res, (scope, key, prop) => {
        if (prop instanceof SchemaModel) {
          return prop.toJSON(stripUndefined);
        }

        return prop;
      });
      return res;
    }

  }
  SchemaModel.symbols = {};

  /**
   * SchemaModel
   * (c) 2017 Chialab (http://www.chialab.it) <dev@chialab.io>
   *
   * Generate Model classes based on JSON Schema definition.
   */

  class Model extends mix(SchemaModel).with(CallbackMixin, BaseMixin) {
    static get schema() {
      return undefined;
    }

    static get properties() {
      return [];
    }

    static get key() {
      return 'id';
    } // eslint-disable-next-line


    constructor() {
      super();
    }

    initialize(data) {
      return super.initialize().then(() => {
        if (data) {
          this.set(data);
        }

        return Promise.resolve();
      });
    }

    set(data, value, options = false) {
      if (typeof options === 'boolean') {
        options = {
          skipChanges: options
        };
      }

      if (typeof data === 'object') {
        options = value || {};
        let changed = false;
        let changes = {};

        if (!options.skipChanges && !options.internal) {
          for (let k in data) {
            if (this[k] !== data[k]) {
              changed = true;
              changes[k] = {
                oldValue: this[k],
                newValue: data[k]
              };
              this.setChanges(k, this[k], data[k]);
            }
          }
        }

        super.set(data, options);

        if (changed) {
          this.trigger('change', changes);
        }
      } else if (typeof data === 'string') {
        let s = {};
        s[data] = value;
        this.set(s, options);
      }
    }

    resetChanges() {
      internal(this).changes = {};
    }

    setChanges(key, oldValue, newValue) {
      internal(this).changes = internal(this).changes || {};
      internal(this).changes[key] = {
        oldValue,
        newValue
      };
    }

    getChanges() {
      return internal(this).changes || {};
    }

    changed() {
      return Object.keys(this.getChanges());
    }

    hasChanges() {
      return !!this.changed().length;
    }

    validate(...args) {
      if (this.constructor.schema) {
        return super.validate(...args);
      } else {
        return {
          valid: true
        };
      }
    }

    toJSON(stripUndefined) {
      let Ctr = this.constructor;

      if (Ctr.schema) {
        return super.toJSON(stripUndefined);
      }

      let res = {};
      (Ctr.properties || []).forEach(key => {
        let val = this.get(key);

        if (!stripUndefined || val !== undefined) {
          res[key] = val;
        }
      });
      return res;
    }

    factory(name) {
      let injected = this.getContext().getInjected();
      return injected && injected[name];
    }

    reset(skipChanges = false) {
      const Ctr = this.constructor;
      let props = [];

      if (Ctr.schema) {
        props = Object.keys(Ctr.schemaProperties);
      } else if (Ctr.properties) {
        props = Ctr.properties;
      }

      let set = {};
      props.forEach(prop => {
        if (prop !== 'id' && prop !== 'type') {
          set[prop] = undefined;
        }
      });
      this.set(set, {
        validate: false,
        skipChanges
      });
    }

    destroy() {
      this.reset();
      this.trigger('change', true);
      return super.destroy();
    }

  }
  Model.ready = Promise.resolve();

  class AjaxModel extends Model {
    setFromResponse(data = {}) {
      if (data) {
        this.set(data, {
          validate: false,
          skipChanges: true
        });
      }

      return Promise.resolve(this);
    }

  }

  tv4.addFormat('date-time', function (data) {
    if (typeof data === 'string') {
      data = new Date(data);
    }

    if (data instanceof Date && !isNaN(data.getTime())) {
      return null;
    }

    return 'Invalid date';
  });
  var REL_KEY = 'relationships';
  var REL_META_KEY = 'relationshipsMeta';
  var Model$1 =
  /*#__PURE__*/
  function (_AjaxModel) {
    _inherits(Model, _AjaxModel);

    function Model() {
      _classCallCheck(this, Model);

      return _possibleConstructorReturn(this, _getPrototypeOf(Model).apply(this, arguments));
    }

    _createClass(Model, [{
      key: "initialize",

      /**
       * @inheritdoc
       */
      value: function initialize() {
        var _get2,
            _this = this;

        for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
          args[_key] = arguments[_key];
        }

        return (_get2 = _get(_getPrototypeOf(Model.prototype), "initialize", this)).call.apply(_get2, [this].concat(args)).then(function () {
          return (// setup object relationships collections.
            _this.setupRelationships()
          );
        });
      }
    }, {
      key: "isNew",
      value: function isNew() {
        return !this.id;
      }
    }, {
      key: "isDeleted",
      value: function isDeleted() {
        return !!this.$deleted;
      }
    }, {
      key: "delete",
      value: function _delete() {
        this.reset(true);
        this.tickDeleted();
        this.trigger('deleted');
      }
    }, {
      key: "setChanges",
      value: function setChanges() {
        var _get3;

        for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
          args[_key2] = arguments[_key2];
        }

        (_get3 = _get(_getPrototypeOf(Model.prototype), "setChanges", this)).call.apply(_get3, [this].concat(args));

        this.tickModified();
      }
    }, {
      key: "resetChanges",
      value: function resetChanges() {
        _get(_getPrototypeOf(Model.prototype), "resetChanges", this).call(this);

        this.tickModified(this.modified || 0);
      }
    }, {
      key: "hasLocalChanges",
      value: function hasLocalChanges() {
        var remote = new Date(this.modified || 0);
        var current = new Date(this.get('$modified'));
        return current > remote;
      }
      /**
       * @inheritdoc
       */

    }, {
      key: "reset",
      value: function reset(skipChanges) {
        // reset relationships collections
        var rels = this.getRelationships() || {};
        Object.keys(rels).forEach(function (name) {
          rels[name].reset(skipChanges);
        }); // reset relationships metadata

        this.set(REL_META_KEY, undefined, {
          internal: true
        });
        return _get(_getPrototypeOf(Model.prototype), "reset", this).call(this, skipChanges);
      }
    }, {
      key: "clone",
      value: function clone() {
        var _this2 = this;

        return this.initClass(this.constructor).then(function (clone) {
          return clone.merge(_this2);
        }).then(function (clone) {
          clone.resetChanges();
          return Promise.resolve(clone);
        });
      }
    }, {
      key: "merge",
      value: function merge(model) {
        var _this3 = this;

        this.set(model.toJSON(true));
        var relationships = model.getRelationships() || {};
        Object.keys(relationships).forEach(function (relationName) {
          var collection = _this3.getRelationship(relationName);

          var parentCollection = model.getRelationship(relationName);
          collection.reset();
          parentCollection.forEach(function (relatedModel) {
            _this3.addRelationship(relationName, relatedModel, model.getRelationshipMeta(relationName, relatedModel));
          });
          collection.resetChanges();
        });
        return this;
      }
    }, {
      key: "setFromResponse",
      value: function setFromResponse(response) {
        var _this4 = this;

        var included = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

        if (!response) {
          return _get(_getPrototypeOf(Model.prototype), "setFromResponse", this).call(this, response);
        }

        if (response.id) {
          this.set({
            id: response.id
          }, {
            validate: false,
            skipChanges: true
          });
          delete response.id;
        }

        if (response.type) {
          this.set({
            type: response.type
          }, {
            validate: false,
            skipChanges: true
          });
          delete response.type;
        }

        if (response.attributes) {
          this.set(response.attributes, {
            validate: false,
            skipChanges: true
          });
          delete response.attributes;
        }

        var setRelationsPromise = Promise.resolve();

        if (response.relationships) {
          setRelationsPromise = this.setIncludedFromResponse(response.relationships, included).then(function () {
            delete response.relationships;
          });
        }

        if (response.meta) {
          internal(this).metadata = response.meta;
          var schemaProperties = this.constructor.schemaProperties;

          for (var metaName in response.meta) {
            if (schemaProperties.hasOwnProperty(metaName) && schemaProperties[metaName].readOnly) {
              this.set(metaName, response.meta[metaName], {
                validate: false,
                skipChanges: true
              });
            }
          }

          this.tickModified(this.modified || 0);
          delete response.meta;
        }

        delete response.links;
        return setRelationsPromise.then(function () {
          return _get(_getPrototypeOf(Model.prototype), "setFromResponse", _this4).call(_this4, response);
        }).then(function (model) {
          return _this4.trigger('synced').then(function () {
            return model;
          });
        });
      }
    }, {
      key: "setIncludedFromResponse",
      value: function setIncludedFromResponse(relationships) {
        var _this5 = this;

        var included = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
        var modelFactory = this.factory('model');
        return Promise.all(Object.keys(relationships).map(function (relationName) {
          return _this5.setupRelationship(relationName).then(function (collection) {
            var relation = relationships[relationName];

            if (!relation.data) {
              return collection;
            }

            var setRelationDataPromise = Promise.resolve();
            relation.data.forEach(function (relation) {
              var relatedData = included.find(function (includedData) {
                return includedData.id === relation.id && includedData.type === relation.type;
              });

              if (!relatedData) {
                return;
              }

              setRelationDataPromise = setRelationDataPromise.then(function () {
                return modelFactory.initModel(relatedData.type);
              }).then(function (relatedModel) {
                return relatedModel.setFromResponse(relatedData, included).then(function () {
                  collection.add(relatedModel);
                });
              });
            });
            return setRelationDataPromise;
          });
        }));
      }
    }, {
      key: "tickModified",
      value: function tickModified() {
        var date = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : Date.now();
        this.set('$modified', new Date(date).getTime(), {
          skipChanges: true,
          validate: false
        });
      }
    }, {
      key: "tickDeleted",
      value: function tickDeleted() {
        this.set('$deleted', true, {
          skipChanges: false,
          validate: false
        });
      }
    }, {
      key: "toJSONApi",
      value: function toJSONApi(stripUndefined, onlyChanges) {
        var res = {};
        var data = this.toJSON(stripUndefined);

        if (this.id) {
          res.id = this.id;
        }

        if (this.type) {
          res.type = this.type;
        }

        if (onlyChanges) {
          var changed = this.changed();

          for (var k in data) {
            if (changed.indexOf(k) === -1) {
              delete data[k];
            }
          }
        }

        res.attributes = data;
        return res;
      }
    }, {
      key: "getRelationships",
      value: function getRelationships() {
        return this.get(REL_KEY, {
          internal: true
        });
      }
    }, {
      key: "setRelationships",
      value: function setRelationships(data) {
        return this.set(REL_KEY, data, {
          internal: true,
          skipChanges: true
        });
      }
    }, {
      key: "fetchRelationships",
      value: function fetchRelationships() {
        var _this6 = this;

        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        var collections = this.getRelationships();
        var available = Object.keys(collections);
        var filterRelations = options.relations;

        if (filterRelations === true) {
          filterRelations = available;
        }

        var promise = Promise.resolve();
        available.filter(function (name) {
          if (filterRelations && filterRelations.indexOf(name) === -1) {
            return false;
          }

          return true;
        }).forEach(function (relName) {
          promise = promise.then(function () {
            return _this6.fetchRelationship(relName, options);
          });
        });
        return promise.then(function () {
          _this6.trigger('change', {});

          return Promise.resolve(_this6);
        });
      }
    }, {
      key: "postRelationships",
      value: function postRelationships() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        var collections = this.getRelationships();
        return Promise.all( // update sub models
        Object.keys(collections).map(function (relName) {
          var collection = collections[relName];
          var relationships = (collection || []).filter(function (model) {
            return model.isNew() || model.hasChanges();
          });
          return Promise.all(relationships.map(function (model) {
            return collection.post(model, options);
          }));
        })).then(function () {
          // update relationships
          var promise = Promise.resolve();
          Object.keys(collections).forEach(function (relName) {
            promise = promise.then(function () {
              return collections[relName].update();
            });
          });
          return promise;
        });
      }
    }, {
      key: "setupRelationship",
      value: function setupRelationship(relationName) {
        var _this7 = this;

        var modelFactory = this.factory('model');
        var collections = this.getRelationships() || {};

        if (collections.hasOwnProperty(relationName)) {
          return Promise.resolve(collections[relationName]);
        }

        return modelFactory.initRelationshipsCollection(this, relationName).then(function (collection) {
          collections[relationName] = collection;

          _this7.setRelationships(collections);

          return collection;
        });
      }
    }, {
      key: "setupRelationships",
      value: function setupRelationships() {
        var _this8 = this;

        var relations = this.constructor.relations || {};
        return Promise.all(Object.keys(relations).map(function (relationName) {
          var rel = relations[relationName];
          return _this8.setupRelationship(relationName).then(function (collection) {
            if (Array.isArray(rel.data)) {
              collection.fetched = true;
              return Promise.all(rel.data.map(function (modelData) {
                return collection.model(modelData).then(function (model) {
                  return _this8.addRelationship(relationName, model);
                });
              }));
            }

            return Promise.resolve();
          });
        }));
      }
    }, {
      key: "getRelationship",
      value: function getRelationship(name) {
        var collections = this.getRelationships();

        if (collections) {
          return collections[name];
        }

        return undefined;
      }
    }, {
      key: "fetchRelationship",
      value: function fetchRelationship(name, options) {
        var collection = this.getRelationship(name);

        if (collection && ((!options || Object.keys(options).length === 0) && collection.fetched || this.isNew())) {
          return Promise.resolve(collection);
        }

        if (!this.id) {
          return Promise.reject(new Error('Missing id'));
        }

        if (!collection) {
          return Promise.reject(new Error('Unavailable relationship'));
        }

        return collection.findAll(options).then(function () {
          return Promise.resolve(collection);
        });
      }
      /**
       * Add a relationship.
       * @memberof BaseModel
       *
       * @param {string} relName The name of the relationship to add.
       * @param {Model} relModel The related model to add.
       * @param {Object} [params] A set of relationship params.
       * @return {void}
       */

    }, {
      key: "addRelationship",
      value: function addRelationship(relName, relModel, params) {
        var collection = this.getRelationship(relName);

        if (collection.getIndexByModel(relModel) === -1) {
          collection.add(relModel);
        }

        if (params) {
          this.setRelationshipMeta(relName, relModel, params, true);
        }
      }
      /**
       * Remove a relationship.
       * @memberof BaseModel
       *
       * @param {string} relName The name of the relationship to remove.
       * @param {Model} relModel The related model to remove.
       * @return {void}
       */

    }, {
      key: "removeRelationship",
      value: function removeRelationship(relName, relModel) {
        var collection = this.getRelationship(relName);
        collection.remove(relModel);
      }
      /**
       * Get relationship metadata.
       * @memberof BaseModel
       *
       * @param {string} relName The name of the relationship.
       * @param {Model} relModel The related model.
       * @return {Object|void} A set of relationship metadata.
       */

    }, {
      key: "getRelationshipMeta",
      value: function getRelationshipMeta(relName, relModel) {
        var relMeta = this.get(REL_META_KEY, {
          internal: true
        }) || {};
        return relMeta[relName] && relMeta[relName][relModel.id];
      }
      /**
       * Update relationship's metadata and parameters.
       * @memberof BaseModel
       *
       * @param {string} relName The name of the relationship to update.
       * @param {Model} relModel The related model.
       * @param {Object} meta The new meta object to set.
       * @param {Boolean} trigger Should trigger a change event.
       * @return {void}
       *
       * @emits BaseModel#relparams:change A relationship param has changed.
       */

    }, {
      key: "setRelationshipMeta",
      value: function setRelationshipMeta(relName, relModel, meta, trigger) {
        // get all relationships metadata
        var relMeta = this.get(REL_META_KEY, {
          internal: true
        }) || {}; // get relationship metadata

        relMeta[relName] = relMeta[relName] || {}; // set metadata for the related model

        relMeta[relName][relModel.id] = meta; // update relationships metadata

        this.set(REL_META_KEY, relMeta, {
          internal: true
        });

        if (trigger) {
          // trigger the change event
          this.trigger('relparams:change', {
            name: relName,
            left: this,
            right: relModel,
            meta: meta
          });
        }
      }
      /**
       * Check if relationships are changed from the latest remote sync.
       * @memberof BaseModel
       *
       * @return {Boolean}
       */

    }, {
      key: "hasRelationshipsChanges",
      value: function hasRelationshipsChanges() {
        var collections = this.getRelationships(); // iterate every relationship

        for (var k in collections) {
          // and check if it has changes
          if (collections[k].hasChanges()) {
            return true;
          }
        }

        return false;
      }
      /**
       * Add a parameter to a model relationship.
       * @memberof BaseModel
       *
       * @param {string} relName The name of the relation to update.
       * @param {Model} relModel The related model.
       * @param {string} paramName The name of the paramater to update.
       * @param {*} paramValue The value to set.
       * @return {void}
       */

    }, {
      key: "setRelationshipParam",
      value: function setRelationshipParam(relName, relModel, paramName, paramValue) {
        // get all the parameters of the relationship.
        var relMeta = this.getRelationshipMeta(relName, relModel) || {}; // setup the `params` field

        if (!relMeta.params) {
          relMeta.params = {};
        } // check if the paramater has to be updated


        if (relMeta.params[paramName] !== paramValue) {
          relMeta.params[paramName] = paramValue; // flag the relationship metatdata has changed

          relMeta.changed = true; // update the model

          this.setRelationshipMeta(relName, relModel, relMeta, true);
        }
      }
      /**
       * Validate local data for the model.
       * @param {Object} data The data to validate.
       * @param {Object} options A set of options for the validation.
       * @return {boolean}
       */

    }, {
      key: "validate",
      value: function validate(data, options) {
        if (this.factory('model').autoValidation) {
          return {
            valid: true
          };
        }

        return _get(_getPrototypeOf(Model.prototype), "validate", this).call(this, data, options);
      }
    }, {
      key: "metadata",
      get: function get$$1() {
        return internal(this).metadata || {};
      }
    }], [{
      key: "create",
      value: function create(type, schema, relations) {
        var Ctr = this;
        schema = {
          allOf: [Ctr.schema, schema]
        };
        return (
          /*#__PURE__*/
          function (_Ctr) {
            _inherits(_class, _Ctr);

            function _class() {
              _classCallCheck(this, _class);

              return _possibleConstructorReturn(this, _getPrototypeOf(_class).apply(this, arguments));
            }

            _createClass(_class, [{
              key: "type",
              get: function get$$1() {
                return type;
              }
            }], [{
              key: "schema",
              get: function get$$1() {
                return schema;
              }
            }, {
              key: "relations",
              get: function get$$1() {
                return relations;
              }
            }]);

            return _class;
          }(Ctr)
        );
      }
    }, {
      key: "schema",
      get: function get$$1() {
        return {};
      }
    }]);

    return Model;
  }(AjaxModel);

  var $schema = "http://json-schema.org/draft-06/schema#";
  var type = "object";
  var properties = {
  	id: {
  		type: "string",
  		readOnly: true
  	},
  	type: {
  		type: "string",
  		readOnly: true
  	},
  	publish_end: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				format: "date-time"
  			}
  		],
  		$id: "/properties/publish_end",
  		title: "Publish End",
  		description: "publish until this date"
  	},
  	publish_start: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				format: "date-time"
  			}
  		],
  		$id: "/properties/publish_start",
  		title: "Publish Start",
  		description: "publish from this date on"
  	},
  	body: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				contentMediaType: "text/html"
  			}
  		],
  		$id: "/properties/body",
  		title: "Body",
  		description: ""
  	},
  	created: {
  		type: "string",
  		format: "date-time",
  		$id: "/properties/created",
  		title: "Created",
  		description: "creation date",
  		readOnly: true
  	},
  	title: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				contentMediaType: "text/html"
  			}
  		],
  		$id: "/properties/title",
  		title: "Title",
  		description: ""
  	},
  	modified: {
  		type: "string",
  		format: "date-time",
  		$id: "/properties/modified",
  		title: "Modified",
  		description: "last modification date",
  		readOnly: true
  	},
  	extra: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "object"
  			}
  		],
  		$id: "/properties/extra",
  		title: "Extra",
  		description: "object data extensions (JSON format)"
  	},
  	created_by: {
  		type: "integer",
  		$id: "/properties/created_by",
  		title: "Created By",
  		description: "user who created object",
  		readOnly: true
  	},
  	modified_by: {
  		type: "integer",
  		$id: "/properties/modified_by",
  		title: "Modified By",
  		description: "last user to modify object",
  		readOnly: true
  	},
  	locked: {
  		type: "boolean",
  		$id: "/properties/locked",
  		title: "Locked",
  		description: "locked \"flag\": some fields (status, uname,...) cannot be changed",
  		readOnly: true,
  		"default": false
  	},
  	status: {
  		type: "string",
  		"enum": [
  			"on",
  			"off",
  			"draft"
  		],
  		$id: "/properties/status",
  		title: "Status",
  		description: "object \"status\": on, draft, off",
  		"default": "draft"
  	},
  	lang: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/lang",
  		title: "Lang",
  		description: "language used, ISO 639-3 code"
  	},
  	published: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				format: "date-time"
  			}
  		],
  		$id: "/properties/published",
  		title: "Published",
  		description: "publication date, status set to ON",
  		readOnly: true
  	},
  	description: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				contentMediaType: "text/html"
  			}
  		],
  		$id: "/properties/description",
  		title: "Description",
  		description: ""
  	},
  	uname: {
  		type: "string",
  		$id: "/properties/uname",
  		title: "Uname",
  		description: "unique and url friendly resource name (slug)",
  		maxLength: 255
  	}
  };
  var SCHEMA = {
  	$schema: $schema,
  	type: type,
  	properties: properties
  };

  var ObjectModel =
  /*#__PURE__*/
  function (_Model) {
    _inherits(ObjectModel, _Model);

    function ObjectModel() {
      _classCallCheck(this, ObjectModel);

      return _possibleConstructorReturn(this, _getPrototypeOf(ObjectModel).apply(this, arguments));
    }

    _createClass(ObjectModel, null, [{
      key: "schema",
      get: function get() {
        return SCHEMA;
      }
    }, {
      key: "type",
      get: function get() {
        return 'objects';
      }
    }]);

    return ObjectModel;
  }(Model$1);

  var type$1 = "object";
  var $id = "{host}/model/schema/roles";
  var $schema$1 = "http://json-schema.org/draft-06/schema#";
  var properties$1 = {
  	name: {
  		type: "string",
  		$id: "/properties/name",
  		title: "Name",
  		description: "role unique name",
  		maxLength: 32
  	},
  	description: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				contentMediaType: "text/html"
  			}
  		],
  		$id: "/properties/description",
  		title: "Description",
  		description: "role description"
  	},
  	unchangeable: {
  		type: "boolean",
  		$id: "/properties/unchangeable",
  		title: "Unchangeable",
  		description: "role data not modifiable (default:false)",
  		readOnly: true,
  		"default": false
  	},
  	created: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				format: "date-time"
  			}
  		],
  		$id: "/properties/created",
  		title: "Created",
  		description: "creation date",
  		readOnly: true
  	},
  	modified: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				format: "date-time"
  			}
  		],
  		$id: "/properties/modified",
  		title: "Modified",
  		description: "last modification date",
  		readOnly: true
  	}
  };
  var required = [
  	"name"
  ];
  var SCHEMA$1 = {
  	type: type$1,
  	$id: $id,
  	$schema: $schema$1,
  	properties: properties$1,
  	required: required
  };

  var RoleModel =
  /*#__PURE__*/
  function (_Model) {
    _inherits(RoleModel, _Model);

    function RoleModel() {
      _classCallCheck(this, RoleModel);

      return _possibleConstructorReturn(this, _getPrototypeOf(RoleModel).apply(this, arguments));
    }

    _createClass(RoleModel, [{
      key: "type",
      get: function get() {
        return 'roles';
      }
    }], [{
      key: "schema",
      get: function get() {
        return SCHEMA$1;
      }
    }]);

    return RoleModel;
  }(Model$1);

  var $id$1 = "{host}/model/schema/user";
  var $schema$2 = "http://json-schema.org/draft-06/schema#";
  var type$2 = "object";
  var properties$2 = {
  	name: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/name",
  		title: "Name",
  		description: "person name, can be NULL"
  	},
  	deathdate: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				format: "date-time"
  			}
  		],
  		$id: "/properties/deathdate",
  		title: "Deathdate",
  		description: "date of death, can be NULL"
  	},
  	company_kind: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/company_kind",
  		title: "Company Kind",
  		description: "type of company, can be NULL"
  	},
  	surname: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/surname",
  		title: "Surname",
  		description: "person surname, can be NULL"
  	},
  	company: {
  		type: "boolean",
  		$id: "/properties/company",
  		title: "Company",
  		description: "is a company, default: false"
  	},
  	state_name: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/state_name",
  		title: "State Name",
  		description: "state, can be NULL"
  	},
  	country: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/country",
  		title: "Country",
  		description: "country, can be NULL"
  	},
  	company_name: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/company_name",
  		title: "Company Name",
  		description: "name of company, can be NULL"
  	},
  	city: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/city",
  		title: "City",
  		description: "city, can be NULL"
  	},
  	zipcode: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/zipcode",
  		title: "Zipcode",
  		description: "zipcode, can be NULL"
  	},
  	last_login_err: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				format: "date-time"
  			}
  		],
  		$id: "/properties/last_login_err",
  		title: "Last Login Err",
  		description: "last login filaure datetime",
  		readOnly: true
  	},
  	person_title: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/person_title",
  		title: "Person Title",
  		description: "person title, for example Sir, Madame, Prof, Doct, ecc., can be NULL"
  	},
  	num_login_err: {
  		type: "integer",
  		$id: "/properties/num_login_err",
  		title: "Num Login Err",
  		description: "number of consecutive login failures",
  		readOnly: true,
  		"default": 0
  	},
  	phone: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/phone",
  		title: "Phone",
  		description: "first phone number, can be NULL"
  	},
  	birthdate: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				format: "date-time"
  			}
  		],
  		$id: "/properties/birthdate",
  		title: "Birthdate",
  		description: "date of birth, can be NULL"
  	},
  	gender: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/gender",
  		title: "Gender",
  		description: "gender, for example male, female, can be NULL"
  	},
  	vat_number: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/vat_number",
  		title: "Vat Number",
  		description: "value added tax identification number (VAT)"
  	},
  	national_id_number: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/national_id_number",
  		title: "National Id Number",
  		description: "national identification number (like SSN in USA or NI number in UK)"
  	},
  	username: {
  		type: "string",
  		$id: "/properties/username",
  		title: "Username",
  		description: "login user name",
  		maxLength: 100
  	},
  	password_hash: {
  		type: "string",
  		$id: "/properties/password_hash",
  		title: "Password",
  		description: "login user password",
  		maxLength: 100
  	},
  	website: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				format: "uri"
  			}
  		],
  		$id: "/properties/website",
  		title: "Website",
  		description: "website url, can be NULL"
  	},
  	street_address: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				contentMediaType: "text/html"
  			}
  		],
  		$id: "/properties/street_address",
  		title: "Street Address",
  		description: "address street, can be NULL"
  	},
  	email: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				format: "email"
  			}
  		],
  		$id: "/properties/email",
  		title: "Email",
  		description: "first email, can be NULL"
  	},
  	blocked: {
  		type: "boolean",
  		$id: "/properties/blocked",
  		title: "Blocked",
  		description: "user blocked flag",
  		readOnly: true,
  		"default": false
  	},
  	last_login: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				format: "date-time"
  			}
  		],
  		$id: "/properties/last_login",
  		title: "Last Login",
  		description: "last succcessful login datetime",
  		readOnly: true
  	},
  	verified: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				format: "date-time"
  			}
  		],
  		$id: "/properties/verified",
  		title: "Verified",
  		description: "Timestamp at which the user became verified",
  		readOnly: true
  	}
  };
  var required$1 = [
  	"username"
  ];
  var SCHEMA$2 = {
  	$id: $id$1,
  	$schema: $schema$2,
  	type: type$2,
  	properties: properties$2,
  	required: required$1
  };

  var UserModel =
  /*#__PURE__*/
  function (_ObjectModel) {
    _inherits(UserModel, _ObjectModel);

    function UserModel() {
      _classCallCheck(this, UserModel);

      return _possibleConstructorReturn(this, _getPrototypeOf(UserModel).apply(this, arguments));
    }

    _createClass(UserModel, [{
      key: "hasRole",
      value: function hasRole() {
        for (var _len = arguments.length, names = new Array(_len), _key = 0; _key < _len; _key++) {
          names[_key] = arguments[_key];
        }

        return this.fetchRelationship('roles').then(function (roles) {
          var res = false;
          roles.forEach(function (role) {
            if (names.indexOf(role.name) !== -1) {
              res = true;
            }
          });
          return res;
        }).catch(function () {
          return Promise.resolve(false);
        });
      }
    }, {
      key: "type",
      get: function get() {
        return 'users';
      }
    }], [{
      key: "schema",
      get: function get() {
        return {
          allOf: [ObjectModel.schema, SCHEMA$2]
        };
      }
    }, {
      key: "relations",
      get: function get() {
        return {
          roles: {
            types: ['roles'],
            include: true
          }
        };
      }
    }]);

    return UserModel;
  }(ObjectModel);

  /**
   * @module Proto
   */
  const create = Object.create;
  /**
   * Retrieve prototype of an object.
   * @memberof Proto
   *
   * @param {Object} Ctr The object to analyze.
   * @return {Object} The prototype.
   */

  function get$1(Ctr) {
    if (Object.getPrototypeOf) {
      return Object.getPrototypeOf(Ctr);
    }

    if (isObject(Ctr.__proto__)) {
      return Ctr.__proto__;
    }

    return Ctr.constructor.prototype;
  }
  /**
   * Create a new instance of an object without constructor.
   * @memberof Proto
   *
   * @param {Function|Object} Ctr The class or the prototype to reconstruct.
   * @return {Object} The new instance.
   */

  function reconstruct(Ctr) {
    if (isFunction(Ctr)) {
      return create(Ctr.prototype);
    } else if (Ctr === Array.prototype) {
      return [];
    }

    return create(Ctr);
  }

  /**
   * Useless callback function.
   * @private
   *
   * @param {*} scope The current object.
   * @param {string} key The current key.
   * @param {*} prop The current value.
   */

  function noop(scope, key, prop) {
    return prop;
  }
  /**
   * Clone an object.
   *
   * @method clone
   * @param {*} obj The instance to clone.
   * @param {Function} [callback] A modifier function for each property.
   * @param {Array} [cache] The cache array for circular references.
   * @return {*} The clone of the object.
   */


  function clone$1(obj, callback = noop, cache = []) {
    if (isArray(obj)) {
      return obj.map((entry, index) => {
        entry = callback(obj, index, entry);
        return clone$1(entry, callback, cache);
      });
    } else if (isObject(obj)) {
      let cached = cache.indexOf(obj);

      if (cached !== -1) {
        return cache[cached + 1];
      }

      let res = reconstruct(get$1(obj));
      cache.push(obj, res);
      Object.keys(obj).forEach(k => {
        let val = callback(obj, k, obj[k]);
        res[k] = clone$1(val, callback, cache);
      });
      return res;
    } else if (isDate(obj)) {
      return new Date(obj.getTime());
    } else if (isFunction(obj)) {
      return obj;
    }

    return obj;
  }

  class Collection extends Model {
    /**
     * The main model class for the collection.
     * @type {Model}
     */
    static get Model() {
      return Model;
    }
    /**
     * Initialize the collection.
     * @private
     * @param {Array} arr The initial array.
     * @returns {Promise}
     */


    initialize(arr) {
      this.array = [];
      this.listeners = [];
      return super.initialize().then(() => {
        if (arr) {
          this.add(...arr);
        }

        return Promise.resolve(this);
      });
    }

    model(data, Model$$1) {
      return this.initClass(Model$$1 || this.constructor.Model, data);
    }

    get length() {
      return this.array.length;
    }

    reset() {
      this.remove(...this.array);
    }

    forEach(...args) {
      return this.array.map(...args);
    }

    map(...args) {
      return this.array.map(...args);
    }

    filter(...args) {
      return this.array.filter(...args);
    }

    find(map) {
      return this.array.find(map);
    }

    get(idx) {
      if (this.array[idx]) {
        return this.array[idx];
      }
    }

    getIndexById(id) {
      const arr = this.array;

      for (let i = 0, len = arr.length; i < len; i++) {
        if (arr[i].id === id) {
          return i;
        }
      }

      return -1;
    }

    getIndexByModel(model) {
      const arr = this.array;

      for (let i = 0, len = arr.length; i < len; i++) {
        if (arr[i] === model || model.id && arr[i].id === model.id) {
          return i;
        }
      }

      return -1;
    }

    findById(id) {
      const arr = this.array;
      let idx = this.getIndexById(id);

      if (idx !== -1) {
        return Promise.resolve(arr[idx]);
      }

      return Promise.reject();
    }

    findOrCreate(id) {
      const Ctr = this.constructor;
      const Model$$1 = Ctr.Model;
      return this.findById(id).catch(() => this.model({
        [Model$$1.key]: id
      }));
    }

    findAll() {
      return Promise.resolve(this);
    }

    add(...values) {
      const Model$$1 = this.constructor.Model;
      let added = [];
      values.forEach(val => {
        if (val instanceof Model$$1) {
          this.array.push(val);
          this.listeners[this.array.length - 1] = val.on('change', () => {
            this.trigger('change', {
              type: 'update',
              changed: [val]
            });
          });
          added.push(val);
        }
      });

      if (added.length) {
        this.trigger('change', {
          type: 'add',
          added
        });
      }
    }

    remove(...indexes) {
      let removed = [];
      indexes.forEach(index => {
        if (typeof index !== 'number') {
          if (index instanceof Model) {
            if (index.id) {
              index = this.getIndexById(index.id);
            } else {
              index = this.getIndexByModel(index);
            }
          } else if (typeof index === 'string') {
            index = this.getIndexById(index);
          }
        }

        if (index < this.length) {
          let model = this.get(index);

          if (this.listeners[index]) {
            this.listeners[index]();
          }

          this.listeners.splice(index, 1);
          this.array.splice(index, 1);
          removed.push(model);
        }
      });

      if (removed.length) {
        this.trigger('change', {
          type: 'remove',
          removed
        });
      }
    }

    toJSON() {
      return this.map(model => model.toJSON());
    }

  }

  class FetchCollection extends Collection {
    model(data, Model) {
      return super.model(null, Model).then(model => model.setFromResponse(data));
    }

    execFetch(options = {}) {
      return fetch(options.endpoint, options).then(response => response.json());
    }

    beforeFetch(options) {
      return Promise.resolve(options);
    }

    afterFetch(data) {
      return Promise.resolve(data);
    }

    fetch(model, options = {}) {
      return this.beforeFetch(options).then(options => this.execFetch(options).then(res => this.afterFetch(res)).then(data => {
        model.resetChanges();
        return model.setFromResponse(data);
      }));
    }

    setFromResponse(res) {
      let promises = [];

      if (Array.isArray(res)) {
        promises = res.map(data => this.model(data));
      }

      return Promise.all(promises);
    }

    execPost(options = {}) {
      return fetch(options.endpoint, options).then(response => response.json());
    }

    beforePost(options) {
      options.method = options.method || 'POST';
      return Promise.resolve(options);
    }

    afterPost(data) {
      return Promise.resolve(data);
    }

    post(model, options = {}) {
      options.body = options.body || model.toJSON();
      return this.beforePost(options).then(() => this.execPost(options).then(res => this.afterPost(res)).then(data => {
        model.resetChanges();
        return model.setFromResponse(data);
      }));
    }

  }

  class AjaxCollection extends FetchCollection {
    static get Model() {
      return AjaxModel;
    }

    findAll(options = {}) {
      options.endpoint = options.endpoint || this.endpoint;
      return this.beforeFetch(options).then(options => this.execFetch(options).then(res => this.afterFetch(res).then(res => this.setFromResponse(res)).then(models => {
        this.reset();
        this.add(...models);
      })));
    }

    findById(id, options = {}) {
      const Ctr = this.constructor;
      const Model = Ctr.Model;
      return super.findById(id, options).catch(() => this.model({
        [Model.key]: id
      }).then(model => this.fetch(model, options)));
    }

  }

  /**
   * @class bedita.Collection
   * @extends AjaxCollection
   * A generic Collection class for BEdita models.
   */

  var Collection$1 =
  /*#__PURE__*/
  function (_AjaxCollection) {
    _inherits(Collection, _AjaxCollection);

    function Collection() {
      _classCallCheck(this, Collection);

      return _possibleConstructorReturn(this, _getPrototypeOf(Collection).apply(this, arguments));
    }

    _createClass(Collection, [{
      key: "model",
      value: function model(data, EntityModel) {
        var _this = this;

        var resolveModel;

        if (!EntityModel && data && data.type) {
          resolveModel = this.factory('model').getModel(data.type, this.constructor.Model).catch(function () {
            return _this.constructor.Model;
          });
        } else {
          resolveModel = Promise.resolve(EntityModel || this.constructor.Model);
        }

        return resolveModel.then(function (Model) {
          return _get(_getPrototypeOf(Collection.prototype), "model", _this).call(_this, data, Model);
        });
      }
    }, {
      key: "execFetch",
      value: function execFetch() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        options = clone$1(options);
        options.method = options.method || 'get';
        return this.factory('api').request(options.endpoint, options);
      }
    }, {
      key: "fetch",
      value: function fetch(model) {
        var _this2 = this;

        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        options = clone$1(options);
        var api = options.endpoint;
        var id = model.get('id');
        var Entity = options.Model || this.constructor.Model;

        if (!api && id) {
          api = "".concat(this.defaultEndpoint || Entity.prototype.type || Entity.type, "/").concat(id);
        }

        if (!api) {
          return Promise.reject();
        }

        options.endpoint = api;
        return this.beforeFetch(options).then(function (options) {
          return _this2.execFetch(options).then(function (res) {
            return _this2.afterFetch(res);
          }).then(function (data) {
            return _this2.factory('model').getModel(data.type, _this2.constructor.Model).catch(function () {
              return Promise.resolve(Entity);
            }).then(function (Model) {
              if (Model && !(model instanceof Model)) {
                return _this2.initClass(Model);
              }

              return Promise.resolve(model);
            }).then(function (convertedModel) {
              convertedModel.resetChanges();
              return convertedModel.setFromResponse(data);
            }).catch(function (err) {
              _this2.factory('debug').error('model convertion ->', err);
            });
          });
        });
      }
    }, {
      key: "afterFetch",
      value: function afterFetch(res) {
        if (res && res.meta && res.meta.pagination) {
          this.pagination = res.meta.pagination;
        }

        this.included = res.included || [];
        return Promise.resolve(res && res.data);
      }
    }, {
      key: "setFromResponse",
      value: function setFromResponse(data) {
        var _this3 = this;

        var modelFactory = this.factory('model');
        return Promise.all(data.map(function (entryData) {
          return modelFactory.initModel(entryData.type).then(function (model) {
            return model.setFromResponse(entryData, _this3.included);
          });
        }));
      }
    }, {
      key: "execPost",
      value: function execPost() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        options = clone$1(options);
        options.method = options.method || 'post';
        options.method = options.method.toLowerCase();
        return this.factory('api')[options.method](options.endpoint, options.body, options);
      }
    }, {
      key: "post",
      value: function post(model) {
        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var modelOptions = clone$1(options);
        var relationsOptions = clone$1(options);
        var api = modelOptions.endpoint;

        if (!api) {
          var id = model.get('id');
          api = this.defaultEndpoint || model.get('type');
          modelOptions.method = 'POST';

          if (id) {
            modelOptions.method = 'PATCH';
            api += "/".concat(id);
          }
        }

        if (!api) {
          return Promise.reject();
        }

        modelOptions.endpoint = api;

        if (!modelOptions.body) {
          modelOptions.body = {
            data: model.toJSONApi()
          };
        }

        return _get(_getPrototypeOf(Collection.prototype), "post", this).call(this, model, modelOptions).then(function () {
          return model.postRelationships(relationsOptions);
        }).then(function () {
          model.resetChanges();
          return Promise.resolve(model);
        });
      }
    }, {
      key: "afterPost",
      value: function afterPost(res) {
        return Promise.resolve(res.data);
      }
    }, {
      key: "findAll",
      value: function findAll() {
        var _this4 = this;

        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        options = clone$1(options);
        var Entity = options.Model || this.constructor.Model;
        var endpoint = options.endpoint || this.endpoint || this.defaultEndpoint || Entity.prototype.type || Entity.type;

        if (!endpoint) {
          return Promise.reject();
        }

        endpoint = this.factory('api').resolve(endpoint);
        var url = this.factory('url');
        var queryParams = {};

        if (options.sort) {
          queryParams.sort = options.sort;
        }

        if (typeof options.page !== 'undefined') {
          queryParams.page = options.page;
        }

        if (typeof options.pageSize !== 'undefined') {
          queryParams.page_size = options.pageSize;
        }

        if (typeof options.filter !== 'undefined') {
          queryParams.filter = options.filter;
        }

        if (options.search) {
          queryParams.q = options.search;
        }

        var include = [];

        if (Entity.relations) {
          var rels = Entity.relations;

          for (var k in rels) {
            if (rels[k].include) {
              include.push(k);
            }
          }
        }

        if (options.include) {
          options.include.forEach(function (rel) {
            if (include.indexOf(rel) === -1) {
              include.push(rel);
            }
          });
        }

        if (include.length) {
          queryParams.include = include.join(',');
        } // check if field filter is set, search if fields are valid
        // for model schema and add them to queryParams


        var fields = [];

        if (Entity.schema && Entity.schema.properties && options.fields) {
          var modelFields = Entity.schema.properties;

          for (var fieldName in modelFields) {
            if (options.fields.indexOf(fieldName) > -1) {
              fields.push(fieldName);
            }
          }

          if (fields.length) {
            queryParams.fields = fields.join(',');
          }
        }

        endpoint = url.setSearchParams(endpoint, queryParams);
        this.endpoint = options.endpoint = endpoint;
        internal(this).lastOptions = options;

        var promise = _get(_getPrototypeOf(Collection.prototype), "findAll", this).call(this, options);

        if (options.full) {
          // Load all results by fetching all pages one after the other.
          var currentPage = options.page || 1;
          promise = promise.then(function (res) {
            if (!_this4.pagination || _this4.pagination.page_count <= currentPage) {
              return Promise.resolve(res);
            }

            return _this4.getCleanCopy().then(function (collection) {
              options.page = currentPage + 1;
              return collection.findAll(options).then(function () {
                return _this4.joinCollection(collection);
              });
            });
          });
        }

        return promise;
      }
    }, {
      key: "getQueryParam",
      value: function getQueryParam(param) {
        var options = internal(this).lastOptions || {};
        return options[param];
      }
    }, {
      key: "isSortBy",
      value: function isSortBy(field) {
        var endpoint = this.endpoint;

        if (endpoint) {
          var sort = this.factory('url').getSearchParam(endpoint, 'sort');

          if (sort) {
            return sort === field || sort === "-".concat(field);
          }
        }

        return false;
      }
    }, {
      key: "sortType",
      value: function sortType() {
        var endpoint = this.endpoint;

        if (endpoint) {
          var sort = this.factory('url').getSearchParam(endpoint, 'sort');

          if (sort) {
            return sort[0] !== '-' ? 'asc' : 'desc';
          }
        }

        return false;
      }
      /**
       * When the Collection is paginated, update the the models for the requested page.
       * @param {Number} pageNum The requested page number.
       * @return {Promise}
       */

    }, {
      key: "page",
      value: function page(pageNum) {
        // get the options for the last fetch
        var options = internal(this).lastOptions || {}; // update the page number

        options.page = pageNum; // exec a `findAll`

        return this.findAll(options);
      }
      /**
       * Remote model deletion.
       *
       * @param {Model} model The model to delete.
       * @param {Object} options Options for the api call.
       * @return {Promise}
       */

    }, {
      key: "delete",
      value: function _delete(model) {
        var _this5 = this;

        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        options = clone$1(options);
        var api;

        if (options.endpoint) {
          // the endpoint for model deletion has been provided in the options
          api = options.endpoint;
        } else {
          // check if the model exists in the database in order to generare the endpoint
          var id = model.get('id');

          if (id) {
            // generate the api endpoint
            api = "".concat(this.defaultEndpoint || model.get('type'), "/").concat(id);
          }
        }

        if (!api) {
          // missing endpoint, cannot delete the model
          return Promise.reject();
        } // trigger the `beforeFetch` hook


        return this.beforeFetch(options).then(function (options) {
          return (// exec a DELETE ajax call
            _this5.factory('api').delete(api, undefined, options).then(function (res) {
              return (// trigger the `afterFetch` hook
                _this5.afterFetch(res)
              );
            }).then(function () {
              // empty delete the model
              model.delete(); // destory model listeners and interactions

              return model.destroy();
            })
          );
        });
      }
      /**
       * Get a set of important properties to show in index.
       * @return {Promise<Array<String>>}
       */

    }, {
      key: "getMinimalPropertiesSet",
      value: function getMinimalPropertiesSet() {
        return Promise.resolve(['id', 'type', 'uname', 'title', 'created', 'modified']);
      }
      /**
       * Merge two collections.
       *
       * @param {Collection} collection Collection to be joined into the current one.
       * @return {Promise}
       */

    }, {
      key: "joinCollection",
      value: function joinCollection(collection) {
        var _this6 = this;

        return Promise.all(collection.map(function (model) {
          return _this6.add(model);
        }));
      }
      /**
       * Get a clean copy of the current collection model.
       *
       * @return {Promise<Collection>}
       */

    }, {
      key: "getCleanCopy",
      value: function getCleanCopy() {
        return this.initClass(this.constructor);
      }
      /**
       * Async method for Collection update.
       * @return {Promise}
       */

    }, {
      key: "update",
      value: function update() {
        return Promise.resolve();
      }
    }, {
      key: "type",

      /**
       * The type of the instances.
       * Aliases to `type` property of the Model.
       * @type {String}
       */
      get: function get$$1() {
        // get the Model constructor for the Collection
        var Model = this.constructor.Model; // return Model type

        return Model.prototype.type || Model.type;
      }
      /**
       * The default endpoint to use for fetching models data.
       * @type {String}
       */

    }, {
      key: "defaultEndpoint",
      get: function get$$1() {
        return null;
      }
    }], [{
      key: "create",

      /**
       * Create a new Collection constructor which handle the given Model instances.
       * @static
       * @param {Function} Model The constructor of the Collection's instances.
       * @return {Function} The extended Collection
       */
      value: function create(Model) {
        // dynamically create a class which uses the given Model.
        return (
          /*#__PURE__*/
          function (_Collection) {
            _inherits(_class, _Collection);

            function _class() {
              _classCallCheck(this, _class);

              return _possibleConstructorReturn(this, _getPrototypeOf(_class).apply(this, arguments));
            }

            _createClass(_class, null, [{
              key: "Model",
              get: function get$$1() {
                return Model;
              }
            }]);

            return _class;
          }(Collection)
        );
      }
      /**
       * The Model constructor of the Collection's instances.
       * @type {Function}
       * @static
       */

    }, {
      key: "Model",
      get: function get$$1() {
        return Model$1;
      }
    }]);

    return Collection;
  }(AjaxCollection);

  var RELATIONSHIP_MODES = {
    ONE_TO_MANY: 0,
    ONE_TO_ONE: 1
  };
  var RelationshipsCollection =
  /*#__PURE__*/
  function (_Collection) {
    _inherits(RelationshipsCollection, _Collection);

    function RelationshipsCollection() {
      _classCallCheck(this, RelationshipsCollection);

      return _possibleConstructorReturn(this, _getPrototypeOf(RelationshipsCollection).apply(this, arguments));
    }

    _createClass(RelationshipsCollection, [{
      key: "initialize",
      value: function initialize(left, name) {
        var _this = this;

        this.name = name;
        this.parent = left;
        this.fetched = false;
        this.resetChanges();
        return _get(_getPrototypeOf(RelationshipsCollection.prototype), "initialize", this).call(this).then(function () {
          _this.parent.on('relparams:change', function (changed) {
            if (changed.name === _this.name) {
              _this.updateRelationshipsChanges(changed.right, 'changed');

              _this.trigger('change', {
                type: 'update'
              });
            }
          });

          _this.on('change', function (changes) {
            if (changes.type === 'add') {
              left.trigger('relationship:added');
              left.trigger('relationship:change');
              changes.added.forEach(function (model) {
                _this.updateRelationshipsChanges(model, 'add');
              });
            } else if (changes.type === 'remove') {
              left.trigger('relationship:removed');
              left.trigger('relationship:change');
              changes.removed.forEach(function (model) {
                _this.updateRelationshipsChanges(model, 'remove');
              });
            } else if (changes.type === 'update') {
              left.trigger('relationship:updated');
              left.trigger('relationship:change');
            }
          });

          return Promise.resolve();
        });
      }
    }, {
      key: "add",
      value: function add() {
        var _get2,
            _this2 = this;

        for (var _len = arguments.length, models = new Array(_len), _key = 0; _key < _len; _key++) {
          models[_key] = arguments[_key];
        }

        (_get2 = _get(_getPrototypeOf(RelationshipsCollection.prototype), "add", this)).call.apply(_get2, [this].concat(models));

        models.forEach(function (model) {
          _this2.parent.addRelationship(_this2.name, model);
        });
      }
    }, {
      key: "getMinimalPropertiesSet",
      value: function getMinimalPropertiesSet() {
        var _this3 = this;

        if (this.type && this.type.length === 1) {
          return this.factory('model').getCollection(this.type[0]).then(function (Ctr) {
            return Ctr.prototype.getMinimalPropertiesSet.call(_this3);
          });
        }

        return _get(_getPrototypeOf(RelationshipsCollection.prototype), "getMinimalPropertiesSet", this).call(this);
      }
    }, {
      key: "fetchRelationableTypes",
      value: function fetchRelationableTypes() {
        var _this4 = this;

        var types = this.type;

        if (types) {
          return Promise.resolve(types);
        }

        return this.factory('model').getObjectTypes().then(function (collection) {
          return collection.findAllByRelationship(_this4.name).then(function () {
            return Promise.resolve(collection.map(function (type) {
              return type.name;
            }));
          });
        });
      }
    }, {
      key: "fetchRelationableObjects",
      value: function fetchRelationableObjects() {
        var _this5 = this;

        return this.fetchRelationableTypes().then(function (types) {
          var resolveCollection;

          if (types.length === 1) {
            types = types[0];
            resolveCollection = _this5.factory('model').getCollection(types).catch(function () {
              return Collection$1;
            });
          } else {
            resolveCollection = Promise.resolve(Collection$1);
          }

          return resolveCollection.then(function (Ctr) {
            return _this5.initClass(Ctr);
          }).then(function (collection) {
            var endpoint = Array.isArray(types) ? "/objects?".concat(types.map(function (type) {
              return "filter[type][]=".concat(type);
            }).join('&')) : "/".concat(types);
            return collection.findAll({
              endpoint: endpoint
            }).then(function () {
              return Promise.resolve(collection);
            });
          });
        });
      }
    }, {
      key: "updateRelationshipsChanges",
      value: function updateRelationshipsChanges(model, method) {
        var Model = this.constructor.Model;
        var changes = this.changes;

        if (method === 'changed') {
          var changed = changes.changed;

          if (changed.indexOf(model) === -1) {
            changed.push(model);
          }
        } else {
          var removed = method === 'add' ? changes.removed : changes.added;
          var added = method === 'add' ? changes.added : changes.removed;

          for (var i = 0, len = removed.length; i < len; i++) {
            var entry = removed[i];
            entry = entry instanceof Model ? entry : {
              id: entry
            };

            if (model.id && model.id === entry.id || !model.id && model === entry) {
              removed.splice(i, 1);
              break;
            }
          }

          for (var _i = 0, _len2 = added.length; _i < _len2; _i++) {
            var _entry = added[_i];
            _entry = _entry instanceof Model ? _entry : {
              id: _entry
            };

            if (model.id && model.id === _entry.id || !model.id && model === _entry) {
              return;
            }
          }

          added.push(model);
        }
      }
    }, {
      key: "findAll",
      value: function findAll() {
        var _this6 = this;

        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        options = clone$1(options);

        if (!options.endpoint) {
          options.endpoint = "".concat(this.parent.type, "/").concat(this.parent.id, "/").concat(this.name);
        }

        return _get(_getPrototypeOf(RelationshipsCollection.prototype), "findAll", this).call(this, options).then(function (res) {
          _this6.fetched = true;
          var paramsList = _this6.paramsList || [];

          _this6.forEach(function (model, index) {
            if (paramsList[index]) {
              _this6.parent.setRelationshipMeta(_this6.name, model, paramsList[index], false);
            }
          });

          _this6.resetChanges();

          return Promise.resolve(res);
        });
      }
    }, {
      key: "afterFetch",
      value: function afterFetch(res) {
        if (this.mode === RELATIONSHIP_MODES.ONE_TO_ONE && !this.inverse) {
          if (res && res.data) {
            res.data = [res.data];
          }
        }

        this.paramsList = (res && res.data || []).map(function (d) {
          if (d.meta && d.meta.relation) {
            var p = {
              params: d.meta.relation.params || {},
              priority: d.meta.relation.priority,
              inv_priority: d.meta.relation.inv_priority
            };
            delete d.meta.relation;
            return p;
          }
        });
        return _get(_getPrototypeOf(RelationshipsCollection.prototype), "afterFetch", this).call(this, res);
      }
    }, {
      key: "hasChanges",
      value: function hasChanges() {
        var changes = this.changes;
        return changes.added.length || changes.removed.length || changes.changed.length;
      }
    }, {
      key: "resetChanges",
      value: function resetChanges() {
        this.changes = {
          added: [],
          removed: [],
          changed: []
        };
      }
    }, {
      key: "update",
      value: function update() {
        var _this7 = this;

        var ids = [];
        var changes = this.changes;
        var promise = Promise.resolve();
        var api = this.parent.type;
        var relationship = this.name;
        var subject = this.parent.id;

        if (this.inverse && this.mode === RELATIONSHIP_MODES.ONE_TO_ONE) {
          api = this.type[0];
          relationship = this.inverse;
        }

        if (changes.removed.length) {
          if (this.mode === RELATIONSHIP_MODES.ONE_TO_ONE) {
            var model = changes.removed[0];
            subject = model.id;
            promise = promise.then(function () {
              return _this7.execPost({
                endpoint: "/".concat(api, "/").concat(subject, "/relationships/").concat(relationship),
                body: null,
                method: 'PATCH'
              });
            });
          } else {
            promise = promise.then(function () {
              return _this7.execPost({
                endpoint: "/".concat(api, "/").concat(subject, "/relationships/").concat(relationship),
                body: {
                  data: changes.removed.map(function (model) {
                    ids.push(model.id);
                    return {
                      id: model.id,
                      type: model.type
                    };
                  })
                },
                method: 'DELETE'
              });
            });
          }
        }

        if (changes.added.length) {
          if (this.mode === RELATIONSHIP_MODES.ONE_TO_ONE) {
            var _model = changes.added[0];
            subject = _model.id;
            promise = promise.then(function () {
              return _this7.execPost({
                endpoint: "/".concat(api, "/").concat(subject, "/relationships/").concat(relationship),
                body: {
                  data: {
                    id: _this7.parent.id,
                    type: _this7.parent.type,
                    meta: {
                      relation: _this7.parent.getRelationshipMeta(_this7.name, _model)
                    }
                  }
                },
                method: 'PATCH'
              });
            });
          } else {
            promise = promise.then(function () {
              return _this7.execPost({
                endpoint: "/".concat(api, "/").concat(subject, "/relationships/").concat(relationship),
                body: {
                  data: changes.added.map(function (model) {
                    ids.push(model.id);
                    return {
                      id: model.id,
                      type: model.type,
                      meta: {
                        relation: _this7.parent.getRelationshipMeta(_this7.name, model)
                      }
                    };
                  })
                }
              });
            });
          }
        }

        if (changes.changed.length) {
          if (this.mode === RELATIONSHIP_MODES.ONE_TO_ONE) {
            var _model2 = changes.changed[0];
            subject = _model2.id;
            promise = promise.then(function () {
              return _this7.execPost({
                endpoint: "/".concat(api, "/").concat(subject, "/relationships/").concat(relationship),
                body: {
                  data: {
                    id: _this7.parent.id,
                    type: _this7.parent.type,
                    meta: {
                      relation: _this7.parent.getRelationshipMeta(_this7.name, _model2)
                    }
                  }
                },
                method: 'PATCH'
              });
            });
          } else {
            promise = promise.then(function () {
              return _this7.execPost({
                endpoint: "/".concat(api, "/").concat(subject, "/relationships/").concat(relationship),
                body: {
                  data: changes.changed.map(function (model) {
                    return {
                      id: model.id,
                      type: model.type,
                      meta: {
                        relation: _this7.parent.getRelationshipMeta(_this7.name, model)
                      }
                    };
                  })
                }
              });
            });
          }
        }

        return promise.then(function () {
          _this7.resetChanges();

          return _this7.findAll();
        });
      }
      /** @inheritdoc */

    }, {
      key: "joinCollection",
      value: function joinCollection(collection) {
        var _this8 = this;

        var joinPromise = Promise.resolve();

        if (this.parent !== collection.parent) {
          joinPromise = _get(_getPrototypeOf(RelationshipsCollection.prototype), "joinCollection", this).call(this, collection);
        }

        return joinPromise.then(function () {
          var _this8$paramsList;

          _this8.paramsList = _this8.paramsList || [];

          (_this8$paramsList = _this8.paramsList).push.apply(_this8$paramsList, _toConsumableArray(collection.paramsList || []));

          return Promise.resolve();
        });
      }
      /** @inheritdoc */

    }, {
      key: "getCleanCopy",
      value: function getCleanCopy() {
        return this.initClass(this.constructor, this.name, this.parent);
      }
    }, {
      key: "def",
      get: function get$$1() {
        var parent = this.parent;
        var relations = parent.constructor.relations || {};
        return relations.hasOwnProperty(this.name) ? relations[this.name] : {};
      }
    }, {
      key: "inverse",
      get: function get$$1() {
        return this.def.inverse;
      }
    }, {
      key: "type",
      get: function get$$1() {
        return this.def.types || [];
      }
    }, {
      key: "mode",
      get: function get$$1() {
        return this.def.mode || RELATIONSHIP_MODES.ONE_TO_MANY;
      }
    }]);

    return RelationshipsCollection;
  }(Collection$1);

  var type$3 = "object";
  var $id$2 = "{host}/model/schema/streams";
  var $schema$3 = "http://json-schema.org/draft-06/schema#";
  var properties$4 = {
  	version: {
  		type: "integer",
  		$id: "/properties/version",
  		title: "Version",
  		description: "Stream version",
  		readOnly: true,
  		"default": 1
  	},
  	file_name: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		],
  		$id: "/properties/file_name",
  		title: "File Name",
  		description: "Original file name"
  	},
  	url: {
  		type: "string",
  		readOnly: true
  	},
  	mime_type: {
  		type: "string",
  		$id: "/properties/mime_type",
  		title: "Mime Type",
  		description: "Mime-type of file",
  		maxLength: 255,
  		"default": "application/octet-stream"
  	},
  	file_size: {
  		type: "integer",
  		$id: "/properties/file_size",
  		title: "File Size",
  		description: "File size (in bytes)",
  		readOnly: true
  	},
  	hash_md5: {
  		type: "string",
  		$id: "/properties/hash_md5",
  		title: "Hash Md5",
  		description: "MD5 hash",
  		readOnly: true,
  		maxLength: 255
  	},
  	hash_sha1: {
  		type: "string",
  		$id: "/properties/hash_sha1",
  		title: "Hash Sha1",
  		description: "SHA1 hash",
  		readOnly: true,
  		maxLength: 255,
  		"default": ""
  	},
  	width: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "integer"
  			}
  		],
  		$id: "/properties/width",
  		title: "Width",
  		description: "Width (if applicable)",
  		readOnly: true
  	},
  	height: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "integer"
  			}
  		],
  		$id: "/properties/height",
  		title: "Height",
  		description: "Height (if applicable)",
  		readOnly: true
  	},
  	duration: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "integer"
  			}
  		],
  		$id: "/properties/duration",
  		title: "Duration",
  		description: "Duration (if applicable)",
  		readOnly: true
  	},
  	created: {
  		type: "string",
  		format: "date-time",
  		$id: "/properties/created",
  		title: "Created",
  		description: "Creation time",
  		readOnly: true
  	},
  	modified: {
  		type: "string",
  		format: "date-time",
  		$id: "/properties/modified",
  		title: "Modified",
  		description: "Last modification time",
  		readOnly: true
  	}
  };
  var SCHEMA$3 = {
  	type: type$3,
  	$id: $id$2,
  	$schema: $schema$3,
  	properties: properties$4
  };

  var StreamModel =
  /*#__PURE__*/
  function (_Model) {
    _inherits(StreamModel, _Model);

    function StreamModel() {
      _classCallCheck(this, StreamModel);

      return _possibleConstructorReturn(this, _getPrototypeOf(StreamModel).apply(this, arguments));
    }

    _createClass(StreamModel, [{
      key: "type",
      get: function get() {
        return 'streams';
      }
    }], [{
      key: "schema",
      get: function get() {
        return SCHEMA$3;
      }
    }, {
      key: "relations",
      get: function get() {
        return {
          object: {
            types: ['media'],
            mode: RELATIONSHIP_MODES.ONE_TO_ONE
          }
        };
      }
    }]);

    return StreamModel;
  }(Model$1);

  var type$4 = "object";
  var properties$5 = {
  	name: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		]
  	},
  	width: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "number"
  			}
  		]
  	},
  	height: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "number"
  			}
  		]
  	},
  	duration: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "number"
  			}
  		]
  	}
  };
  var SCHEMA$4 = {
  	type: type$4,
  	properties: properties$5
  };

  var MediaModel =
  /*#__PURE__*/
  function (_ObjectModel) {
    _inherits(MediaModel, _ObjectModel);

    function MediaModel() {
      _classCallCheck(this, MediaModel);

      return _possibleConstructorReturn(this, _getPrototypeOf(MediaModel).apply(this, arguments));
    }

    _createClass(MediaModel, [{
      key: "type",
      get: function get() {
        return 'media';
      }
    }], [{
      key: "schema",
      get: function get() {
        return SCHEMA$4;
      }
    }, {
      key: "relations",
      get: function get() {
        return {
          streams: {
            types: ['streams'],
            mode: RELATIONSHIP_MODES.ONE_TO_ONE,
            inverse: 'object'
          }
        };
      }
    }]);

    return MediaModel;
  }(ObjectModel);

  var type$5 = "object";
  var properties$6 = {
  	id: {
  		type: "string"
  	},
  	name: {
  		type: "string"
  	},
  	api_key: {
  		type: "string",
  		readOnly: true
  	},
  	description: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				contentMediaType: "text/html"
  			}
  		]
  	},
  	created: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				format: "date-time"
  			},
  			{
  				type: "object",
  				format: "date-time"
  			}
  		],
  		readOnly: true
  	},
  	modified: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string",
  				format: "date-time"
  			},
  			{
  				type: "object",
  				format: "date-time"
  			}
  		],
  		readOnly: true
  	},
  	enabled: {
  		type: "boolean"
  	}
  };
  var SCHEMA$5 = {
  	type: type$5,
  	properties: properties$6
  };

  var ApplicationModel =
  /*#__PURE__*/
  function (_Model) {
    _inherits(ApplicationModel, _Model);

    function ApplicationModel() {
      _classCallCheck(this, ApplicationModel);

      return _possibleConstructorReturn(this, _getPrototypeOf(ApplicationModel).apply(this, arguments));
    }

    _createClass(ApplicationModel, [{
      key: "type",
      get: function get() {
        return 'applications';
      }
    }], [{
      key: "schema",
      get: function get() {
        return SCHEMA$5;
      }
    }]);

    return ApplicationModel;
  }(Model$1);

  var type$6 = "object";
  var properties$7 = {
  	id: {
  		type: "string"
  	},
  	type: {
  		type: "string"
  	},
  	name: {
  		type: "string"
  	},
  	singular: {
  		type: "string"
  	},
  	is_abstract: {
  		type: "boolean"
  	},
  	description: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		]
  	},
  	hidden: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		]
  	},
  	parent_name: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		]
  	}
  };
  var SCHEMA$6 = {
  	type: type$6,
  	properties: properties$7
  };

  /**
   * Object type model
   */

  var ObjectTypeModel =
  /*#__PURE__*/
  function (_Model) {
    _inherits(ObjectTypeModel, _Model);

    function ObjectTypeModel() {
      _classCallCheck(this, ObjectTypeModel);

      return _possibleConstructorReturn(this, _getPrototypeOf(ObjectTypeModel).apply(this, arguments));
    }

    _createClass(ObjectTypeModel, [{
      key: "postRelationships",

      /**
       * Temporarily empty, to avoid error on `save` ObjectTypeModel
       * Relation `properties` call `GET /object_types/:id/properties` instead of `/model/object_types/:id/properties`.
       * 
       * @return {Promise}
       */
      value: function postRelationships() {
        return Promise.resolve();
      }
      /**
       * Retrieve the parent ObjectType.
       * @return {Promise<ObjectType>}
       */

    }, {
      key: "getParentModel",
      value: function getParentModel() {
        if (this.parent_name) {
          return this.factory('model').getObjectType(this.parent_name);
        }

        return Promise.reject('missing `parent_name`');
      }
      /**
       * Retrieve a full list of properties.
       * @return {Promise<PropertiesCollection>}
       */

    }, {
      key: "getProperties",
      value: function getProperties() {
        return this.factory('model').getPropertiesForType(this.name);
      }
      /**
       * Retrieve static ObjectType properties.
       * @return {Promise<PropertiesCollection>}
       */

    }, {
      key: "getStaticProperties",
      value: function getStaticProperties() {
        return this.factory('model').getStaticPropertiesForType(this.name);
      }
      /**
       * Retrieve dynamic ObjectType properties.
       * @return {Promise<PropertiesCollection>}
       */

    }, {
      key: "getDynamicProperties",
      value: function getDynamicProperties() {
        var _this = this;

        return this.factory('model').getDynamicPropertiesForType(this.name).then(function (collection) {
          _this.on('change', function () {
            // sync object type `name` with property' `object_type_name`
            collection.forEach(function (model) {
              model.set('object_type_name', _this.name, {
                validate: false
              });
            });
          });

          return Promise.resolve(collection);
        });
      }
      /**
       * Create a property for object type.
       * @param {Object} data Property data.
       * @return {Promise<PropertyModel>}
       */

    }, {
      key: "createProperty",
      value: function createProperty() {
        var _this2 = this;

        var data = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        return this.factory('model').initModel('properties').then(function (model) {
          if (_this2.name) {
            data.object_type_name = _this2.name;
          }

          model.set(data, {
            validate: false
          });

          _this2.on('change', function () {
            // sync object type `name` with property' `object_type_name`
            model.set('object_type_name', _this2.name, {
              validate: false
            });
          });

          return Promise.resolve(model);
        });
      }
    }, {
      key: "type",

      /**
       * Return object model type
       * 
       * @return {String} object model type
       */
      get: function get() {
        return 'object_types';
      }
    }], [{
      key: "schema",

      /**
       * Return model schema
       * 
       * @return {Object} model schema
       */
      get: function get() {
        return SCHEMA$6;
      }
    }]);

    return ObjectTypeModel;
  }(Model$1);

  var type$7 = "object";
  var properties$8 = {
  	id: {
  		type: "string"
  	},
  	type: {
  		type: "string"
  	},
  	name: {
  		type: "string"
  	},
  	params: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "object"
  			}
  		]
  	}
  };
  var SCHEMA$7 = {
  	type: type$7,
  	properties: properties$8
  };

  var PropertyTypeModel =
  /*#__PURE__*/
  function (_Model) {
    _inherits(PropertyTypeModel, _Model);

    function PropertyTypeModel() {
      _classCallCheck(this, PropertyTypeModel);

      return _possibleConstructorReturn(this, _getPrototypeOf(PropertyTypeModel).apply(this, arguments));
    }

    _createClass(PropertyTypeModel, [{
      key: "type",
      get: function get() {
        return 'property_types';
      }
    }], [{
      key: "schema",
      get: function get() {
        return SCHEMA$7;
      }
    }]);

    return PropertyTypeModel;
  }(Model$1);

  var type$8 = "object";
  var properties$9 = {
  	id: {
  		type: "string"
  	},
  	type: {
  		type: "string"
  	},
  	name: {
  		type: "string"
  	},
  	property_type_name: {
  		type: "string"
  	},
  	object_type_name: {
  		type: "string"
  	},
  	description: {
  		oneOf: [
  			{
  				type: "null"
  			},
  			{
  				type: "string"
  			}
  		]
  	}
  };
  var required$2 = [
  	"name",
  	"property_type_name",
  	"object_type_name"
  ];
  var SCHEMA$8 = {
  	type: type$8,
  	properties: properties$9,
  	required: required$2
  };

  var PropertyModel =
  /*#__PURE__*/
  function (_Model) {
    _inherits(PropertyModel, _Model);

    function PropertyModel() {
      _classCallCheck(this, PropertyModel);

      return _possibleConstructorReturn(this, _getPrototypeOf(PropertyModel).apply(this, arguments));
    }

    _createClass(PropertyModel, [{
      key: "type",
      get: function get() {
        return 'properties';
      }
    }], [{
      key: "schema",
      get: function get() {
        return SCHEMA$8;
      }
    }]);

    return PropertyModel;
  }(Model$1);

  var ObjectsCollection =
  /*#__PURE__*/
  function (_Collection) {
    _inherits(ObjectsCollection, _Collection);

    function ObjectsCollection() {
      _classCallCheck(this, ObjectsCollection);

      return _possibleConstructorReturn(this, _getPrototypeOf(ObjectsCollection).apply(this, arguments));
    }

    _createClass(ObjectsCollection, null, [{
      key: "Model",
      get: function get() {
        return ObjectModel;
      }
    }]);

    return ObjectsCollection;
  }(Collection$1);

  /**
   * @class RolesCollection
   * @extends Collection
   * Handle roles.
   */

  var RolesCollection =
  /*#__PURE__*/
  function (_Collection) {
    _inherits(RolesCollection, _Collection);

    function RolesCollection() {
      _classCallCheck(this, RolesCollection);

      return _possibleConstructorReturn(this, _getPrototypeOf(RolesCollection).apply(this, arguments));
    }

    _createClass(RolesCollection, [{
      key: "getMinimalPropertiesSet",

      /**
       * @inheritdoc
       */
      value: function getMinimalPropertiesSet() {
        return Promise.resolve(['id', 'name']);
      }
      /**
       * Retrieve a role by id.
       * @param {Number} roleId
       * @return {RoleModel}
       */

    }, {
      key: "getById",
      value: function getById(roleId) {
        return this.array.find(function (role) {
          return role.id == roleId;
        });
      }
      /**
       * Retrieve a role by name.
       * @param {String} roleName
       * @return {RoleModel}
       */

    }, {
      key: "getByName",
      value: function getByName(roleName) {
        return this.array.find(function (role) {
          return role.name === roleName;
        });
      }
    }], [{
      key: "Model",

      /**
       * @inheritdoc
       * Use RoleModel as default Model constructor.
       */
      get: function get() {
        return RoleModel;
      }
    }]);

    return RolesCollection;
  }(Collection$1);

  var TrashCollection =
  /*#__PURE__*/
  function (_ObjectsCollection) {
    _inherits(TrashCollection, _ObjectsCollection);

    function TrashCollection() {
      _classCallCheck(this, TrashCollection);

      return _possibleConstructorReturn(this, _getPrototypeOf(TrashCollection).apply(this, arguments));
    }

    _createClass(TrashCollection, [{
      key: "fetch",
      value: function fetch(model) {
        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        options = clone$1(options);
        options.endpoint = "trash/".concat(model.id);
        return _get(_getPrototypeOf(TrashCollection.prototype), "fetch", this).call(this, model, options);
      }
    }, {
      key: "post",
      value: function post(model) {
        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        options = clone$1(options);
        options.endpoint = "trash/".concat(model.id);
        return _get(_getPrototypeOf(TrashCollection.prototype), "post", this).call(this, model, options);
      }
    }, {
      key: "delete",
      value: function _delete(model) {
        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        options = clone$1(options);
        options.endpoint = "trash/".concat(model.id);
        return _get(_getPrototypeOf(TrashCollection.prototype), "delete", this).call(this, model, options);
      }
    }, {
      key: "findAll",
      value: function findAll() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        options = clone$1(options);
        options.endpoint = 'trash';
        return _get(_getPrototypeOf(TrashCollection.prototype), "findAll", this).call(this, options);
      }
    }, {
      key: "restore",
      value: function restore(model) {
        return this.post(model, {
          method: 'PATCH'
        });
      }
    }]);

    return TrashCollection;
  }(ObjectsCollection);

  /**
   * @class UsersCollection
   * @extends Collection
   * Handle users.
   */

  var UsersCollection =
  /*#__PURE__*/
  function (_Collection) {
    _inherits(UsersCollection, _Collection);

    function UsersCollection() {
      _classCallCheck(this, UsersCollection);

      return _possibleConstructorReturn(this, _getPrototypeOf(UsersCollection).apply(this, arguments));
    }

    _createClass(UsersCollection, [{
      key: "getMinimalPropertiesSet",

      /**
       * @inheritdoc
       */
      value: function getMinimalPropertiesSet() {
        return Promise.resolve(['id', 'email', 'title', 'username', 'last_login']);
      }
    }], [{
      key: "Model",

      /**
       * @inheritdoc
       * Use UserModel as default Model constructor.
       */
      get: function get() {
        return UserModel;
      }
    }]);

    return UsersCollection;
  }(Collection$1);

  /**
   * @class bedita.MediaCollection
   * @extends bedita.Collection
   * A collection for MediaModels.
   */

  var MediaCollection =
  /*#__PURE__*/
  function (_Collection) {
    _inherits(MediaCollection, _Collection);

    function MediaCollection() {
      _classCallCheck(this, MediaCollection);

      return _possibleConstructorReturn(this, _getPrototypeOf(MediaCollection).apply(this, arguments));
    }

    _createClass(MediaCollection, null, [{
      key: "Model",

      /**
       * @inheritdoc
       */
      get: function get() {
        return MediaModel;
      }
    }]);

    return MediaCollection;
  }(Collection$1);

  var StreamsCollection =
  /*#__PURE__*/
  function (_Collection) {
    _inherits(StreamsCollection, _Collection);

    function StreamsCollection() {
      _classCallCheck(this, StreamsCollection);

      return _possibleConstructorReturn(this, _getPrototypeOf(StreamsCollection).apply(this, arguments));
    }

    _createClass(StreamsCollection, [{
      key: "upload",
      value: function upload(media, fileContent, type, base64) {
        var _this = this;

        var name = media.name;

        if (!type && self.File && fileContent instanceof self.File) {
          name = name || fileContent.name;
          type = type || fileContent.type;
        }

        name = name || "stream_".concat(Date.now());
        var headers = {
          'content-type': type
        };

        if (base64) {
          headers['content-transfer-encoding'] = 'base64';
        }

        return this.factory('api').post("/streams/upload/".concat(name), fileContent, {
          headers: headers
        }).then(function (res) {
          return _this.model().then(function (model) {
            return model.setFromResponse(res.data).then(function () {
              return Promise.resolve(model);
            });
          }).then(function (streamModel) {
            if (media) {
              var mediaPromise = Promise.resolve(media);

              if (!(media instanceof MediaModel)) {
                return _this.factory('model').getCollection(media.type).catch(function () {
                  return MediaCollection;
                }).then(function (Collection) {
                  return _this.initClass(Collection);
                }).then(function (collection) {
                  return collection.model(media).then(function (model) {
                    return collection.post(model).then(function () {
                      return Promise.resolve(model);
                    });
                  });
                });
              }

              return mediaPromise.then(function (mediaModel) {
                if (!mediaModel.name) {
                  mediaModel.set('name', name, {
                    validate: false
                  });
                }

                mediaModel.addRelationship('streams', streamModel);
                return Promise.resolve(streamModel);
              });
            }

            return Promise.resolve(streamModel);
          });
        });
      }
    }, {
      key: "getMinimalPropertiesSet",
      value: function getMinimalPropertiesSet() {
        return Promise.resolve(['url', 'file_name', 'mime_type', 'version']);
      }
    }], [{
      key: "Model",
      get: function get() {
        return StreamModel;
      }
    }]);

    return StreamsCollection;
  }(Collection$1);

  /**
   * @class bedita.ApplicationsCollection
   * @extends bedita.Collection
   * A collection for ApplicationModels.
   */

  var ApplicationsCollection =
  /*#__PURE__*/
  function (_Collection) {
    _inherits(ApplicationsCollection, _Collection);

    function ApplicationsCollection() {
      _classCallCheck(this, ApplicationsCollection);

      return _possibleConstructorReturn(this, _getPrototypeOf(ApplicationsCollection).apply(this, arguments));
    }

    _createClass(ApplicationsCollection, [{
      key: "getMinimalPropertiesSet",

      /**
       * @inheritdoc
       */
      value: function getMinimalPropertiesSet() {
        return Promise.resolve(['id', 'api_key', 'name', 'description']);
      }
      /**
       * The endpoint for Applications.
       * @type {String}
       */

    }, {
      key: "defaultEndpoint",
      get: function get() {
        return '/admin/applications';
      }
    }], [{
      key: "Model",

      /**
       * @inheritdoc
       */
      get: function get() {
        return ApplicationModel;
      }
    }]);

    return ApplicationsCollection;
  }(Collection$1);

  /**
   * @class bedita.ObjectTypesCollection
   * @extends bedita.Collection
   * A collection for ObjectTypeModels.
   */

  var ObjectTypesCollection =
  /*#__PURE__*/
  function (_Collection) {
    _inherits(ObjectTypesCollection, _Collection);

    function ObjectTypesCollection() {
      _classCallCheck(this, ObjectTypesCollection);

      return _possibleConstructorReturn(this, _getPrototypeOf(ObjectTypesCollection).apply(this, arguments));
    }

    _createClass(ObjectTypesCollection, [{
      key: "getMinimalPropertiesSet",

      /**
       * @inheritdoc
       */
      value: function getMinimalPropertiesSet() {
        return Promise.resolve(['id', 'name', 'is_abstract', 'description']);
      }
      /**
       * call Collection.findAll with custom endpoint for available object_types for a relation.
       * 
       * @param {String} relName The relationship name.
       * @param {Object} options 
       */

    }, {
      key: "findAllByRelationship",
      value: function findAllByRelationship(relName) {
        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        options.endpoint = "".concat(this.type, "?filter[by_relation][name]=").concat(relName);
        return _get(_getPrototypeOf(ObjectTypesCollection.prototype), "findAll", this).call(this, options);
      }
      /**
       * filter Types array
       * 
       * @param options as {
       *          filter: filter list with attributes (ex: plugin: 'BEdita/Core')
       *          fields: mask output with fields (ex name, id)
       *      }
       * 
       * @returns Promise of an Array of Objects
       */

    }, {
      key: "filterTypes",
      value: function filterTypes() {
        var _this = this;

        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        return this.findAll(options).then(function () {
          return _this.array;
        });
      }
    }, {
      key: "defaultEndpoint",

      /**
       * @inheritdoc
       */
      get: function get$$1() {
        return '/model/object_types';
      }
    }], [{
      key: "Model",

      /**
       * @inheritdoc
       */
      get: function get$$1() {
        return ObjectTypeModel;
      }
    }]);

    return ObjectTypesCollection;
  }(Collection$1);

  /**
   * PropertyTypes Collection
   */

  var PropertyTypesCollection =
  /*#__PURE__*/
  function (_Collection) {
    _inherits(PropertyTypesCollection, _Collection);

    function PropertyTypesCollection() {
      _classCallCheck(this, PropertyTypesCollection);

      return _possibleConstructorReturn(this, _getPrototypeOf(PropertyTypesCollection).apply(this, arguments));
    }

    _createClass(PropertyTypesCollection, [{
      key: "getMinimalPropertiesSet",

      /**
       * Return minimal properties set for index pages
       * 
       * @return {Promise<Array>} properties set
       */
      value: function getMinimalPropertiesSet() {
        return Promise.resolve(['name']);
      }
    }, {
      key: "defaultEndpoint",

      /**
       * The endpoint for PropertyTypes.
       * @type {String}
       */
      get: function get() {
        return '/model/property_types';
      }
    }], [{
      key: "Model",

      /**
       * Return object type model
       * 
       * @return {Class<PropertyTypeModel>} the PropertyTypeModel
       */
      get: function get() {
        return PropertyTypeModel;
      }
    }]);

    return PropertyTypesCollection;
  }(Collection$1);

  var PropertiesCollection =
  /*#__PURE__*/
  function (_Collection) {
    _inherits(PropertiesCollection, _Collection);

    function PropertiesCollection() {
      _classCallCheck(this, PropertiesCollection);

      return _possibleConstructorReturn(this, _getPrototypeOf(PropertiesCollection).apply(this, arguments));
    }

    _createClass(PropertiesCollection, [{
      key: "getMinimalPropertiesSet",
      value: function getMinimalPropertiesSet() {
        return Promise.resolve(['name', 'description', 'property_type_name', 'object_type_name']);
      }
      /**
       * The endpoint for Properties.
       * @type {String}
       */

    }, {
      key: "findAllByObjectType",

      /**
       * Get a list of properties by model type
       * @param {String} type The object type.
       * @param {String} filter Should filter `static` or `dynamic` properties.
       * @return {Promise}
       */
      value: function findAllByObjectType(type) {
        var filter = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
        var options = {
          filter: {
            object_type: type
          }
        };

        if (filter) {
          options.filter.type = filter;
        }

        return this.findAll(options);
      }
    }, {
      key: "defaultEndpoint",
      get: function get() {
        return '/model/properties';
      }
    }], [{
      key: "Model",
      get: function get() {
        return PropertyModel;
      }
    }]);

    return PropertiesCollection;
  }(Collection$1);

  /**
   * @module keypath
   */
  /**
   * Assert scope object is a valid object.
   * @private
   *
   * @param {*} obj The object to check
   * @return {boolean} The object is valid or not
   */

  function assertObject(obj) {
    return !isFalsy(obj) && typeof obj === 'object';
  }
  /**
   * Assert scope object and path are valid
   * @private
   *
   * @param {*} obj The object to check
   * @param {*} path The property path
   * @return {void}
   * @throws {Error} throw error when object scope is invalid undefined
   * @throws {Error} throw error when paths is invalid or undefined
   */


  function assertArgs(obj, path) {
    if (!assertObject(obj)) {
      throw new Error('invalid scope');
    }

    if (isFalsy(path) || isArray(path) && path.length === 0) {
      throw new Error('invalid path');
    }
  }
  /**
   * Normalize path argument in an array of paths
   * @private
   *
   * @param {Array|string|number} path The argument to normalize
   * @return {Array} An array of paths
   */


  function pathToArray(path) {
    if (isString(path)) {
      return path.split('.');
    }

    if (isNumber(path)) {
      return [`${path}`];
    }

    if (isArray(path)) {
      return path.slice(0);
    }

    return path;
  }
  /**
   * Set a deep property of an object using paths
   * @memberof keypath
   *
   * @param {Object} obj The object scope
   * @param {String|Array} path The path of the property to set
   * @param {*} value The value to set
   * @param {boolean} [ensure=true] Create path if does not exists
   * @return {*} The property value
   * @throws {Error} throw error when object scope is invalid undefined
   * @throws {Error} throw error when paths is invalid or undefined
   */

  function set$3(obj, path, value, ensure = true) {
    assertArgs(obj, path);
    path = pathToArray(path);

    if (path.length === 1) {
      if (isArray(obj) && path[0] === '') {
        obj.push(value);
      } else {
        obj[path[0]] = value;
      }

      return value;
    }

    let current = path.shift();
    let currentObj;

    if (!obj.hasOwnProperty(current)) {
      if (ensure) {
        let next = path[0];

        if (isNaN(next) && next !== '') {
          currentObj = obj[current] = {};
        } else {
          currentObj = obj[current] = [];
        }
      }
    } else {
      currentObj = obj[current];
    }

    return set$3(currentObj, path, value, ensure);
  }

  /**
   * @module Url
   */
  const REF_SYM = Symbolic('ref');
  const URL_REGEX = /((?:^(?:[a-z]+:))|^)?(?:\/\/)?([^?/$]*)([^?]*)?(\?.*)?/i;
  const PORT_REGEX = /:\d*$/;
  /**
   * Parse and split an url in its components.
   * @memberof Url
   *
   * @param {string} url The url to parse.
   * @return {Object} The url properties.
   */

  function parse(url = '') {
    let hashSplit = url.split('#');
    let hash = hashSplit.length > 1 ? hashSplit.pop() : undefined;
    url = hashSplit.join('#');
    let match = url.match(URL_REGEX);
    let res = {
      host: undefined,
      hostname: undefined,
      port: undefined,
      username: undefined,
      password: undefined,
      hash
    };

    if (match) {
      res.protocol = match[1];

      if (match[2]) {
        let host = match[2];
        res.host = host;
        let port = host.match(PORT_REGEX);

        if (port) {
          res.port = port[0].substring(1);
          host = host.replace(port[0], '');
        }

        let authSplit = host.split('@');
        res.hostname = authSplit.pop();
        let authChunk = authSplit.join('@').split(':');
        res.username = authChunk.shift();
        res.password = authChunk.join(':');
      }

      res.pathname = match[3];
      res.search = match[4];
    }

    if (!match || res.port && !res.hostname || res.protocol && res.protocol !== 'file:' && !res.hostname || res.search && !res.hostname && !res.pathname || res.password && !res.username) {
      throw new SyntaxError('invalid url');
    }

    if (res.host && res.pathname === '/') {
      res.pathname = '';
    }

    if (res.hostname) {
      let origin = res.protocol ? `${res.protocol}//` : '';
      origin += res.hostname;
      origin += res.port ? `:${res.port}` : '';
      res.origin = origin;
    }

    return res;
  }
  /**
   * Serialize a key/value pair matching differente operators.
   * @private
   *
   * @param {string} key The pair key.
   * @param {string} val The pair value.
   * @return {string} A serialized string of key/value pair.
   */

  function chunk(key, val) {
    if (val) {
      return `${encodeURIComponent(key)}=${encodeURIComponent(val)}`;
    }

    return `${encodeURIComponent(key)}`;
  }
  /**
   * Serialize an object in FormData format.
   * @memberof Url
   *
   * @param {Object} obj The object to convert.
   * @param {string} prefix The prefix to use in case of recursion.
   * @param {Function} [chunkFn] The callback function to use for chunking a key/value pair.
   * @return {string} An object to serialize.
   */


  function serialize(obj, prefix, chunkFn = chunk) {
    let str = [];
    let keys = Object.keys(obj);

    if (keys.length) {
      for (let p in obj) {
        if (obj.hasOwnProperty(p) && obj[p] !== undefined) {
          let k = prefix ? `${prefix}[${p}]` : p;
          let v = obj[p];

          if (v instanceof Date) {
            v = v.toISOString();
          }

          str.push(v !== null && typeof v === 'object' ? serialize(v, k) : chunkFn(k, `${v}`));
        }
      }
    } else if (prefix) {
      str.push(chunkFn(prefix));
    }

    return str.join('&');
  }
  /**
   * Unserialize a string in FormData format to an object.
   * @memberof Url
   *
   * @param {string} str A search string to unserialize.
   * @return {object} The unserialized object.
   */

  function unserialize(str) {
    str = decodeURI(str);
    let chunks = str.split('&');
    let res = {};

    for (let i = 0, len = chunks.length; i < len; i++) {
      let chunk = chunks[i].split('=');

      if (chunk[0] && chunk[1]) {
        let key = chunk[0].replace(/\[(.*?)\]/g, '.$1');
        let val = decodeURIComponent(chunk[1]);
        set$3(res, key, val);
      }
    }

    return res;
  }
  /**
   * Join url paths.
   * @memberof Url
   *
   * @param {...string} paths A list of paths to join.
   * @return {string} The final joint string.
   */

  function join(...paths) {
    let len = paths.length - 1;
    return paths.filter(path => !!path).map((path, index) => {
      if (index === 0) {
        return path.replace(/\/*$/, '');
      } else if (index === len) {
        return path.replace(/^\/*/, '');
      }

      return path.replace(/^\/*/, '').replace(/\/*$/, '');
    }).join('/');
  }
  /**
   * Resolve relative url path.
   * @memberof Url
   *
   * @param {string} base The base path.
   * @param {string} relative The relative path.
   * @return {string} The rsolved path.
   */

  function resolve(base, relative) {
    if (relative[0] === '/') {
      let baseInfo = parse(base);

      if (!baseInfo.origin) {
        throw new Error('base url is not an absolute url');
      }

      base = `${baseInfo.origin}/`;
    }

    let stack = base.split('/');
    let parts = relative.split('/').filter(part => part !== '');

    if (stack.length > 1) {
      stack.pop();
    }

    for (let i = 0; i < parts.length; i++) {
      if (parts[i] === '.') {
        continue;
      } else if (parts[i] === '..') {
        stack.pop();
      } else {
        stack.push(parts[i]);
      }
    }

    return stack.join('/');
  }
  /**
   * Check if an url is absolute.
   * @memberof Url
   *
   * @param {string} url The url to check.
   * @return {boolean}
   */

  function isAbsoluteUrl(url) {
    return !!parse(url).protocol;
  }
  /**
   * Check if an url is a data url.
   * @memberof Url
   *
   * @param {string} url The url to check.
   * @return {boolean}
   */

  function isDataUrl(url) {
    return parse(url).protocol === 'data:';
  }
  /**
   * Check if an url points to a local file.
   * @memberof Url
   *
   * @param {string} url The url to check.
   * @return {boolean}
   */

  function isLocalUrl(url) {
    return parse(url).protocol === 'file:';
  }
  /**
   * Update query string params to an url
   * @private
   *
   * @param {Url} url The url to update.
   * @param {string} path The query string.
   */

  function updateSearchPath(url, path) {
    let href = url.href.split('?')[0];
    url.href = `${href}?${path}`;
  }
  /**
   * Convert search params entries to a query string.
   * @private
   *
   * @param {Array} entries Search params entries.
   * @return {string} The query string.
   */


  function entriesToString(entries) {
    let unserialized = {};
    entries.forEach(entry => {
      unserialized[entry[0]] = entry[1];
    });
    return serialize(unserialized);
  }
  /**
   * Search params interface for Url.
   * @class SearchParams
   * @memberof Url
   * @property {Url} url The referenced Url.
   *
   * @param {Url} ref The referenced Url instance.
   */


  class SearchParams {
    constructor(ref) {
      this[REF_SYM] = ref;
    }

    get url() {
      return this[REF_SYM];
    }
    /**
     * List all entry keys.
     * @memberof Url.SearchParams
     *
     * @return {Array} Entry keys list.
     */


    keys() {
      return this.entries().map(entry => entry[0]);
    }
    /**
     * List all entry values.
     * @memberof Url.SearchParams
     *
     * @return {Array} Entry values list.
     */


    values() {
      return this.entries().map(entry => entry[1]);
    }
    /**
     * List all entries.
     * @memberof Url.SearchParams
     *
     * @return {Array} Entries list in format [[key, value], [...]].
     */


    entries() {
      let search = this.url.search.substring(1);
      let unserialized = unserialize(search);
      return Object.keys(unserialized).map(key => [key, unserialized[key]]);
    }
    /**
     * Retrieve an entry.
     * @memberof Url.SearchParams
     *
     * @param {string} name The entity name to get.
     * @return {*} The entity value.
     */


    get(name) {
      let entries = this.entries();

      for (let i = 0, len = entries.length; i < len; i++) {
        if (entries[i][0] === name) {
          return entries[i][1];
        }
      }
    }
    /**
     * Check if entity is defined.
     * @memberof Url.SearchParams
     *
     * @param {string} name The entity name to check.
     * @return {Boolean}
     */


    has(name) {
      return !!this.get(name);
    }
    /**
     * Set an entry value.
     * @memberof Url.SearchParams
     *
     * @param {string} name The entity name to set.
     * @param {*} value The entity value to set
     */


    set(name, value) {
      this.delete(name);
      let entries = this.entries();
      entries.push([name, value]);
      updateSearchPath(this.url, entriesToString(entries));
    }
    /**
     * Remove an entity from the search params.
     * @memberof Url.SearchParams
     *
     * @param {string} name The entity name to remove.
     */


    delete(name) {
      updateSearchPath(this.url, entriesToString(this.entries().filter(entry => entry[0] !== name)));
    }
    /**
     * Sort entities by keys names.
     * @memberof Url.SearchParams
     */


    sort() {
      let entries = this.entries();
      entries.sort((entry1, entry2) => {
        let key1 = entry1[0];
        let key2 = entry2[0];

        if (key1 < key2) {
          return -1;
        } else if (key1 > key2) {
          return 1;
        }

        return 0;
      });
      updateSearchPath(this.url, entriesToString(entries));
    }

    toString() {
      return this.url.search;
    }

  }
  /**
   * Url helper class.
   * @class Url
   * @memberof Url
   * @property {SearchParams} searchParams The url query string interface.
   * @property {string} href The full url string.
   * @property {string} protocol The url's protocol (if defined).
   * @property {string} username The username used (if defined).
   * @property {string} password The password used (if defined).
   * @property {string} host The url's host.
   * @property {string} hostname The url's hostname.
   * @property {string} port The url's port (if defined).
   * @property {string} search The url's query params.
   * @property {string} hash The url's hash.
   *
   * @param {string} path The url to handle.
   * @param {string} [baseUrl] The optional base url. 
   */

  class Url {
    constructor(path, baseUrl) {
      if (baseUrl) {
        this.href = resolve(baseUrl, path);
      } else {
        this.href = path;
      }

      this.searchParams = new SearchParams(this);
    }

    get href() {
      return this[REF_SYM];
    }

    set href(href) {
      let info = parse(href);
      this[REF_SYM] = href;

      for (let k in info) {
        this[k] = info[k];
      }
    }
    /**
     * Join current Url with paths.
     * @memberof Url.Url
     *
     * @param {...string} paths A list of paths to join.
     * @return {Url} A new url instance.
     */


    join(...paths) {
      return new Url(join(this.href, ...paths));
    }
    /**
     * Resolve a path relative to the current Url.
     * @memberof Url.Url
     *
     * @param {string} path The relative path.
     * @return {Url} A new url instance.
     */


    resolve(path) {
      return new Url(resolve(this.href, path));
    }
    /**
     * Check if current Url is absolute.
     * @memberof Url.Url
     *
     * @return {Boolean}
     */


    isAbsoluteUrl() {
      return isAbsoluteUrl(this.href);
    }
    /**
     * Check if current Url is a data url.
     * @memberof Url.Url
     *
     * @return {Boolean}
     */


    isDataUrl() {
      return isDataUrl(this.href);
    }
    /**
     * Check if current Url points to local file.
     * @memberof Url.Url
     *
     * @return {Boolean}
     */


    isLocalUrl() {
      return isLocalUrl(this.href);
    }

    toString() {
      return this.href;
    }

  }

  /**
   * @class UrlHelper
   * Handle urls.
   * @deprecated since version 2.3.0
   * Use @chialab/proteins~Url
   */

  class UrlHelper {
    static join(...paths) {
      return join(...paths);
    }

    static isAbsoluteUrl(url) {
      return isAbsoluteUrl(url);
    }

    static isDataUrl(url) {
      return isDataUrl(url);
    }

    static resolve(base, relative) {
      return resolve(base, relative);
    }

    constructor(url) {
      this.url = new Url(url);
    }

    isAbsoluteUrl() {
      return this.url.isAbsoluteUrl();
    }

    isDataUrl() {
      return this.url.isDataUrl();
    }

    resolve(path) {
      return this.url.resolve(path).href;
    }

    join(...paths) {
      return this.url.join(...paths).href;
    }

  }

  var TOKEN_KEY = 'be.accessToken';
  var RENEW_TOKEN_KEY = 'be.renewToken';

  var _queue = Promise.resolve();

  var Api =
  /*#__PURE__*/
  function (_Factory) {
    _inherits(Api, _Factory);

    function Api() {
      _classCallCheck(this, Api);

      return _possibleConstructorReturn(this, _getPrototypeOf(Api).apply(this, arguments));
    }

    _createClass(Api, [{
      key: "initialize",
      value: function initialize(options) {
        if (options) {
          this.config(options);
        }

        return _get(_getPrototypeOf(Api.prototype), "initialize", this).call(this, options);
      }
    }, {
      key: "config",
      value: function config() {
        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        this.options = options;
        this.restore();
      }
    }, {
      key: "restore",
      value: function restore() {
        var token = this.storage.getItem(TOKEN_KEY);
        var renew = this.storage.getItem(RENEW_TOKEN_KEY);

        if (token) {
          this.setAccessToken(token);
        }

        if (renew) {
          this.setRenewToken(renew);
        }
      }
    }, {
      key: "resolve",
      value: function resolve(endpoint) {
        if (!this.options.base) {
          throw new Error('Missing BEdita base api url');
        }

        if (endpoint.indexOf(this.options.base) !== 0) {
          endpoint = UrlHelper.join(this.options.base, endpoint);
        }

        return endpoint;
      }
    }, {
      key: "request",
      value: function request(api) {
        var _this = this;

        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        var url = this.resolve(api);
        options.headers = options.headers || {};
        options.headers['accept'] = 'application/vnd.api+json';
        options.headers['x-requested-with'] = 'XMLHttpRequest';

        if (this.options.apiKey) {
          options.headers['x-api-key'] = this.options.apiKey;
        }

        if (this.token) {
          options.headers['Authorization'] = "Bearer ".concat(this.token);
        }

        if (options.body) {
          if (Object.prototype.toString.call(options.body) === '[object Object]') {
            options.headers['content-type'] = 'application/json';
            options.body = JSON.stringify(options.body);
          }

          if (!options.headers['content-type']) {
            options.headers['content-type'] = 'application/x-www-form-urlencoded';
          }
        }

        this.factory('debug').log("api -> [".concat((options.method || 'get').toUpperCase(), "]"), url);
        return fetch(url, options).then(function (res) {
          return res.text().then(function (json) {
            if (json) {
              json = JSON.parse(json);
            }

            if (res.ok) {
              return Promise.resolve(json);
            }

            return Promise.reject(json);
          });
        }).catch(function (res) {
          if (_this.token && res && res.error && res.error.status == 401 && res.error.title === 'Expired token') {
            return _this.renew().catch(function () {
              return Promise.reject(res);
            }).then(function () {
              return _this.request(api, options);
            });
          }

          return Promise.reject(res);
        });
      }
    }, {
      key: "queue",
      value: function queue(fn) {
        _queue = _queue.catch(function () {
          return Promise.resolve();
        }).then(function () {
          return fn();
        });
        return _queue;
      }
    }, {
      key: "get",
      value: function get$$1(api, options) {
        var _this2 = this;

        return this.queue(function () {
          return _this2.request(api, options);
        });
      }
    }, {
      key: "post",
      value: function post(api, data, options) {
        var _this3 = this;

        options = options ? clone$1(options) : {};
        options.body = data;
        options.method = 'POST';
        return this.queue(function () {
          return _this3.request(api, options);
        });
      }
    }, {
      key: "patch",
      value: function patch(api, data, options) {
        var _this4 = this;

        options = options ? clone$1(options) : {};
        options.body = data;
        options.method = 'PATCH';
        return this.queue(function () {
          return _this4.request(api, options);
        });
      }
    }, {
      key: "delete",
      value: function _delete(api, data, options) {
        var _this5 = this;

        options = options ? clone$1(options) : {};
        options.body = data;
        options.method = 'DELETE';
        options.headers = options.headers || {};
        options.headers['content-type'] = 'application/vnd.api+json';
        return this.queue(function () {
          return _this5.request(api, options);
        });
      }
    }, {
      key: "unsetAccessToken",
      value: function unsetAccessToken() {
        this.token = null;
        this.storage.removeItem(TOKEN_KEY, this.token);
      }
    }, {
      key: "setAccessToken",
      value: function setAccessToken(token) {
        this.token = token;
        this.storage.setItem(TOKEN_KEY, this.token);
      }
    }, {
      key: "unsetRenewToken",
      value: function unsetRenewToken() {
        this.renewToken = null;
        this.storage.removeItem(RENEW_TOKEN_KEY, this.token);
      }
    }, {
      key: "setRenewToken",
      value: function setRenewToken(token) {
        this.renewToken = token;
        this.storage.setItem(RENEW_TOKEN_KEY, this.renewToken);
      }
    }, {
      key: "auth",
      value: function auth(username, password) {
        var _this6 = this;

        return this.post('auth', this.factory('url').serialize({
          username: username,
          password: password
        })).then(function (res) {
          _this6.onAuth(res);

          return _this6.me().then(function (userRes) {
            userRes.meta = userRes.meta || {};
            userRes.meta.jwt = res.meta.jwt;
            userRes.meta.renew = res.meta.renew;
            return Promise.resolve(userRes);
          });
        });
      }
    }, {
      key: "renew",
      value: function renew() {
        var _this7 = this;

        if (!this.renewToken) {
          throw new Error('Missing renew token');
        }

        var token = this.token;
        this.token = this.renewToken;
        return this.request('auth', {
          method: 'POST'
        }).then(function (res) {
          _this7.onAuth(res);

          return Promise.resolve(res);
        }).catch(function (err) {
          _this7.token = token;
          return Promise.reject(err);
        });
      }
    }, {
      key: "onAuth",
      value: function onAuth(res) {
        if (res.meta) {
          this.setAccessToken(res.meta.jwt);
          this.setRenewToken(res.meta.renew);
        }
      }
    }, {
      key: "me",
      value: function me() {
        return this.get('auth');
      }
    }, {
      key: "logout",
      value: function logout() {
        this.unsetAccessToken();
        this.unsetRenewToken();
      }
      /**
       * get all available object types flatten to their name attribute
       * 
       * @returns Promise
       */

    }, {
      key: "types",
      value: function types() {
        return this.get('model/object_types').then(function (res) {
          if (res && res.data) {
            return Promise.resolve(res.data.map(function (type) {
              return type.attributes.name;
            }));
          }

          return Promise.resolve([]);
        });
      }
    }, {
      key: "storage",
      get: function get$$1() {
        return this.options && this.options.storage || localStorage;
      }
    }]);

    return Api;
  }(Factory);

  var Url$1 =
  /*#__PURE__*/
  function (_Factory) {
    _inherits(Url, _Factory);

    function Url() {
      _classCallCheck(this, Url);

      return _possibleConstructorReturn(this, _getPrototypeOf(Url).apply(this, arguments));
    }

    _createClass(Url, [{
      key: "chunk",
      value: function chunk(key, val) {
        if (val) {
          return "".concat(encodeURIComponent(key), "=").concat(encodeURIComponent(val));
        }

        return "".concat(encodeURIComponent(key));
      }
    }, {
      key: "serialize",
      value: function serialize(obj, prefix, chunkFn) {
        chunkFn = chunkFn || this.chunk;
        var str = [];
        var keys = Object.keys(obj);

        if (keys.length) {
          for (var p in obj) {
            if (obj.hasOwnProperty(p) && obj[p] !== undefined && obj[p] !== null) {
              var k = prefix ? "".concat(prefix, "[").concat(p, "]") : p;
              var v = obj[p];

              if (v instanceof Date) {
                v = v.toISOString();
              }

              str.push(v !== null && _typeof(v) === 'object' ? this.serialize(v, k) : chunkFn(k, "".concat(v)));
            }
          }
        } else if (prefix) {
          str.push(chunkFn(prefix));
        }

        return str.join('&');
      }
    }, {
      key: "unserialize",
      value: function unserialize(str) {
        str = decodeURI(str);
        var chunks = str.split('&');
        var res = {};

        for (var i = 0, len = chunks.length; i < len; i++) {
          var chunk = chunks[i].split('=');

          if (chunk[0] && chunk[1]) {
            var key = chunk[0].replace(/\[(.*?)\]/g, '.$1');
            var val = decodeURIComponent(chunk[1]);
            set$3(res, key, val);
          }
        }

        return res;
      }
    }, {
      key: "getSearchParams",
      value: function getSearchParams(url) {
        var params = url.split('?').slice(1).join('?');
        return params ? this.unserialize(params) : {};
      }
    }, {
      key: "getSearchParam",
      value: function getSearchParam(url, key) {
        return this.getSearchParams(url)[key];
      }
    }, {
      key: "setSearchParams",
      value: function setSearchParams(url, data) {
        var res = this.getSearchParams(url);

        for (var k in data) {
          res[k] = data[k];
        }

        res = this.serialize(res);
        return "".concat(url.split('?')[0], "?").concat(res);
      }
    }, {
      key: "setSearchParam",
      value: function setSearchParam(url, key, value) {
        return this.setSearchParams(url, _defineProperty({}, key, value));
      }
    }, {
      key: "unsetSearchParam",
      value: function unsetSearchParam(url, key) {
        return this.setSearchParam(url, key, undefined);
      }
    }]);

    return Url;
  }(Factory);

  var Session =
  /*#__PURE__*/
  function (_Factory) {
    _inherits(Session, _Factory);

    function Session() {
      _classCallCheck(this, Session);

      return _possibleConstructorReturn(this, _getPrototypeOf(Session).apply(this, arguments));
    }

    _createClass(Session, [{
      key: "getUser",
      value: function getUser() {
        var _this = this;

        if (this.user) {
          return Promise.resolve(this.user);
        }

        if (!this.factory('api').token) {
          return Promise.reject();
        }

        if (!internal(this).userPromise) {
          internal(this).userPromise = this.factory('model').getCollection('users').then(function (Collection) {
            return _this.initClass(Collection);
          }).then(function (collection) {
            return _this.factory('api').me().then(function (res) {
              return collection.model().then(function (model) {
                return model.setFromResponse(res.data, res.included).then(function () {
                  _this.user = model;
                  internal(_this).userPromise = null;
                  return Promise.resolve(model);
                });
              });
            });
          }).catch(function (res) {
            _this.factory('api').logout();

            return Promise.reject(res);
          });
        }

        return internal(this).userPromise;
      }
    }, {
      key: "isLogged",
      value: function isLogged() {
        return !!this.user;
      }
    }, {
      key: "login",
      value: function login(username, password) {
        var _this2 = this;

        var apiFactory = this.factory('api');
        return apiFactory.auth(username, password).then(function (res) {
          return _this2.onLoginResponse(res);
        });
      }
    }, {
      key: "onLoginResponse",
      value: function onLoginResponse(res) {
        var _this3 = this;

        if (res.meta) {
          return this.factory('model').getCollection('users').then(function (Collection) {
            return _this3.initClass(Collection);
          }).then(function (collection) {
            return collection.model().then(function (model) {
              return model.setFromResponse(res.data, res.included).then(function () {
                _this3.user = model;

                _this3.trigger('login', _this3.user);

                return Promise.resolve(model);
              });
            });
          });
        }

        return Promise.reject();
      }
    }, {
      key: "logout",
      value: function logout() {
        this.user = null;
        localStorage.removeItem('user.id');
        var apiFactory = this.factory('api');
        apiFactory.logout();

        for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
          args[_key] = arguments[_key];
        }

        this.trigger.apply(this, ['logout'].concat(args));
      }
    }, {
      key: "renew",
      value: function renew() {
        var _this4 = this;

        var apiFactory = this.factory('api');
        return apiFactory.renew().then(function (res) {
          return _this4.onLoginResponse(res, _this4.user.id);
        });
      }
    }]);

    return Session;
  }(Factory);

  var styles = 'font-family: monospace; color: #BBB;';
  var Debug =
  /*#__PURE__*/
  function (_Factory) {
    _inherits(Debug, _Factory);

    function Debug() {
      _classCallCheck(this, Debug);

      return _possibleConstructorReturn(this, _getPrototypeOf(Debug).apply(this, arguments));
    }

    _createClass(Debug, [{
      key: "log",
      value: function log() {
        for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
          args[_key] = arguments[_key];
        }

        if (typeof window !== 'undefined') {
          var _console;

          (_console = console).log.apply(_console, ['%c [BEDITA]', styles].concat(args));
        } else {
          var _console2;

          (_console2 = console).log.apply(_console2, ['[BEDITA]'].concat(args));
        }
      }
    }, {
      key: "warn",
      value: function warn() {
        for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
          args[_key2] = arguments[_key2];
        }

        if (typeof window !== 'undefined') {
          var _console3;

          (_console3 = console).warn.apply(_console3, ['%c [BEDITA]', styles].concat(args));
        } else {
          var _console4;

          (_console4 = console).warn.apply(_console4, ['[BEDITA]'].concat(args));
        }
      }
    }, {
      key: "error",
      value: function error() {
        for (var _len3 = arguments.length, args = new Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
          args[_key3] = arguments[_key3];
        }

        if (typeof window !== 'undefined') {
          var _console5;

          (_console5 = console).error.apply(_console5, ['%c [BEDITA]', styles].concat(args));
        } else {
          var _console6;

          (_console6 = console).error.apply(_console6, ['[BEDITA]'].concat(args));
        }
      }
    }]);

    return Debug;
  }(Factory);

  /**
   * Handle models via API.
   *
   * @class ModelFactory
   * @extends Factory
   */

  var ModelFactory =
  /*#__PURE__*/
  function (_Factory) {
    _inherits(ModelFactory, _Factory);

    function ModelFactory() {
      _classCallCheck(this, ModelFactory);

      return _possibleConstructorReturn(this, _getPrototypeOf(ModelFactory).apply(this, arguments));
    }

    _createClass(ModelFactory, [{
      key: "getSchema",

      /**
       * Get the JSON schema for a model type.
       * @param {String} type The model type.
       * @return {Promise<Object>} The model schema.
       */
      value: function getSchema(type) {
        return this.factory('api').get("/model/schema/".concat(type));
      }
      /**
       * Create a singleton registry of models and collections.
       * @param {Object} options A set of options for the factory.
       * @param {Array<Collection>} options.collections A set of Collections to pre-register.
       * @param {Array<Model>} options.models A set of Models to pre-register.
       * @return {Promise}
       */

    }, {
      key: "initialize",
      value: function initialize() {
        var _this = this;

        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        this.autoValidation = true;
        this.models = {};
        this.collections = {};
        this.modelQueue = {};
        this.collectionQueue = {};
        return _get(_getPrototypeOf(ModelFactory.prototype), "initialize", this).call(this, options).then(function () {
          (options.models || []).forEach(function (Model) {
            _this.registerModel(Model);
          });
          (options.collections || []).forEach(function (Collection) {
            _this.registerCollection(Collection);
          });
          return Promise.resolve(_this);
        });
      }
      /**
       * Add a Model to the registry.
       * @param {Class<Model>} Model A Model constructor.
       */

    }, {
      key: "registerModel",
      value: function registerModel(Model) {
        this.models[Model.prototype.type || Model.type] = Model;
      }
      /**
       * Get a Model constructor by type.
       * @param {String} type The type of the Model to retrieve.
       * @return {Promise<Class<Model>>} The Model constructor.
       */

    }, {
      key: "getModel",
      value: function getModel(type) {
        var _this2 = this;

        if (this.hasModel(type)) {
          return Promise.resolve(this.models[type]);
        }

        if (this.modelQueue[type]) {
          return this.modelQueue[type];
        }

        this.modelQueue[type] = this.getObjectType(type).then(function (objectType) {
          var parentId = objectType.parent_name || 'objects';
          return _this2.getModel(parentId).then(function (ParentModel) {
            return _this2.getSchema(type).then(function (data) {
              var relations = {};

              if (objectType.metadata.relations) {
                objectType.metadata.relations.forEach(function (rel) {
                  relations[rel] = {};
                });
              }

              var TypedModel = ParentModel.create(type, data, relations);

              _this2.registerModel(TypedModel);

              return TypedModel;
            });
          });
        });
        return this.modelQueue[type];
      }
      /**
       * Check if a Model is in registry.
       * @param {String} type The type of the Model.
       * @return {Boolean}
       */

    }, {
      key: "hasModel",
      value: function hasModel(type) {
        return this.models.hasOwnProperty(type);
      }
      /**
       * Add a Collection to the registry.
       * @param {Class<Collection>} Collection A Collection constructor.
       */

    }, {
      key: "registerCollection",
      value: function registerCollection(Collection) {
        this.collections[Collection.prototype.type || Collection.type] = Collection;
      }
      /**
       * Get a Collection constructor by type.
       * @param {String} type The type of the Collection to retrieve.
       * @return {Promise<Class<Collection>>} The Collection constructor.
       */

    }, {
      key: "getCollection",
      value: function getCollection(type) {
        var _this3 = this;

        if (this.hasCollection(type)) {
          return Promise.resolve(this.collections[type]);
        }

        if (this.collectionQueue[type]) {
          return this.collectionQueue[type];
        }

        this.collectionQueue[type] = this.getModel(type).then(function (Model) {
          var TypedCollection = Collection$1.create(Model);

          _this3.registerCollection(TypedCollection);

          return Promise.resolve(TypedCollection);
        });
        return this.collectionQueue[type];
      }
      /**
       * Check if a Collection is in registry.
       * @param {String} type The type of the Collection.
       * @return {Boolean}
       */

    }, {
      key: "hasCollection",
      value: function hasCollection(type) {
        return this.collections.hasOwnProperty(type);
      }
      /**
       * Instantiate a new Collection by type.
       * @param {String} type The collection type.
       * @param {Object} arr The initial array of models.
       * @return {Promise<Collection>}
       */

    }, {
      key: "initCollection",
      value: function initCollection(type, arr) {
        var _this4 = this;

        var resolveCollectionCtr;

        if (typeof type === 'string') {
          // get or generate the collection
          resolveCollectionCtr = this.getCollection(type);
        } else if (typeof type === 'function') {
          // already a Class contrusctor
          resolveCollectionCtr = Promise.resolve(type);
        }

        return resolveCollectionCtr.then(function (Collection) {
          return _this4.initClass(Collection, arr);
        });
      }
      /**
       * Instantiate a new Model by type.
       * @param {String} type The model type.
       * @param {Object} data A set of initial data.
       * @return {Promise<Model>}
       */

    }, {
      key: "initModel",
      value: function initModel(type, data) {
        var _this5 = this;

        var resolveModelCtr;

        if (typeof type === 'string') {
          // get or generate the model
          resolveModelCtr = this.getModel(type);
        } else if (typeof type === 'function') {
          // already a Class contrusctor
          resolveModelCtr = Promise.resolve(type);
        }

        return resolveModelCtr.then(function (Model) {
          return _this5.initClass(Model, data);
        });
      }
      /**
       * Fetch all object types.
       * @return {Promise<ObjectTypesCollection>}
       */

    }, {
      key: "getObjectTypes",
      value: function getObjectTypes() {
        return this.initClass(ObjectTypesCollection).then(function (collection) {
          return collection.findAll().then(function () {
            return collection;
          });
        });
      }
      /**
       * Fetch abstract object types.
       * @return {Promise<ObjectTypesCollection>}
       */

    }, {
      key: "getAbstractObjectTypes",
      value: function getAbstractObjectTypes() {
        return this.initClass(ObjectTypesCollection).then(function (collection) {
          return collection.findAll({
            filter: {
              is_abstract: true
            }
          }).then(function () {
            return collection;
          });
        });
      }
      /**
       * Get the ObjectType Model for a given type.
       * @param {String} type The type of the Model.
       * @return {Promise<ObjectType>}
       */

    }, {
      key: "getObjectType",
      value: function getObjectType(type) {
        return this.initClass(ObjectTypesCollection).then(function (collection) {
          return collection.findById(type);
        });
      }
      /**
       * Fetch all property types.
       * @return {Promise<PropertyTypesCollection>}
       */

    }, {
      key: "getPropertyTypes",
      value: function getPropertyTypes() {
        return this.initClass(PropertyTypesCollection).then(function (collection) {
          return collection.findAll().then(function () {
            return collection;
          });
        });
      }
      /**
       * Fetch a full list of properties for object type.
       * @param {String} type The object type name.
       * @return {Promise<PropertiesCollection>}
       */

    }, {
      key: "getPropertiesForType",
      value: function getPropertiesForType(type) {
        return this.initClass(PropertiesCollection).then(function (collection) {
          return collection.findAllByObjectType(type).then(function () {
            return collection;
          });
        });
      }
      /**
       * Fetch a list of static properties for object type.
       * @param {String} type The object type name.
       * @return {Promise<PropertiesCollection>}
       */

    }, {
      key: "getStaticPropertiesForType",
      value: function getStaticPropertiesForType(type) {
        return this.initClass(PropertiesCollection).then(function (collection) {
          if (type) {
            return collection.findAllByObjectType(type, 'static').then(function () {
              return collection;
            });
          }

          return collection;
        });
      }
      /**
       * Fetch a list of dynamic properties for object type.
       * @param {String} type The object type name.
       * @return {Promise<PropertiesCollection>}
       */

    }, {
      key: "getDynamicPropertiesForType",
      value: function getDynamicPropertiesForType(type) {
        return this.initClass(PropertiesCollection).then(function (collection) {
          if (type) {
            return collection.findAllByObjectType(type, 'dynamic').then(function () {
              return collection;
            });
          }

          return collection;
        });
      }
      /**
       * Create a relations collection for a model.
       * @param {Model} left The left model.
       * @param {string} relationName The name of the relation.
       * @return {Promise<RelationshipsCollection>}
       */

    }, {
      key: "initRelationshipsCollection",
      value: function initRelationshipsCollection(left, relationName) {
        return this.initClass(RelationshipsCollection, left, relationName);
      }
      /**
       * Enable models auto validation on set.
       */

    }, {
      key: "enableAutoValidation",
      value: function enableAutoValidation() {
        this.autoValidation = true;
      }
      /**
       * Disable models auto validation on set.
       */

    }, {
      key: "disableAutoValidation",
      value: function disableAutoValidation() {
        this.autoValidation = false;
      }
    }]);

    return ModelFactory;
  }(Factory);

  var CORE_MODELS = [ObjectModel, RoleModel, UserModel, StreamModel, MediaModel, ApplicationModel, ObjectTypeModel, PropertyTypeModel, PropertyModel];
  var CORE_COLLECTIONS = [ObjectsCollection, RolesCollection, TrashCollection, UsersCollection, StreamsCollection, MediaCollection, ApplicationsCollection, ObjectTypesCollection, PropertyTypesCollection, PropertiesCollection];
  var Client =
  /*#__PURE__*/
  function (_mix$with) {
    _inherits(Client, _mix$with);

    function Client() {
      _classCallCheck(this, Client);

      return _possibleConstructorReturn(this, _getPrototypeOf(Client).apply(this, arguments));
    }

    _createClass(Client, [{
      key: "initialize",
      value: function initialize() {
        var _this = this;

        var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
        internal(this).options = options;
        return _get(_getPrototypeOf(Client.prototype), "initialize", this).call(this, options).then(function () {
          if (options.base) {
            _this.config({
              base: options.base,
              apiKey: options.apiKey
            });
          }

          if (Array.isArray(options.models)) {
            options.models.forEach(function (Model) {
              _this.registerModel(Model);
            });
          }

          if (Array.isArray(options.collections)) {
            options.collections.forEach(function (Collection) {
              _this.registerCollection(Collection);
            });
          }

          return Promise.resolve();
        });
      }
    }, {
      key: "config",
      value: function config(options) {
        this.factory('api').config({
          base: options.base,
          apiKey: options.apiKey
        });
      }
    }, {
      key: "getModel",
      value: function getModel() {
        var _this$factory;

        return (_this$factory = this.factory('model')).getModel.apply(_this$factory, arguments);
      }
    }, {
      key: "registerModel",
      value: function registerModel() {
        var _this$factory2;

        return (_this$factory2 = this.factory('model')).registerModel.apply(_this$factory2, arguments);
      }
    }, {
      key: "getCollection",
      value: function getCollection() {
        var _this$factory3;

        return (_this$factory3 = this.factory('model')).getCollection.apply(_this$factory3, arguments);
      }
    }, {
      key: "registerCollection",
      value: function registerCollection() {
        var _this$factory4;

        return (_this$factory4 = this.factory('model')).registerCollection.apply(_this$factory4, arguments);
      }
    }, {
      key: "initCollection",
      value: function initCollection() {
        var _this$factory5;

        return (_this$factory5 = this.factory('model')).initCollection.apply(_this$factory5, arguments);
      }
    }, {
      key: "initModel",
      value: function initModel() {
        var _this$factory6;

        return (_this$factory6 = this.factory('model')).initModel.apply(_this$factory6, arguments);
      }
    }], [{
      key: "init",
      value: function init(options) {
        var client = new this();
        return client.initialize(options).then(function () {
          return client;
        });
      }
    }, {
      key: "injectors",
      get: function get$$1() {
        return {
          url: Url$1,
          api: Api,
          model: [ModelFactory, {
            models: CORE_MODELS,
            collections: CORE_COLLECTIONS
          }],
          session: Session,
          debug: Debug
        };
      }
    }]);

    return Client;
  }(mix(Factory).with(InjectableMixin));

  exports.ObjectModel = ObjectModel;
  exports.RoleModel = RoleModel;
  exports.UserModel = UserModel;
  exports.StreamModel = StreamModel;
  exports.MediaModel = MediaModel;
  exports.ApplicationModel = ApplicationModel;
  exports.ObjectTypeModel = ObjectTypeModel;
  exports.PropertyTypeModel = PropertyTypeModel;
  exports.PropertyModel = PropertyModel;
  exports.ObjectsCollection = ObjectsCollection;
  exports.RolesCollection = RolesCollection;
  exports.TrashCollection = TrashCollection;
  exports.UsersCollection = UsersCollection;
  exports.StreamsCollection = StreamsCollection;
  exports.MediaCollection = MediaCollection;
  exports.ApplicationsCollection = ApplicationsCollection;
  exports.ObjectTypesCollection = ObjectTypesCollection;
  exports.PropertyTypesCollection = PropertyTypesCollection;
  exports.PropertiesCollection = PropertiesCollection;
  exports.Api = Api;
  exports.Url = Url$1;
  exports.ModelFactory = ModelFactory;
  exports.Session = Session;
  exports.Debug = Debug;
  exports.CORE_MODELS = CORE_MODELS;
  exports.CORE_COLLECTIONS = CORE_COLLECTIONS;
  exports.Client = Client;
  exports.Model = Model$1;
  exports.Collection = Collection$1;
  exports.RELATIONSHIP_MODES = RELATIONSHIP_MODES;
  exports.RelationshipsCollection = RelationshipsCollection;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
